/* soapDeviceBindingProxy.h
   Generated by gSOAP 2.8.102 for gen/onvif.h

gSOAP XML Web services tools
Copyright (C) 2000-2020, Robert van Engelen, Genivia Inc. All Rights Reserved.
The soapcpp2 tool and its generated software are released under the GPL.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
--------------------------------------------------------------------------------
A commercial use license is available from Genivia Inc., contact@genivia.com
--------------------------------------------------------------------------------
*/

#ifndef soapDeviceBindingProxy_H
#define soapDeviceBindingProxy_H
#include "soapH.h"

    class SOAP_CMAC DeviceBindingProxy {
      public:
        /// Context to manage proxy IO and data
        struct soap *soap;
        /// flag indicating that this context is owned by this proxy and should be deleted by the destructor
        bool soap_own;
        /// Endpoint URL of service 'DeviceBindingProxy' (change as needed)
        const char *soap_endpoint;
        /// Variables globally declared in gen/onvif.h, if any
        /// Construct a proxy with new managing context
        DeviceBindingProxy();
        /// Copy constructor
        DeviceBindingProxy(const DeviceBindingProxy& rhs);
        /// Construct proxy given a shared managing context
        DeviceBindingProxy(struct soap*);
        /// Construct proxy given a shared managing context and endpoint URL
        DeviceBindingProxy(struct soap*, const char *soap_endpoint_url);
        /// Constructor taking an endpoint URL
        DeviceBindingProxy(const char *soap_endpoint_url);
        /// Constructor taking input and output mode flags for the new managing context
        DeviceBindingProxy(soap_mode iomode);
        /// Constructor taking endpoint URL and input and output mode flags for the new managing context
        DeviceBindingProxy(const char *soap_endpoint_url, soap_mode iomode);
        /// Constructor taking input and output mode flags for the new managing context
        DeviceBindingProxy(soap_mode imode, soap_mode omode);
        /// Destructor deletes deserialized data and its managing context, when the context was allocated by the constructor
        virtual ~DeviceBindingProxy();
        /// Initializer used by constructors
        virtual void DeviceBindingProxy_init(soap_mode imode, soap_mode omode);
        /// Return a copy that has a new managing context with the same engine state
        virtual DeviceBindingProxy *copy();
        /// Copy assignment
        DeviceBindingProxy& operator=(const DeviceBindingProxy&);
        /// Delete all deserialized data (uses soap_destroy() and soap_end())
        virtual void destroy();
        /// Delete all deserialized data and reset to default
        virtual void reset();
        /// Disables and removes SOAP Header from message by setting soap->header = NULL
        virtual void soap_noheader();
        /// Add SOAP Header to message
        virtual void soap_header(char *wsa__MessageID, struct wsa__Relationship *wsa__RelatesTo, struct wsa__EndpointReferenceType *wsa__From, struct wsa__EndpointReferenceType *wsa__ReplyTo, struct wsa__EndpointReferenceType *wsa__FaultTo, char *wsa__To, char *wsa__Action, struct wsdd__AppSequenceType *wsdd__AppSequence, struct _wsse__Security *wsse__Security, char *wsa5__MessageID, struct wsa5__RelatesToType *wsa5__RelatesTo, struct wsa5__EndpointReferenceType *wsa5__From, struct wsa5__EndpointReferenceType *wsa5__ReplyTo, struct wsa5__EndpointReferenceType *wsa5__FaultTo, char *wsa5__To, char *wsa5__Action, struct chan__ChannelInstanceType *chan__ChannelInstance);
        /// Get SOAP Header structure (i.e. soap->header, which is NULL when absent)
        virtual ::SOAP_ENV__Header *soap_header();
        /// Get SOAP Fault structure (i.e. soap->fault, which is NULL when absent)
        virtual ::SOAP_ENV__Fault *soap_fault();
        /// Get SOAP Fault subcode QName string (NULL when absent)
        virtual const char *soap_fault_subcode();
        /// Get SOAP Fault string/reason (NULL when absent)
        virtual const char *soap_fault_string();
        /// Get SOAP Fault detail XML string (NULL when absent)
        virtual const char *soap_fault_detail();
        /// Close connection (normally automatic, except for send_X ops)
        virtual int soap_close_socket();
        /// Force close connection (can kill a thread blocked on IO)
        virtual int soap_force_close_socket();
        /// Print fault
        virtual void soap_print_fault(FILE*);
    #ifndef WITH_LEAN
    #ifndef WITH_COMPAT
        /// Print fault to stream
        virtual void soap_stream_fault(std::ostream&);
    #endif
        /// Write fault to buffer
        virtual char *soap_sprint_fault(char *buf, size_t len);
    #endif
        //
        /// Web service synchronous operation 'GetServices' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetServices(_tds__GetServices *tds__GetServices, _tds__GetServicesResponse *tds__GetServicesResponse) { return this->GetServices(NULL, NULL, tds__GetServices, tds__GetServicesResponse); }
        /// Web service synchronous operation 'GetServices' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetServices(const char *soap_endpoint_url, const char *soap_action, _tds__GetServices *tds__GetServices, _tds__GetServicesResponse *tds__GetServicesResponse) { return this->send_GetServices(soap_endpoint_url, soap_action, tds__GetServices) || this->recv_GetServices(tds__GetServicesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetServices' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetServices(const char *soap_endpoint_url, const char *soap_action, _tds__GetServices *tds__GetServices);
        /// Web service asynchronous operation 'recv_GetServices' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetServices(_tds__GetServicesResponse *tds__GetServicesResponse);
        //
        /// Web service synchronous operation 'GetServiceCapabilities' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetServiceCapabilities(_tds__GetServiceCapabilities *tds__GetServiceCapabilities, _tds__GetServiceCapabilitiesResponse *tds__GetServiceCapabilitiesResponse) { return this->GetServiceCapabilities(NULL, NULL, tds__GetServiceCapabilities, tds__GetServiceCapabilitiesResponse); }
        /// Web service synchronous operation 'GetServiceCapabilities' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetServiceCapabilities(const char *soap_endpoint_url, const char *soap_action, _tds__GetServiceCapabilities *tds__GetServiceCapabilities, _tds__GetServiceCapabilitiesResponse *tds__GetServiceCapabilitiesResponse) { return this->send_GetServiceCapabilities(soap_endpoint_url, soap_action, tds__GetServiceCapabilities) || this->recv_GetServiceCapabilities(tds__GetServiceCapabilitiesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetServiceCapabilities' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetServiceCapabilities(const char *soap_endpoint_url, const char *soap_action, _tds__GetServiceCapabilities *tds__GetServiceCapabilities);
        /// Web service asynchronous operation 'recv_GetServiceCapabilities' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetServiceCapabilities(_tds__GetServiceCapabilitiesResponse *tds__GetServiceCapabilitiesResponse);
        //
        /// Web service synchronous operation 'GetDeviceInformation' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetDeviceInformation(_tds__GetDeviceInformation *tds__GetDeviceInformation, _tds__GetDeviceInformationResponse *tds__GetDeviceInformationResponse) { return this->GetDeviceInformation(NULL, NULL, tds__GetDeviceInformation, tds__GetDeviceInformationResponse); }
        /// Web service synchronous operation 'GetDeviceInformation' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetDeviceInformation(const char *soap_endpoint_url, const char *soap_action, _tds__GetDeviceInformation *tds__GetDeviceInformation, _tds__GetDeviceInformationResponse *tds__GetDeviceInformationResponse) { return this->send_GetDeviceInformation(soap_endpoint_url, soap_action, tds__GetDeviceInformation) || this->recv_GetDeviceInformation(tds__GetDeviceInformationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetDeviceInformation' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetDeviceInformation(const char *soap_endpoint_url, const char *soap_action, _tds__GetDeviceInformation *tds__GetDeviceInformation);
        /// Web service asynchronous operation 'recv_GetDeviceInformation' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetDeviceInformation(_tds__GetDeviceInformationResponse *tds__GetDeviceInformationResponse);
        //
        /// Web service synchronous operation 'SetSystemDateAndTime' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetSystemDateAndTime(_tds__SetSystemDateAndTime *tds__SetSystemDateAndTime, _tds__SetSystemDateAndTimeResponse *tds__SetSystemDateAndTimeResponse) { return this->SetSystemDateAndTime(NULL, NULL, tds__SetSystemDateAndTime, tds__SetSystemDateAndTimeResponse); }
        /// Web service synchronous operation 'SetSystemDateAndTime' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetSystemDateAndTime(const char *soap_endpoint_url, const char *soap_action, _tds__SetSystemDateAndTime *tds__SetSystemDateAndTime, _tds__SetSystemDateAndTimeResponse *tds__SetSystemDateAndTimeResponse) { return this->send_SetSystemDateAndTime(soap_endpoint_url, soap_action, tds__SetSystemDateAndTime) || this->recv_SetSystemDateAndTime(tds__SetSystemDateAndTimeResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetSystemDateAndTime' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetSystemDateAndTime(const char *soap_endpoint_url, const char *soap_action, _tds__SetSystemDateAndTime *tds__SetSystemDateAndTime);
        /// Web service asynchronous operation 'recv_SetSystemDateAndTime' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetSystemDateAndTime(_tds__SetSystemDateAndTimeResponse *tds__SetSystemDateAndTimeResponse);
        //
        /// Web service synchronous operation 'GetSystemDateAndTime' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetSystemDateAndTime(_tds__GetSystemDateAndTime *tds__GetSystemDateAndTime, _tds__GetSystemDateAndTimeResponse *tds__GetSystemDateAndTimeResponse) { return this->GetSystemDateAndTime(NULL, NULL, tds__GetSystemDateAndTime, tds__GetSystemDateAndTimeResponse); }
        /// Web service synchronous operation 'GetSystemDateAndTime' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetSystemDateAndTime(const char *soap_endpoint_url, const char *soap_action, _tds__GetSystemDateAndTime *tds__GetSystemDateAndTime, _tds__GetSystemDateAndTimeResponse *tds__GetSystemDateAndTimeResponse) { return this->send_GetSystemDateAndTime(soap_endpoint_url, soap_action, tds__GetSystemDateAndTime) || this->recv_GetSystemDateAndTime(tds__GetSystemDateAndTimeResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetSystemDateAndTime' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetSystemDateAndTime(const char *soap_endpoint_url, const char *soap_action, _tds__GetSystemDateAndTime *tds__GetSystemDateAndTime);
        /// Web service asynchronous operation 'recv_GetSystemDateAndTime' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetSystemDateAndTime(_tds__GetSystemDateAndTimeResponse *tds__GetSystemDateAndTimeResponse);
        //
        /// Web service synchronous operation 'SetSystemFactoryDefault' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetSystemFactoryDefault(_tds__SetSystemFactoryDefault *tds__SetSystemFactoryDefault, _tds__SetSystemFactoryDefaultResponse *tds__SetSystemFactoryDefaultResponse) { return this->SetSystemFactoryDefault(NULL, NULL, tds__SetSystemFactoryDefault, tds__SetSystemFactoryDefaultResponse); }
        /// Web service synchronous operation 'SetSystemFactoryDefault' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetSystemFactoryDefault(const char *soap_endpoint_url, const char *soap_action, _tds__SetSystemFactoryDefault *tds__SetSystemFactoryDefault, _tds__SetSystemFactoryDefaultResponse *tds__SetSystemFactoryDefaultResponse) { return this->send_SetSystemFactoryDefault(soap_endpoint_url, soap_action, tds__SetSystemFactoryDefault) || this->recv_SetSystemFactoryDefault(tds__SetSystemFactoryDefaultResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetSystemFactoryDefault' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetSystemFactoryDefault(const char *soap_endpoint_url, const char *soap_action, _tds__SetSystemFactoryDefault *tds__SetSystemFactoryDefault);
        /// Web service asynchronous operation 'recv_SetSystemFactoryDefault' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetSystemFactoryDefault(_tds__SetSystemFactoryDefaultResponse *tds__SetSystemFactoryDefaultResponse);
        //
        /// Web service synchronous operation 'UpgradeSystemFirmware' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int UpgradeSystemFirmware(_tds__UpgradeSystemFirmware *tds__UpgradeSystemFirmware, _tds__UpgradeSystemFirmwareResponse *tds__UpgradeSystemFirmwareResponse) { return this->UpgradeSystemFirmware(NULL, NULL, tds__UpgradeSystemFirmware, tds__UpgradeSystemFirmwareResponse); }
        /// Web service synchronous operation 'UpgradeSystemFirmware' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int UpgradeSystemFirmware(const char *soap_endpoint_url, const char *soap_action, _tds__UpgradeSystemFirmware *tds__UpgradeSystemFirmware, _tds__UpgradeSystemFirmwareResponse *tds__UpgradeSystemFirmwareResponse) { return this->send_UpgradeSystemFirmware(soap_endpoint_url, soap_action, tds__UpgradeSystemFirmware) || this->recv_UpgradeSystemFirmware(tds__UpgradeSystemFirmwareResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_UpgradeSystemFirmware' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_UpgradeSystemFirmware(const char *soap_endpoint_url, const char *soap_action, _tds__UpgradeSystemFirmware *tds__UpgradeSystemFirmware);
        /// Web service asynchronous operation 'recv_UpgradeSystemFirmware' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_UpgradeSystemFirmware(_tds__UpgradeSystemFirmwareResponse *tds__UpgradeSystemFirmwareResponse);
        //
        /// Web service synchronous operation 'SystemReboot' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SystemReboot(_tds__SystemReboot *tds__SystemReboot, _tds__SystemRebootResponse *tds__SystemRebootResponse) { return this->SystemReboot(NULL, NULL, tds__SystemReboot, tds__SystemRebootResponse); }
        /// Web service synchronous operation 'SystemReboot' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SystemReboot(const char *soap_endpoint_url, const char *soap_action, _tds__SystemReboot *tds__SystemReboot, _tds__SystemRebootResponse *tds__SystemRebootResponse) { return this->send_SystemReboot(soap_endpoint_url, soap_action, tds__SystemReboot) || this->recv_SystemReboot(tds__SystemRebootResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SystemReboot' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SystemReboot(const char *soap_endpoint_url, const char *soap_action, _tds__SystemReboot *tds__SystemReboot);
        /// Web service asynchronous operation 'recv_SystemReboot' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SystemReboot(_tds__SystemRebootResponse *tds__SystemRebootResponse);
        //
        /// Web service synchronous operation 'RestoreSystem' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RestoreSystem(_tds__RestoreSystem *tds__RestoreSystem, _tds__RestoreSystemResponse *tds__RestoreSystemResponse) { return this->RestoreSystem(NULL, NULL, tds__RestoreSystem, tds__RestoreSystemResponse); }
        /// Web service synchronous operation 'RestoreSystem' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RestoreSystem(const char *soap_endpoint_url, const char *soap_action, _tds__RestoreSystem *tds__RestoreSystem, _tds__RestoreSystemResponse *tds__RestoreSystemResponse) { return this->send_RestoreSystem(soap_endpoint_url, soap_action, tds__RestoreSystem) || this->recv_RestoreSystem(tds__RestoreSystemResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RestoreSystem' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RestoreSystem(const char *soap_endpoint_url, const char *soap_action, _tds__RestoreSystem *tds__RestoreSystem);
        /// Web service asynchronous operation 'recv_RestoreSystem' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RestoreSystem(_tds__RestoreSystemResponse *tds__RestoreSystemResponse);
        //
        /// Web service synchronous operation 'GetSystemBackup' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetSystemBackup(_tds__GetSystemBackup *tds__GetSystemBackup, _tds__GetSystemBackupResponse *tds__GetSystemBackupResponse) { return this->GetSystemBackup(NULL, NULL, tds__GetSystemBackup, tds__GetSystemBackupResponse); }
        /// Web service synchronous operation 'GetSystemBackup' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetSystemBackup(const char *soap_endpoint_url, const char *soap_action, _tds__GetSystemBackup *tds__GetSystemBackup, _tds__GetSystemBackupResponse *tds__GetSystemBackupResponse) { return this->send_GetSystemBackup(soap_endpoint_url, soap_action, tds__GetSystemBackup) || this->recv_GetSystemBackup(tds__GetSystemBackupResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetSystemBackup' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetSystemBackup(const char *soap_endpoint_url, const char *soap_action, _tds__GetSystemBackup *tds__GetSystemBackup);
        /// Web service asynchronous operation 'recv_GetSystemBackup' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetSystemBackup(_tds__GetSystemBackupResponse *tds__GetSystemBackupResponse);
        //
        /// Web service synchronous operation 'GetSystemLog' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetSystemLog(_tds__GetSystemLog *tds__GetSystemLog, _tds__GetSystemLogResponse *tds__GetSystemLogResponse) { return this->GetSystemLog(NULL, NULL, tds__GetSystemLog, tds__GetSystemLogResponse); }
        /// Web service synchronous operation 'GetSystemLog' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetSystemLog(const char *soap_endpoint_url, const char *soap_action, _tds__GetSystemLog *tds__GetSystemLog, _tds__GetSystemLogResponse *tds__GetSystemLogResponse) { return this->send_GetSystemLog(soap_endpoint_url, soap_action, tds__GetSystemLog) || this->recv_GetSystemLog(tds__GetSystemLogResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetSystemLog' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetSystemLog(const char *soap_endpoint_url, const char *soap_action, _tds__GetSystemLog *tds__GetSystemLog);
        /// Web service asynchronous operation 'recv_GetSystemLog' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetSystemLog(_tds__GetSystemLogResponse *tds__GetSystemLogResponse);
        //
        /// Web service synchronous operation 'GetSystemSupportInformation' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetSystemSupportInformation(_tds__GetSystemSupportInformation *tds__GetSystemSupportInformation, _tds__GetSystemSupportInformationResponse *tds__GetSystemSupportInformationResponse) { return this->GetSystemSupportInformation(NULL, NULL, tds__GetSystemSupportInformation, tds__GetSystemSupportInformationResponse); }
        /// Web service synchronous operation 'GetSystemSupportInformation' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetSystemSupportInformation(const char *soap_endpoint_url, const char *soap_action, _tds__GetSystemSupportInformation *tds__GetSystemSupportInformation, _tds__GetSystemSupportInformationResponse *tds__GetSystemSupportInformationResponse) { return this->send_GetSystemSupportInformation(soap_endpoint_url, soap_action, tds__GetSystemSupportInformation) || this->recv_GetSystemSupportInformation(tds__GetSystemSupportInformationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetSystemSupportInformation' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetSystemSupportInformation(const char *soap_endpoint_url, const char *soap_action, _tds__GetSystemSupportInformation *tds__GetSystemSupportInformation);
        /// Web service asynchronous operation 'recv_GetSystemSupportInformation' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetSystemSupportInformation(_tds__GetSystemSupportInformationResponse *tds__GetSystemSupportInformationResponse);
        //
        /// Web service synchronous operation 'GetScopes' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetScopes(_tds__GetScopes *tds__GetScopes, _tds__GetScopesResponse *tds__GetScopesResponse) { return this->GetScopes(NULL, NULL, tds__GetScopes, tds__GetScopesResponse); }
        /// Web service synchronous operation 'GetScopes' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetScopes(const char *soap_endpoint_url, const char *soap_action, _tds__GetScopes *tds__GetScopes, _tds__GetScopesResponse *tds__GetScopesResponse) { return this->send_GetScopes(soap_endpoint_url, soap_action, tds__GetScopes) || this->recv_GetScopes(tds__GetScopesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetScopes' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetScopes(const char *soap_endpoint_url, const char *soap_action, _tds__GetScopes *tds__GetScopes);
        /// Web service asynchronous operation 'recv_GetScopes' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetScopes(_tds__GetScopesResponse *tds__GetScopesResponse);
        //
        /// Web service synchronous operation 'SetScopes' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetScopes(_tds__SetScopes *tds__SetScopes, _tds__SetScopesResponse *tds__SetScopesResponse) { return this->SetScopes(NULL, NULL, tds__SetScopes, tds__SetScopesResponse); }
        /// Web service synchronous operation 'SetScopes' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetScopes(const char *soap_endpoint_url, const char *soap_action, _tds__SetScopes *tds__SetScopes, _tds__SetScopesResponse *tds__SetScopesResponse) { return this->send_SetScopes(soap_endpoint_url, soap_action, tds__SetScopes) || this->recv_SetScopes(tds__SetScopesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetScopes' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetScopes(const char *soap_endpoint_url, const char *soap_action, _tds__SetScopes *tds__SetScopes);
        /// Web service asynchronous operation 'recv_SetScopes' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetScopes(_tds__SetScopesResponse *tds__SetScopesResponse);
        //
        /// Web service synchronous operation 'AddScopes' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddScopes(_tds__AddScopes *tds__AddScopes, _tds__AddScopesResponse *tds__AddScopesResponse) { return this->AddScopes(NULL, NULL, tds__AddScopes, tds__AddScopesResponse); }
        /// Web service synchronous operation 'AddScopes' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddScopes(const char *soap_endpoint_url, const char *soap_action, _tds__AddScopes *tds__AddScopes, _tds__AddScopesResponse *tds__AddScopesResponse) { return this->send_AddScopes(soap_endpoint_url, soap_action, tds__AddScopes) || this->recv_AddScopes(tds__AddScopesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddScopes' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddScopes(const char *soap_endpoint_url, const char *soap_action, _tds__AddScopes *tds__AddScopes);
        /// Web service asynchronous operation 'recv_AddScopes' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddScopes(_tds__AddScopesResponse *tds__AddScopesResponse);
        //
        /// Web service synchronous operation 'RemoveScopes' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveScopes(_tds__RemoveScopes *tds__RemoveScopes, _tds__RemoveScopesResponse *tds__RemoveScopesResponse) { return this->RemoveScopes(NULL, NULL, tds__RemoveScopes, tds__RemoveScopesResponse); }
        /// Web service synchronous operation 'RemoveScopes' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveScopes(const char *soap_endpoint_url, const char *soap_action, _tds__RemoveScopes *tds__RemoveScopes, _tds__RemoveScopesResponse *tds__RemoveScopesResponse) { return this->send_RemoveScopes(soap_endpoint_url, soap_action, tds__RemoveScopes) || this->recv_RemoveScopes(tds__RemoveScopesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemoveScopes' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemoveScopes(const char *soap_endpoint_url, const char *soap_action, _tds__RemoveScopes *tds__RemoveScopes);
        /// Web service asynchronous operation 'recv_RemoveScopes' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemoveScopes(_tds__RemoveScopesResponse *tds__RemoveScopesResponse);
        //
        /// Web service synchronous operation 'GetDiscoveryMode' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetDiscoveryMode(_tds__GetDiscoveryMode *tds__GetDiscoveryMode, _tds__GetDiscoveryModeResponse *tds__GetDiscoveryModeResponse) { return this->GetDiscoveryMode(NULL, NULL, tds__GetDiscoveryMode, tds__GetDiscoveryModeResponse); }
        /// Web service synchronous operation 'GetDiscoveryMode' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetDiscoveryMode(const char *soap_endpoint_url, const char *soap_action, _tds__GetDiscoveryMode *tds__GetDiscoveryMode, _tds__GetDiscoveryModeResponse *tds__GetDiscoveryModeResponse) { return this->send_GetDiscoveryMode(soap_endpoint_url, soap_action, tds__GetDiscoveryMode) || this->recv_GetDiscoveryMode(tds__GetDiscoveryModeResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetDiscoveryMode' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetDiscoveryMode(const char *soap_endpoint_url, const char *soap_action, _tds__GetDiscoveryMode *tds__GetDiscoveryMode);
        /// Web service asynchronous operation 'recv_GetDiscoveryMode' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetDiscoveryMode(_tds__GetDiscoveryModeResponse *tds__GetDiscoveryModeResponse);
        //
        /// Web service synchronous operation 'SetDiscoveryMode' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetDiscoveryMode(_tds__SetDiscoveryMode *tds__SetDiscoveryMode, _tds__SetDiscoveryModeResponse *tds__SetDiscoveryModeResponse) { return this->SetDiscoveryMode(NULL, NULL, tds__SetDiscoveryMode, tds__SetDiscoveryModeResponse); }
        /// Web service synchronous operation 'SetDiscoveryMode' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetDiscoveryMode(const char *soap_endpoint_url, const char *soap_action, _tds__SetDiscoveryMode *tds__SetDiscoveryMode, _tds__SetDiscoveryModeResponse *tds__SetDiscoveryModeResponse) { return this->send_SetDiscoveryMode(soap_endpoint_url, soap_action, tds__SetDiscoveryMode) || this->recv_SetDiscoveryMode(tds__SetDiscoveryModeResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetDiscoveryMode' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetDiscoveryMode(const char *soap_endpoint_url, const char *soap_action, _tds__SetDiscoveryMode *tds__SetDiscoveryMode);
        /// Web service asynchronous operation 'recv_SetDiscoveryMode' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetDiscoveryMode(_tds__SetDiscoveryModeResponse *tds__SetDiscoveryModeResponse);
        //
        /// Web service synchronous operation 'GetRemoteDiscoveryMode' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetRemoteDiscoveryMode(_tds__GetRemoteDiscoveryMode *tds__GetRemoteDiscoveryMode, _tds__GetRemoteDiscoveryModeResponse *tds__GetRemoteDiscoveryModeResponse) { return this->GetRemoteDiscoveryMode(NULL, NULL, tds__GetRemoteDiscoveryMode, tds__GetRemoteDiscoveryModeResponse); }
        /// Web service synchronous operation 'GetRemoteDiscoveryMode' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetRemoteDiscoveryMode(const char *soap_endpoint_url, const char *soap_action, _tds__GetRemoteDiscoveryMode *tds__GetRemoteDiscoveryMode, _tds__GetRemoteDiscoveryModeResponse *tds__GetRemoteDiscoveryModeResponse) { return this->send_GetRemoteDiscoveryMode(soap_endpoint_url, soap_action, tds__GetRemoteDiscoveryMode) || this->recv_GetRemoteDiscoveryMode(tds__GetRemoteDiscoveryModeResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetRemoteDiscoveryMode' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetRemoteDiscoveryMode(const char *soap_endpoint_url, const char *soap_action, _tds__GetRemoteDiscoveryMode *tds__GetRemoteDiscoveryMode);
        /// Web service asynchronous operation 'recv_GetRemoteDiscoveryMode' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetRemoteDiscoveryMode(_tds__GetRemoteDiscoveryModeResponse *tds__GetRemoteDiscoveryModeResponse);
        //
        /// Web service synchronous operation 'SetRemoteDiscoveryMode' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetRemoteDiscoveryMode(_tds__SetRemoteDiscoveryMode *tds__SetRemoteDiscoveryMode, _tds__SetRemoteDiscoveryModeResponse *tds__SetRemoteDiscoveryModeResponse) { return this->SetRemoteDiscoveryMode(NULL, NULL, tds__SetRemoteDiscoveryMode, tds__SetRemoteDiscoveryModeResponse); }
        /// Web service synchronous operation 'SetRemoteDiscoveryMode' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetRemoteDiscoveryMode(const char *soap_endpoint_url, const char *soap_action, _tds__SetRemoteDiscoveryMode *tds__SetRemoteDiscoveryMode, _tds__SetRemoteDiscoveryModeResponse *tds__SetRemoteDiscoveryModeResponse) { return this->send_SetRemoteDiscoveryMode(soap_endpoint_url, soap_action, tds__SetRemoteDiscoveryMode) || this->recv_SetRemoteDiscoveryMode(tds__SetRemoteDiscoveryModeResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetRemoteDiscoveryMode' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetRemoteDiscoveryMode(const char *soap_endpoint_url, const char *soap_action, _tds__SetRemoteDiscoveryMode *tds__SetRemoteDiscoveryMode);
        /// Web service asynchronous operation 'recv_SetRemoteDiscoveryMode' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetRemoteDiscoveryMode(_tds__SetRemoteDiscoveryModeResponse *tds__SetRemoteDiscoveryModeResponse);
        //
        /// Web service synchronous operation 'GetDPAddresses' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetDPAddresses(_tds__GetDPAddresses *tds__GetDPAddresses, _tds__GetDPAddressesResponse *tds__GetDPAddressesResponse) { return this->GetDPAddresses(NULL, NULL, tds__GetDPAddresses, tds__GetDPAddressesResponse); }
        /// Web service synchronous operation 'GetDPAddresses' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetDPAddresses(const char *soap_endpoint_url, const char *soap_action, _tds__GetDPAddresses *tds__GetDPAddresses, _tds__GetDPAddressesResponse *tds__GetDPAddressesResponse) { return this->send_GetDPAddresses(soap_endpoint_url, soap_action, tds__GetDPAddresses) || this->recv_GetDPAddresses(tds__GetDPAddressesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetDPAddresses' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetDPAddresses(const char *soap_endpoint_url, const char *soap_action, _tds__GetDPAddresses *tds__GetDPAddresses);
        /// Web service asynchronous operation 'recv_GetDPAddresses' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetDPAddresses(_tds__GetDPAddressesResponse *tds__GetDPAddressesResponse);
        //
        /// Web service synchronous operation 'GetEndpointReference' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetEndpointReference(_tds__GetEndpointReference *tds__GetEndpointReference, _tds__GetEndpointReferenceResponse *tds__GetEndpointReferenceResponse) { return this->GetEndpointReference(NULL, NULL, tds__GetEndpointReference, tds__GetEndpointReferenceResponse); }
        /// Web service synchronous operation 'GetEndpointReference' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetEndpointReference(const char *soap_endpoint_url, const char *soap_action, _tds__GetEndpointReference *tds__GetEndpointReference, _tds__GetEndpointReferenceResponse *tds__GetEndpointReferenceResponse) { return this->send_GetEndpointReference(soap_endpoint_url, soap_action, tds__GetEndpointReference) || this->recv_GetEndpointReference(tds__GetEndpointReferenceResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetEndpointReference' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetEndpointReference(const char *soap_endpoint_url, const char *soap_action, _tds__GetEndpointReference *tds__GetEndpointReference);
        /// Web service asynchronous operation 'recv_GetEndpointReference' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetEndpointReference(_tds__GetEndpointReferenceResponse *tds__GetEndpointReferenceResponse);
        //
        /// Web service synchronous operation 'GetRemoteUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetRemoteUser(_tds__GetRemoteUser *tds__GetRemoteUser, _tds__GetRemoteUserResponse *tds__GetRemoteUserResponse) { return this->GetRemoteUser(NULL, NULL, tds__GetRemoteUser, tds__GetRemoteUserResponse); }
        /// Web service synchronous operation 'GetRemoteUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetRemoteUser(const char *soap_endpoint_url, const char *soap_action, _tds__GetRemoteUser *tds__GetRemoteUser, _tds__GetRemoteUserResponse *tds__GetRemoteUserResponse) { return this->send_GetRemoteUser(soap_endpoint_url, soap_action, tds__GetRemoteUser) || this->recv_GetRemoteUser(tds__GetRemoteUserResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetRemoteUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetRemoteUser(const char *soap_endpoint_url, const char *soap_action, _tds__GetRemoteUser *tds__GetRemoteUser);
        /// Web service asynchronous operation 'recv_GetRemoteUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetRemoteUser(_tds__GetRemoteUserResponse *tds__GetRemoteUserResponse);
        //
        /// Web service synchronous operation 'SetRemoteUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetRemoteUser(_tds__SetRemoteUser *tds__SetRemoteUser, _tds__SetRemoteUserResponse *tds__SetRemoteUserResponse) { return this->SetRemoteUser(NULL, NULL, tds__SetRemoteUser, tds__SetRemoteUserResponse); }
        /// Web service synchronous operation 'SetRemoteUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetRemoteUser(const char *soap_endpoint_url, const char *soap_action, _tds__SetRemoteUser *tds__SetRemoteUser, _tds__SetRemoteUserResponse *tds__SetRemoteUserResponse) { return this->send_SetRemoteUser(soap_endpoint_url, soap_action, tds__SetRemoteUser) || this->recv_SetRemoteUser(tds__SetRemoteUserResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetRemoteUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetRemoteUser(const char *soap_endpoint_url, const char *soap_action, _tds__SetRemoteUser *tds__SetRemoteUser);
        /// Web service asynchronous operation 'recv_SetRemoteUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetRemoteUser(_tds__SetRemoteUserResponse *tds__SetRemoteUserResponse);
        //
        /// Web service synchronous operation 'GetUsers' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetUsers(_tds__GetUsers *tds__GetUsers, _tds__GetUsersResponse *tds__GetUsersResponse) { return this->GetUsers(NULL, NULL, tds__GetUsers, tds__GetUsersResponse); }
        /// Web service synchronous operation 'GetUsers' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetUsers(const char *soap_endpoint_url, const char *soap_action, _tds__GetUsers *tds__GetUsers, _tds__GetUsersResponse *tds__GetUsersResponse) { return this->send_GetUsers(soap_endpoint_url, soap_action, tds__GetUsers) || this->recv_GetUsers(tds__GetUsersResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetUsers' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetUsers(const char *soap_endpoint_url, const char *soap_action, _tds__GetUsers *tds__GetUsers);
        /// Web service asynchronous operation 'recv_GetUsers' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetUsers(_tds__GetUsersResponse *tds__GetUsersResponse);
        //
        /// Web service synchronous operation 'CreateUsers' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int CreateUsers(_tds__CreateUsers *tds__CreateUsers, _tds__CreateUsersResponse *tds__CreateUsersResponse) { return this->CreateUsers(NULL, NULL, tds__CreateUsers, tds__CreateUsersResponse); }
        /// Web service synchronous operation 'CreateUsers' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int CreateUsers(const char *soap_endpoint_url, const char *soap_action, _tds__CreateUsers *tds__CreateUsers, _tds__CreateUsersResponse *tds__CreateUsersResponse) { return this->send_CreateUsers(soap_endpoint_url, soap_action, tds__CreateUsers) || this->recv_CreateUsers(tds__CreateUsersResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_CreateUsers' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_CreateUsers(const char *soap_endpoint_url, const char *soap_action, _tds__CreateUsers *tds__CreateUsers);
        /// Web service asynchronous operation 'recv_CreateUsers' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_CreateUsers(_tds__CreateUsersResponse *tds__CreateUsersResponse);
        //
        /// Web service synchronous operation 'DeleteUsers' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteUsers(_tds__DeleteUsers *tds__DeleteUsers, _tds__DeleteUsersResponse *tds__DeleteUsersResponse) { return this->DeleteUsers(NULL, NULL, tds__DeleteUsers, tds__DeleteUsersResponse); }
        /// Web service synchronous operation 'DeleteUsers' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteUsers(const char *soap_endpoint_url, const char *soap_action, _tds__DeleteUsers *tds__DeleteUsers, _tds__DeleteUsersResponse *tds__DeleteUsersResponse) { return this->send_DeleteUsers(soap_endpoint_url, soap_action, tds__DeleteUsers) || this->recv_DeleteUsers(tds__DeleteUsersResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_DeleteUsers' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_DeleteUsers(const char *soap_endpoint_url, const char *soap_action, _tds__DeleteUsers *tds__DeleteUsers);
        /// Web service asynchronous operation 'recv_DeleteUsers' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_DeleteUsers(_tds__DeleteUsersResponse *tds__DeleteUsersResponse);
        //
        /// Web service synchronous operation 'SetUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetUser(_tds__SetUser *tds__SetUser, _tds__SetUserResponse *tds__SetUserResponse) { return this->SetUser(NULL, NULL, tds__SetUser, tds__SetUserResponse); }
        /// Web service synchronous operation 'SetUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetUser(const char *soap_endpoint_url, const char *soap_action, _tds__SetUser *tds__SetUser, _tds__SetUserResponse *tds__SetUserResponse) { return this->send_SetUser(soap_endpoint_url, soap_action, tds__SetUser) || this->recv_SetUser(tds__SetUserResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetUser(const char *soap_endpoint_url, const char *soap_action, _tds__SetUser *tds__SetUser);
        /// Web service asynchronous operation 'recv_SetUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetUser(_tds__SetUserResponse *tds__SetUserResponse);
        //
        /// Web service synchronous operation 'GetWsdlUrl' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetWsdlUrl(_tds__GetWsdlUrl *tds__GetWsdlUrl, _tds__GetWsdlUrlResponse *tds__GetWsdlUrlResponse) { return this->GetWsdlUrl(NULL, NULL, tds__GetWsdlUrl, tds__GetWsdlUrlResponse); }
        /// Web service synchronous operation 'GetWsdlUrl' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetWsdlUrl(const char *soap_endpoint_url, const char *soap_action, _tds__GetWsdlUrl *tds__GetWsdlUrl, _tds__GetWsdlUrlResponse *tds__GetWsdlUrlResponse) { return this->send_GetWsdlUrl(soap_endpoint_url, soap_action, tds__GetWsdlUrl) || this->recv_GetWsdlUrl(tds__GetWsdlUrlResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetWsdlUrl' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetWsdlUrl(const char *soap_endpoint_url, const char *soap_action, _tds__GetWsdlUrl *tds__GetWsdlUrl);
        /// Web service asynchronous operation 'recv_GetWsdlUrl' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetWsdlUrl(_tds__GetWsdlUrlResponse *tds__GetWsdlUrlResponse);
        //
        /// Web service synchronous operation 'GetCapabilities' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCapabilities(_tds__GetCapabilities *tds__GetCapabilities, _tds__GetCapabilitiesResponse *tds__GetCapabilitiesResponse) { return this->GetCapabilities(NULL, NULL, tds__GetCapabilities, tds__GetCapabilitiesResponse); }
        /// Web service synchronous operation 'GetCapabilities' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCapabilities(const char *soap_endpoint_url, const char *soap_action, _tds__GetCapabilities *tds__GetCapabilities, _tds__GetCapabilitiesResponse *tds__GetCapabilitiesResponse) { return this->send_GetCapabilities(soap_endpoint_url, soap_action, tds__GetCapabilities) || this->recv_GetCapabilities(tds__GetCapabilitiesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCapabilities' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCapabilities(const char *soap_endpoint_url, const char *soap_action, _tds__GetCapabilities *tds__GetCapabilities);
        /// Web service asynchronous operation 'recv_GetCapabilities' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCapabilities(_tds__GetCapabilitiesResponse *tds__GetCapabilitiesResponse);
        //
        /// Web service synchronous operation 'SetDPAddresses' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetDPAddresses(_tds__SetDPAddresses *tds__SetDPAddresses, _tds__SetDPAddressesResponse *tds__SetDPAddressesResponse) { return this->SetDPAddresses(NULL, NULL, tds__SetDPAddresses, tds__SetDPAddressesResponse); }
        /// Web service synchronous operation 'SetDPAddresses' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetDPAddresses(const char *soap_endpoint_url, const char *soap_action, _tds__SetDPAddresses *tds__SetDPAddresses, _tds__SetDPAddressesResponse *tds__SetDPAddressesResponse) { return this->send_SetDPAddresses(soap_endpoint_url, soap_action, tds__SetDPAddresses) || this->recv_SetDPAddresses(tds__SetDPAddressesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetDPAddresses' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetDPAddresses(const char *soap_endpoint_url, const char *soap_action, _tds__SetDPAddresses *tds__SetDPAddresses);
        /// Web service asynchronous operation 'recv_SetDPAddresses' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetDPAddresses(_tds__SetDPAddressesResponse *tds__SetDPAddressesResponse);
        //
        /// Web service synchronous operation 'GetHostname' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetHostname(_tds__GetHostname *tds__GetHostname, _tds__GetHostnameResponse *tds__GetHostnameResponse) { return this->GetHostname(NULL, NULL, tds__GetHostname, tds__GetHostnameResponse); }
        /// Web service synchronous operation 'GetHostname' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetHostname(const char *soap_endpoint_url, const char *soap_action, _tds__GetHostname *tds__GetHostname, _tds__GetHostnameResponse *tds__GetHostnameResponse) { return this->send_GetHostname(soap_endpoint_url, soap_action, tds__GetHostname) || this->recv_GetHostname(tds__GetHostnameResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetHostname' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetHostname(const char *soap_endpoint_url, const char *soap_action, _tds__GetHostname *tds__GetHostname);
        /// Web service asynchronous operation 'recv_GetHostname' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetHostname(_tds__GetHostnameResponse *tds__GetHostnameResponse);
        //
        /// Web service synchronous operation 'SetHostname' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetHostname(_tds__SetHostname *tds__SetHostname, _tds__SetHostnameResponse *tds__SetHostnameResponse) { return this->SetHostname(NULL, NULL, tds__SetHostname, tds__SetHostnameResponse); }
        /// Web service synchronous operation 'SetHostname' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetHostname(const char *soap_endpoint_url, const char *soap_action, _tds__SetHostname *tds__SetHostname, _tds__SetHostnameResponse *tds__SetHostnameResponse) { return this->send_SetHostname(soap_endpoint_url, soap_action, tds__SetHostname) || this->recv_SetHostname(tds__SetHostnameResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetHostname' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetHostname(const char *soap_endpoint_url, const char *soap_action, _tds__SetHostname *tds__SetHostname);
        /// Web service asynchronous operation 'recv_SetHostname' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetHostname(_tds__SetHostnameResponse *tds__SetHostnameResponse);
        //
        /// Web service synchronous operation 'SetHostnameFromDHCP' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetHostnameFromDHCP(_tds__SetHostnameFromDHCP *tds__SetHostnameFromDHCP, _tds__SetHostnameFromDHCPResponse *tds__SetHostnameFromDHCPResponse) { return this->SetHostnameFromDHCP(NULL, NULL, tds__SetHostnameFromDHCP, tds__SetHostnameFromDHCPResponse); }
        /// Web service synchronous operation 'SetHostnameFromDHCP' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetHostnameFromDHCP(const char *soap_endpoint_url, const char *soap_action, _tds__SetHostnameFromDHCP *tds__SetHostnameFromDHCP, _tds__SetHostnameFromDHCPResponse *tds__SetHostnameFromDHCPResponse) { return this->send_SetHostnameFromDHCP(soap_endpoint_url, soap_action, tds__SetHostnameFromDHCP) || this->recv_SetHostnameFromDHCP(tds__SetHostnameFromDHCPResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetHostnameFromDHCP' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetHostnameFromDHCP(const char *soap_endpoint_url, const char *soap_action, _tds__SetHostnameFromDHCP *tds__SetHostnameFromDHCP);
        /// Web service asynchronous operation 'recv_SetHostnameFromDHCP' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetHostnameFromDHCP(_tds__SetHostnameFromDHCPResponse *tds__SetHostnameFromDHCPResponse);
        //
        /// Web service synchronous operation 'GetDNS' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetDNS(_tds__GetDNS *tds__GetDNS, _tds__GetDNSResponse *tds__GetDNSResponse) { return this->GetDNS(NULL, NULL, tds__GetDNS, tds__GetDNSResponse); }
        /// Web service synchronous operation 'GetDNS' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetDNS(const char *soap_endpoint_url, const char *soap_action, _tds__GetDNS *tds__GetDNS, _tds__GetDNSResponse *tds__GetDNSResponse) { return this->send_GetDNS(soap_endpoint_url, soap_action, tds__GetDNS) || this->recv_GetDNS(tds__GetDNSResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetDNS' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetDNS(const char *soap_endpoint_url, const char *soap_action, _tds__GetDNS *tds__GetDNS);
        /// Web service asynchronous operation 'recv_GetDNS' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetDNS(_tds__GetDNSResponse *tds__GetDNSResponse);
        //
        /// Web service synchronous operation 'SetDNS' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetDNS(_tds__SetDNS *tds__SetDNS, _tds__SetDNSResponse *tds__SetDNSResponse) { return this->SetDNS(NULL, NULL, tds__SetDNS, tds__SetDNSResponse); }
        /// Web service synchronous operation 'SetDNS' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetDNS(const char *soap_endpoint_url, const char *soap_action, _tds__SetDNS *tds__SetDNS, _tds__SetDNSResponse *tds__SetDNSResponse) { return this->send_SetDNS(soap_endpoint_url, soap_action, tds__SetDNS) || this->recv_SetDNS(tds__SetDNSResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetDNS' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetDNS(const char *soap_endpoint_url, const char *soap_action, _tds__SetDNS *tds__SetDNS);
        /// Web service asynchronous operation 'recv_SetDNS' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetDNS(_tds__SetDNSResponse *tds__SetDNSResponse);
        //
        /// Web service synchronous operation 'GetNTP' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetNTP(_tds__GetNTP *tds__GetNTP, _tds__GetNTPResponse *tds__GetNTPResponse) { return this->GetNTP(NULL, NULL, tds__GetNTP, tds__GetNTPResponse); }
        /// Web service synchronous operation 'GetNTP' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetNTP(const char *soap_endpoint_url, const char *soap_action, _tds__GetNTP *tds__GetNTP, _tds__GetNTPResponse *tds__GetNTPResponse) { return this->send_GetNTP(soap_endpoint_url, soap_action, tds__GetNTP) || this->recv_GetNTP(tds__GetNTPResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetNTP' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetNTP(const char *soap_endpoint_url, const char *soap_action, _tds__GetNTP *tds__GetNTP);
        /// Web service asynchronous operation 'recv_GetNTP' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetNTP(_tds__GetNTPResponse *tds__GetNTPResponse);
        //
        /// Web service synchronous operation 'SetNTP' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetNTP(_tds__SetNTP *tds__SetNTP, _tds__SetNTPResponse *tds__SetNTPResponse) { return this->SetNTP(NULL, NULL, tds__SetNTP, tds__SetNTPResponse); }
        /// Web service synchronous operation 'SetNTP' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetNTP(const char *soap_endpoint_url, const char *soap_action, _tds__SetNTP *tds__SetNTP, _tds__SetNTPResponse *tds__SetNTPResponse) { return this->send_SetNTP(soap_endpoint_url, soap_action, tds__SetNTP) || this->recv_SetNTP(tds__SetNTPResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetNTP' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetNTP(const char *soap_endpoint_url, const char *soap_action, _tds__SetNTP *tds__SetNTP);
        /// Web service asynchronous operation 'recv_SetNTP' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetNTP(_tds__SetNTPResponse *tds__SetNTPResponse);
        //
        /// Web service synchronous operation 'GetDynamicDNS' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetDynamicDNS(_tds__GetDynamicDNS *tds__GetDynamicDNS, _tds__GetDynamicDNSResponse *tds__GetDynamicDNSResponse) { return this->GetDynamicDNS(NULL, NULL, tds__GetDynamicDNS, tds__GetDynamicDNSResponse); }
        /// Web service synchronous operation 'GetDynamicDNS' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetDynamicDNS(const char *soap_endpoint_url, const char *soap_action, _tds__GetDynamicDNS *tds__GetDynamicDNS, _tds__GetDynamicDNSResponse *tds__GetDynamicDNSResponse) { return this->send_GetDynamicDNS(soap_endpoint_url, soap_action, tds__GetDynamicDNS) || this->recv_GetDynamicDNS(tds__GetDynamicDNSResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetDynamicDNS' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetDynamicDNS(const char *soap_endpoint_url, const char *soap_action, _tds__GetDynamicDNS *tds__GetDynamicDNS);
        /// Web service asynchronous operation 'recv_GetDynamicDNS' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetDynamicDNS(_tds__GetDynamicDNSResponse *tds__GetDynamicDNSResponse);
        //
        /// Web service synchronous operation 'SetDynamicDNS' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetDynamicDNS(_tds__SetDynamicDNS *tds__SetDynamicDNS, _tds__SetDynamicDNSResponse *tds__SetDynamicDNSResponse) { return this->SetDynamicDNS(NULL, NULL, tds__SetDynamicDNS, tds__SetDynamicDNSResponse); }
        /// Web service synchronous operation 'SetDynamicDNS' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetDynamicDNS(const char *soap_endpoint_url, const char *soap_action, _tds__SetDynamicDNS *tds__SetDynamicDNS, _tds__SetDynamicDNSResponse *tds__SetDynamicDNSResponse) { return this->send_SetDynamicDNS(soap_endpoint_url, soap_action, tds__SetDynamicDNS) || this->recv_SetDynamicDNS(tds__SetDynamicDNSResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetDynamicDNS' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetDynamicDNS(const char *soap_endpoint_url, const char *soap_action, _tds__SetDynamicDNS *tds__SetDynamicDNS);
        /// Web service asynchronous operation 'recv_SetDynamicDNS' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetDynamicDNS(_tds__SetDynamicDNSResponse *tds__SetDynamicDNSResponse);
        //
        /// Web service synchronous operation 'GetNetworkInterfaces' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetNetworkInterfaces(_tds__GetNetworkInterfaces *tds__GetNetworkInterfaces, _tds__GetNetworkInterfacesResponse *tds__GetNetworkInterfacesResponse) { return this->GetNetworkInterfaces(NULL, NULL, tds__GetNetworkInterfaces, tds__GetNetworkInterfacesResponse); }
        /// Web service synchronous operation 'GetNetworkInterfaces' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetNetworkInterfaces(const char *soap_endpoint_url, const char *soap_action, _tds__GetNetworkInterfaces *tds__GetNetworkInterfaces, _tds__GetNetworkInterfacesResponse *tds__GetNetworkInterfacesResponse) { return this->send_GetNetworkInterfaces(soap_endpoint_url, soap_action, tds__GetNetworkInterfaces) || this->recv_GetNetworkInterfaces(tds__GetNetworkInterfacesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetNetworkInterfaces' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetNetworkInterfaces(const char *soap_endpoint_url, const char *soap_action, _tds__GetNetworkInterfaces *tds__GetNetworkInterfaces);
        /// Web service asynchronous operation 'recv_GetNetworkInterfaces' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetNetworkInterfaces(_tds__GetNetworkInterfacesResponse *tds__GetNetworkInterfacesResponse);
        //
        /// Web service synchronous operation 'SetNetworkInterfaces' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetNetworkInterfaces(_tds__SetNetworkInterfaces *tds__SetNetworkInterfaces, _tds__SetNetworkInterfacesResponse *tds__SetNetworkInterfacesResponse) { return this->SetNetworkInterfaces(NULL, NULL, tds__SetNetworkInterfaces, tds__SetNetworkInterfacesResponse); }
        /// Web service synchronous operation 'SetNetworkInterfaces' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetNetworkInterfaces(const char *soap_endpoint_url, const char *soap_action, _tds__SetNetworkInterfaces *tds__SetNetworkInterfaces, _tds__SetNetworkInterfacesResponse *tds__SetNetworkInterfacesResponse) { return this->send_SetNetworkInterfaces(soap_endpoint_url, soap_action, tds__SetNetworkInterfaces) || this->recv_SetNetworkInterfaces(tds__SetNetworkInterfacesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetNetworkInterfaces' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetNetworkInterfaces(const char *soap_endpoint_url, const char *soap_action, _tds__SetNetworkInterfaces *tds__SetNetworkInterfaces);
        /// Web service asynchronous operation 'recv_SetNetworkInterfaces' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetNetworkInterfaces(_tds__SetNetworkInterfacesResponse *tds__SetNetworkInterfacesResponse);
        //
        /// Web service synchronous operation 'GetNetworkProtocols' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetNetworkProtocols(_tds__GetNetworkProtocols *tds__GetNetworkProtocols, _tds__GetNetworkProtocolsResponse *tds__GetNetworkProtocolsResponse) { return this->GetNetworkProtocols(NULL, NULL, tds__GetNetworkProtocols, tds__GetNetworkProtocolsResponse); }
        /// Web service synchronous operation 'GetNetworkProtocols' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetNetworkProtocols(const char *soap_endpoint_url, const char *soap_action, _tds__GetNetworkProtocols *tds__GetNetworkProtocols, _tds__GetNetworkProtocolsResponse *tds__GetNetworkProtocolsResponse) { return this->send_GetNetworkProtocols(soap_endpoint_url, soap_action, tds__GetNetworkProtocols) || this->recv_GetNetworkProtocols(tds__GetNetworkProtocolsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetNetworkProtocols' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetNetworkProtocols(const char *soap_endpoint_url, const char *soap_action, _tds__GetNetworkProtocols *tds__GetNetworkProtocols);
        /// Web service asynchronous operation 'recv_GetNetworkProtocols' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetNetworkProtocols(_tds__GetNetworkProtocolsResponse *tds__GetNetworkProtocolsResponse);
        //
        /// Web service synchronous operation 'SetNetworkProtocols' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetNetworkProtocols(_tds__SetNetworkProtocols *tds__SetNetworkProtocols, _tds__SetNetworkProtocolsResponse *tds__SetNetworkProtocolsResponse) { return this->SetNetworkProtocols(NULL, NULL, tds__SetNetworkProtocols, tds__SetNetworkProtocolsResponse); }
        /// Web service synchronous operation 'SetNetworkProtocols' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetNetworkProtocols(const char *soap_endpoint_url, const char *soap_action, _tds__SetNetworkProtocols *tds__SetNetworkProtocols, _tds__SetNetworkProtocolsResponse *tds__SetNetworkProtocolsResponse) { return this->send_SetNetworkProtocols(soap_endpoint_url, soap_action, tds__SetNetworkProtocols) || this->recv_SetNetworkProtocols(tds__SetNetworkProtocolsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetNetworkProtocols' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetNetworkProtocols(const char *soap_endpoint_url, const char *soap_action, _tds__SetNetworkProtocols *tds__SetNetworkProtocols);
        /// Web service asynchronous operation 'recv_SetNetworkProtocols' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetNetworkProtocols(_tds__SetNetworkProtocolsResponse *tds__SetNetworkProtocolsResponse);
        //
        /// Web service synchronous operation 'GetNetworkDefaultGateway' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetNetworkDefaultGateway(_tds__GetNetworkDefaultGateway *tds__GetNetworkDefaultGateway, _tds__GetNetworkDefaultGatewayResponse *tds__GetNetworkDefaultGatewayResponse) { return this->GetNetworkDefaultGateway(NULL, NULL, tds__GetNetworkDefaultGateway, tds__GetNetworkDefaultGatewayResponse); }
        /// Web service synchronous operation 'GetNetworkDefaultGateway' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetNetworkDefaultGateway(const char *soap_endpoint_url, const char *soap_action, _tds__GetNetworkDefaultGateway *tds__GetNetworkDefaultGateway, _tds__GetNetworkDefaultGatewayResponse *tds__GetNetworkDefaultGatewayResponse) { return this->send_GetNetworkDefaultGateway(soap_endpoint_url, soap_action, tds__GetNetworkDefaultGateway) || this->recv_GetNetworkDefaultGateway(tds__GetNetworkDefaultGatewayResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetNetworkDefaultGateway' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetNetworkDefaultGateway(const char *soap_endpoint_url, const char *soap_action, _tds__GetNetworkDefaultGateway *tds__GetNetworkDefaultGateway);
        /// Web service asynchronous operation 'recv_GetNetworkDefaultGateway' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetNetworkDefaultGateway(_tds__GetNetworkDefaultGatewayResponse *tds__GetNetworkDefaultGatewayResponse);
        //
        /// Web service synchronous operation 'SetNetworkDefaultGateway' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetNetworkDefaultGateway(_tds__SetNetworkDefaultGateway *tds__SetNetworkDefaultGateway, _tds__SetNetworkDefaultGatewayResponse *tds__SetNetworkDefaultGatewayResponse) { return this->SetNetworkDefaultGateway(NULL, NULL, tds__SetNetworkDefaultGateway, tds__SetNetworkDefaultGatewayResponse); }
        /// Web service synchronous operation 'SetNetworkDefaultGateway' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetNetworkDefaultGateway(const char *soap_endpoint_url, const char *soap_action, _tds__SetNetworkDefaultGateway *tds__SetNetworkDefaultGateway, _tds__SetNetworkDefaultGatewayResponse *tds__SetNetworkDefaultGatewayResponse) { return this->send_SetNetworkDefaultGateway(soap_endpoint_url, soap_action, tds__SetNetworkDefaultGateway) || this->recv_SetNetworkDefaultGateway(tds__SetNetworkDefaultGatewayResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetNetworkDefaultGateway' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetNetworkDefaultGateway(const char *soap_endpoint_url, const char *soap_action, _tds__SetNetworkDefaultGateway *tds__SetNetworkDefaultGateway);
        /// Web service asynchronous operation 'recv_SetNetworkDefaultGateway' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetNetworkDefaultGateway(_tds__SetNetworkDefaultGatewayResponse *tds__SetNetworkDefaultGatewayResponse);
        //
        /// Web service synchronous operation 'GetZeroConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetZeroConfiguration(_tds__GetZeroConfiguration *tds__GetZeroConfiguration, _tds__GetZeroConfigurationResponse *tds__GetZeroConfigurationResponse) { return this->GetZeroConfiguration(NULL, NULL, tds__GetZeroConfiguration, tds__GetZeroConfigurationResponse); }
        /// Web service synchronous operation 'GetZeroConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetZeroConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__GetZeroConfiguration *tds__GetZeroConfiguration, _tds__GetZeroConfigurationResponse *tds__GetZeroConfigurationResponse) { return this->send_GetZeroConfiguration(soap_endpoint_url, soap_action, tds__GetZeroConfiguration) || this->recv_GetZeroConfiguration(tds__GetZeroConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetZeroConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetZeroConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__GetZeroConfiguration *tds__GetZeroConfiguration);
        /// Web service asynchronous operation 'recv_GetZeroConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetZeroConfiguration(_tds__GetZeroConfigurationResponse *tds__GetZeroConfigurationResponse);
        //
        /// Web service synchronous operation 'SetZeroConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetZeroConfiguration(_tds__SetZeroConfiguration *tds__SetZeroConfiguration, _tds__SetZeroConfigurationResponse *tds__SetZeroConfigurationResponse) { return this->SetZeroConfiguration(NULL, NULL, tds__SetZeroConfiguration, tds__SetZeroConfigurationResponse); }
        /// Web service synchronous operation 'SetZeroConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetZeroConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__SetZeroConfiguration *tds__SetZeroConfiguration, _tds__SetZeroConfigurationResponse *tds__SetZeroConfigurationResponse) { return this->send_SetZeroConfiguration(soap_endpoint_url, soap_action, tds__SetZeroConfiguration) || this->recv_SetZeroConfiguration(tds__SetZeroConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetZeroConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetZeroConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__SetZeroConfiguration *tds__SetZeroConfiguration);
        /// Web service asynchronous operation 'recv_SetZeroConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetZeroConfiguration(_tds__SetZeroConfigurationResponse *tds__SetZeroConfigurationResponse);
        //
        /// Web service synchronous operation 'GetIPAddressFilter' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetIPAddressFilter(_tds__GetIPAddressFilter *tds__GetIPAddressFilter, _tds__GetIPAddressFilterResponse *tds__GetIPAddressFilterResponse) { return this->GetIPAddressFilter(NULL, NULL, tds__GetIPAddressFilter, tds__GetIPAddressFilterResponse); }
        /// Web service synchronous operation 'GetIPAddressFilter' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetIPAddressFilter(const char *soap_endpoint_url, const char *soap_action, _tds__GetIPAddressFilter *tds__GetIPAddressFilter, _tds__GetIPAddressFilterResponse *tds__GetIPAddressFilterResponse) { return this->send_GetIPAddressFilter(soap_endpoint_url, soap_action, tds__GetIPAddressFilter) || this->recv_GetIPAddressFilter(tds__GetIPAddressFilterResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetIPAddressFilter' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetIPAddressFilter(const char *soap_endpoint_url, const char *soap_action, _tds__GetIPAddressFilter *tds__GetIPAddressFilter);
        /// Web service asynchronous operation 'recv_GetIPAddressFilter' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetIPAddressFilter(_tds__GetIPAddressFilterResponse *tds__GetIPAddressFilterResponse);
        //
        /// Web service synchronous operation 'SetIPAddressFilter' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetIPAddressFilter(_tds__SetIPAddressFilter *tds__SetIPAddressFilter, _tds__SetIPAddressFilterResponse *tds__SetIPAddressFilterResponse) { return this->SetIPAddressFilter(NULL, NULL, tds__SetIPAddressFilter, tds__SetIPAddressFilterResponse); }
        /// Web service synchronous operation 'SetIPAddressFilter' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetIPAddressFilter(const char *soap_endpoint_url, const char *soap_action, _tds__SetIPAddressFilter *tds__SetIPAddressFilter, _tds__SetIPAddressFilterResponse *tds__SetIPAddressFilterResponse) { return this->send_SetIPAddressFilter(soap_endpoint_url, soap_action, tds__SetIPAddressFilter) || this->recv_SetIPAddressFilter(tds__SetIPAddressFilterResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetIPAddressFilter' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetIPAddressFilter(const char *soap_endpoint_url, const char *soap_action, _tds__SetIPAddressFilter *tds__SetIPAddressFilter);
        /// Web service asynchronous operation 'recv_SetIPAddressFilter' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetIPAddressFilter(_tds__SetIPAddressFilterResponse *tds__SetIPAddressFilterResponse);
        //
        /// Web service synchronous operation 'AddIPAddressFilter' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddIPAddressFilter(_tds__AddIPAddressFilter *tds__AddIPAddressFilter, _tds__AddIPAddressFilterResponse *tds__AddIPAddressFilterResponse) { return this->AddIPAddressFilter(NULL, NULL, tds__AddIPAddressFilter, tds__AddIPAddressFilterResponse); }
        /// Web service synchronous operation 'AddIPAddressFilter' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddIPAddressFilter(const char *soap_endpoint_url, const char *soap_action, _tds__AddIPAddressFilter *tds__AddIPAddressFilter, _tds__AddIPAddressFilterResponse *tds__AddIPAddressFilterResponse) { return this->send_AddIPAddressFilter(soap_endpoint_url, soap_action, tds__AddIPAddressFilter) || this->recv_AddIPAddressFilter(tds__AddIPAddressFilterResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddIPAddressFilter' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddIPAddressFilter(const char *soap_endpoint_url, const char *soap_action, _tds__AddIPAddressFilter *tds__AddIPAddressFilter);
        /// Web service asynchronous operation 'recv_AddIPAddressFilter' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddIPAddressFilter(_tds__AddIPAddressFilterResponse *tds__AddIPAddressFilterResponse);
        //
        /// Web service synchronous operation 'RemoveIPAddressFilter' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveIPAddressFilter(_tds__RemoveIPAddressFilter *tds__RemoveIPAddressFilter, _tds__RemoveIPAddressFilterResponse *tds__RemoveIPAddressFilterResponse) { return this->RemoveIPAddressFilter(NULL, NULL, tds__RemoveIPAddressFilter, tds__RemoveIPAddressFilterResponse); }
        /// Web service synchronous operation 'RemoveIPAddressFilter' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveIPAddressFilter(const char *soap_endpoint_url, const char *soap_action, _tds__RemoveIPAddressFilter *tds__RemoveIPAddressFilter, _tds__RemoveIPAddressFilterResponse *tds__RemoveIPAddressFilterResponse) { return this->send_RemoveIPAddressFilter(soap_endpoint_url, soap_action, tds__RemoveIPAddressFilter) || this->recv_RemoveIPAddressFilter(tds__RemoveIPAddressFilterResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemoveIPAddressFilter' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemoveIPAddressFilter(const char *soap_endpoint_url, const char *soap_action, _tds__RemoveIPAddressFilter *tds__RemoveIPAddressFilter);
        /// Web service asynchronous operation 'recv_RemoveIPAddressFilter' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemoveIPAddressFilter(_tds__RemoveIPAddressFilterResponse *tds__RemoveIPAddressFilterResponse);
        //
        /// Web service synchronous operation 'GetAccessPolicy' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAccessPolicy(_tds__GetAccessPolicy *tds__GetAccessPolicy, _tds__GetAccessPolicyResponse *tds__GetAccessPolicyResponse) { return this->GetAccessPolicy(NULL, NULL, tds__GetAccessPolicy, tds__GetAccessPolicyResponse); }
        /// Web service synchronous operation 'GetAccessPolicy' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAccessPolicy(const char *soap_endpoint_url, const char *soap_action, _tds__GetAccessPolicy *tds__GetAccessPolicy, _tds__GetAccessPolicyResponse *tds__GetAccessPolicyResponse) { return this->send_GetAccessPolicy(soap_endpoint_url, soap_action, tds__GetAccessPolicy) || this->recv_GetAccessPolicy(tds__GetAccessPolicyResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAccessPolicy' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAccessPolicy(const char *soap_endpoint_url, const char *soap_action, _tds__GetAccessPolicy *tds__GetAccessPolicy);
        /// Web service asynchronous operation 'recv_GetAccessPolicy' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAccessPolicy(_tds__GetAccessPolicyResponse *tds__GetAccessPolicyResponse);
        //
        /// Web service synchronous operation 'SetAccessPolicy' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetAccessPolicy(_tds__SetAccessPolicy *tds__SetAccessPolicy, _tds__SetAccessPolicyResponse *tds__SetAccessPolicyResponse) { return this->SetAccessPolicy(NULL, NULL, tds__SetAccessPolicy, tds__SetAccessPolicyResponse); }
        /// Web service synchronous operation 'SetAccessPolicy' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetAccessPolicy(const char *soap_endpoint_url, const char *soap_action, _tds__SetAccessPolicy *tds__SetAccessPolicy, _tds__SetAccessPolicyResponse *tds__SetAccessPolicyResponse) { return this->send_SetAccessPolicy(soap_endpoint_url, soap_action, tds__SetAccessPolicy) || this->recv_SetAccessPolicy(tds__SetAccessPolicyResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetAccessPolicy' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetAccessPolicy(const char *soap_endpoint_url, const char *soap_action, _tds__SetAccessPolicy *tds__SetAccessPolicy);
        /// Web service asynchronous operation 'recv_SetAccessPolicy' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetAccessPolicy(_tds__SetAccessPolicyResponse *tds__SetAccessPolicyResponse);
        //
        /// Web service synchronous operation 'CreateCertificate' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int CreateCertificate(_tds__CreateCertificate *tds__CreateCertificate, _tds__CreateCertificateResponse *tds__CreateCertificateResponse) { return this->CreateCertificate(NULL, NULL, tds__CreateCertificate, tds__CreateCertificateResponse); }
        /// Web service synchronous operation 'CreateCertificate' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int CreateCertificate(const char *soap_endpoint_url, const char *soap_action, _tds__CreateCertificate *tds__CreateCertificate, _tds__CreateCertificateResponse *tds__CreateCertificateResponse) { return this->send_CreateCertificate(soap_endpoint_url, soap_action, tds__CreateCertificate) || this->recv_CreateCertificate(tds__CreateCertificateResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_CreateCertificate' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_CreateCertificate(const char *soap_endpoint_url, const char *soap_action, _tds__CreateCertificate *tds__CreateCertificate);
        /// Web service asynchronous operation 'recv_CreateCertificate' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_CreateCertificate(_tds__CreateCertificateResponse *tds__CreateCertificateResponse);
        //
        /// Web service synchronous operation 'GetCertificates' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCertificates(_tds__GetCertificates *tds__GetCertificates, _tds__GetCertificatesResponse *tds__GetCertificatesResponse) { return this->GetCertificates(NULL, NULL, tds__GetCertificates, tds__GetCertificatesResponse); }
        /// Web service synchronous operation 'GetCertificates' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCertificates(const char *soap_endpoint_url, const char *soap_action, _tds__GetCertificates *tds__GetCertificates, _tds__GetCertificatesResponse *tds__GetCertificatesResponse) { return this->send_GetCertificates(soap_endpoint_url, soap_action, tds__GetCertificates) || this->recv_GetCertificates(tds__GetCertificatesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCertificates' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCertificates(const char *soap_endpoint_url, const char *soap_action, _tds__GetCertificates *tds__GetCertificates);
        /// Web service asynchronous operation 'recv_GetCertificates' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCertificates(_tds__GetCertificatesResponse *tds__GetCertificatesResponse);
        //
        /// Web service synchronous operation 'GetCertificatesStatus' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCertificatesStatus(_tds__GetCertificatesStatus *tds__GetCertificatesStatus, _tds__GetCertificatesStatusResponse *tds__GetCertificatesStatusResponse) { return this->GetCertificatesStatus(NULL, NULL, tds__GetCertificatesStatus, tds__GetCertificatesStatusResponse); }
        /// Web service synchronous operation 'GetCertificatesStatus' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCertificatesStatus(const char *soap_endpoint_url, const char *soap_action, _tds__GetCertificatesStatus *tds__GetCertificatesStatus, _tds__GetCertificatesStatusResponse *tds__GetCertificatesStatusResponse) { return this->send_GetCertificatesStatus(soap_endpoint_url, soap_action, tds__GetCertificatesStatus) || this->recv_GetCertificatesStatus(tds__GetCertificatesStatusResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCertificatesStatus' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCertificatesStatus(const char *soap_endpoint_url, const char *soap_action, _tds__GetCertificatesStatus *tds__GetCertificatesStatus);
        /// Web service asynchronous operation 'recv_GetCertificatesStatus' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCertificatesStatus(_tds__GetCertificatesStatusResponse *tds__GetCertificatesStatusResponse);
        //
        /// Web service synchronous operation 'SetCertificatesStatus' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetCertificatesStatus(_tds__SetCertificatesStatus *tds__SetCertificatesStatus, _tds__SetCertificatesStatusResponse *tds__SetCertificatesStatusResponse) { return this->SetCertificatesStatus(NULL, NULL, tds__SetCertificatesStatus, tds__SetCertificatesStatusResponse); }
        /// Web service synchronous operation 'SetCertificatesStatus' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetCertificatesStatus(const char *soap_endpoint_url, const char *soap_action, _tds__SetCertificatesStatus *tds__SetCertificatesStatus, _tds__SetCertificatesStatusResponse *tds__SetCertificatesStatusResponse) { return this->send_SetCertificatesStatus(soap_endpoint_url, soap_action, tds__SetCertificatesStatus) || this->recv_SetCertificatesStatus(tds__SetCertificatesStatusResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetCertificatesStatus' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetCertificatesStatus(const char *soap_endpoint_url, const char *soap_action, _tds__SetCertificatesStatus *tds__SetCertificatesStatus);
        /// Web service asynchronous operation 'recv_SetCertificatesStatus' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetCertificatesStatus(_tds__SetCertificatesStatusResponse *tds__SetCertificatesStatusResponse);
        //
        /// Web service synchronous operation 'DeleteCertificates' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteCertificates(_tds__DeleteCertificates *tds__DeleteCertificates, _tds__DeleteCertificatesResponse *tds__DeleteCertificatesResponse) { return this->DeleteCertificates(NULL, NULL, tds__DeleteCertificates, tds__DeleteCertificatesResponse); }
        /// Web service synchronous operation 'DeleteCertificates' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteCertificates(const char *soap_endpoint_url, const char *soap_action, _tds__DeleteCertificates *tds__DeleteCertificates, _tds__DeleteCertificatesResponse *tds__DeleteCertificatesResponse) { return this->send_DeleteCertificates(soap_endpoint_url, soap_action, tds__DeleteCertificates) || this->recv_DeleteCertificates(tds__DeleteCertificatesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_DeleteCertificates' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_DeleteCertificates(const char *soap_endpoint_url, const char *soap_action, _tds__DeleteCertificates *tds__DeleteCertificates);
        /// Web service asynchronous operation 'recv_DeleteCertificates' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_DeleteCertificates(_tds__DeleteCertificatesResponse *tds__DeleteCertificatesResponse);
        //
        /// Web service synchronous operation 'GetPkcs10Request' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetPkcs10Request(_tds__GetPkcs10Request *tds__GetPkcs10Request, _tds__GetPkcs10RequestResponse *tds__GetPkcs10RequestResponse) { return this->GetPkcs10Request(NULL, NULL, tds__GetPkcs10Request, tds__GetPkcs10RequestResponse); }
        /// Web service synchronous operation 'GetPkcs10Request' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetPkcs10Request(const char *soap_endpoint_url, const char *soap_action, _tds__GetPkcs10Request *tds__GetPkcs10Request, _tds__GetPkcs10RequestResponse *tds__GetPkcs10RequestResponse) { return this->send_GetPkcs10Request(soap_endpoint_url, soap_action, tds__GetPkcs10Request) || this->recv_GetPkcs10Request(tds__GetPkcs10RequestResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetPkcs10Request' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetPkcs10Request(const char *soap_endpoint_url, const char *soap_action, _tds__GetPkcs10Request *tds__GetPkcs10Request);
        /// Web service asynchronous operation 'recv_GetPkcs10Request' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetPkcs10Request(_tds__GetPkcs10RequestResponse *tds__GetPkcs10RequestResponse);
        //
        /// Web service synchronous operation 'LoadCertificates' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int LoadCertificates(_tds__LoadCertificates *tds__LoadCertificates, _tds__LoadCertificatesResponse *tds__LoadCertificatesResponse) { return this->LoadCertificates(NULL, NULL, tds__LoadCertificates, tds__LoadCertificatesResponse); }
        /// Web service synchronous operation 'LoadCertificates' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int LoadCertificates(const char *soap_endpoint_url, const char *soap_action, _tds__LoadCertificates *tds__LoadCertificates, _tds__LoadCertificatesResponse *tds__LoadCertificatesResponse) { return this->send_LoadCertificates(soap_endpoint_url, soap_action, tds__LoadCertificates) || this->recv_LoadCertificates(tds__LoadCertificatesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_LoadCertificates' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_LoadCertificates(const char *soap_endpoint_url, const char *soap_action, _tds__LoadCertificates *tds__LoadCertificates);
        /// Web service asynchronous operation 'recv_LoadCertificates' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_LoadCertificates(_tds__LoadCertificatesResponse *tds__LoadCertificatesResponse);
        //
        /// Web service synchronous operation 'GetClientCertificateMode' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetClientCertificateMode(_tds__GetClientCertificateMode *tds__GetClientCertificateMode, _tds__GetClientCertificateModeResponse *tds__GetClientCertificateModeResponse) { return this->GetClientCertificateMode(NULL, NULL, tds__GetClientCertificateMode, tds__GetClientCertificateModeResponse); }
        /// Web service synchronous operation 'GetClientCertificateMode' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetClientCertificateMode(const char *soap_endpoint_url, const char *soap_action, _tds__GetClientCertificateMode *tds__GetClientCertificateMode, _tds__GetClientCertificateModeResponse *tds__GetClientCertificateModeResponse) { return this->send_GetClientCertificateMode(soap_endpoint_url, soap_action, tds__GetClientCertificateMode) || this->recv_GetClientCertificateMode(tds__GetClientCertificateModeResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetClientCertificateMode' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetClientCertificateMode(const char *soap_endpoint_url, const char *soap_action, _tds__GetClientCertificateMode *tds__GetClientCertificateMode);
        /// Web service asynchronous operation 'recv_GetClientCertificateMode' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetClientCertificateMode(_tds__GetClientCertificateModeResponse *tds__GetClientCertificateModeResponse);
        //
        /// Web service synchronous operation 'SetClientCertificateMode' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetClientCertificateMode(_tds__SetClientCertificateMode *tds__SetClientCertificateMode, _tds__SetClientCertificateModeResponse *tds__SetClientCertificateModeResponse) { return this->SetClientCertificateMode(NULL, NULL, tds__SetClientCertificateMode, tds__SetClientCertificateModeResponse); }
        /// Web service synchronous operation 'SetClientCertificateMode' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetClientCertificateMode(const char *soap_endpoint_url, const char *soap_action, _tds__SetClientCertificateMode *tds__SetClientCertificateMode, _tds__SetClientCertificateModeResponse *tds__SetClientCertificateModeResponse) { return this->send_SetClientCertificateMode(soap_endpoint_url, soap_action, tds__SetClientCertificateMode) || this->recv_SetClientCertificateMode(tds__SetClientCertificateModeResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetClientCertificateMode' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetClientCertificateMode(const char *soap_endpoint_url, const char *soap_action, _tds__SetClientCertificateMode *tds__SetClientCertificateMode);
        /// Web service asynchronous operation 'recv_SetClientCertificateMode' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetClientCertificateMode(_tds__SetClientCertificateModeResponse *tds__SetClientCertificateModeResponse);
        //
        /// Web service synchronous operation 'GetRelayOutputs' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetRelayOutputs(_tds__GetRelayOutputs *tds__GetRelayOutputs, _tds__GetRelayOutputsResponse *tds__GetRelayOutputsResponse) { return this->GetRelayOutputs(NULL, NULL, tds__GetRelayOutputs, tds__GetRelayOutputsResponse); }
        /// Web service synchronous operation 'GetRelayOutputs' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetRelayOutputs(const char *soap_endpoint_url, const char *soap_action, _tds__GetRelayOutputs *tds__GetRelayOutputs, _tds__GetRelayOutputsResponse *tds__GetRelayOutputsResponse) { return this->send_GetRelayOutputs(soap_endpoint_url, soap_action, tds__GetRelayOutputs) || this->recv_GetRelayOutputs(tds__GetRelayOutputsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetRelayOutputs' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetRelayOutputs(const char *soap_endpoint_url, const char *soap_action, _tds__GetRelayOutputs *tds__GetRelayOutputs);
        /// Web service asynchronous operation 'recv_GetRelayOutputs' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetRelayOutputs(_tds__GetRelayOutputsResponse *tds__GetRelayOutputsResponse);
        //
        /// Web service synchronous operation 'SetRelayOutputSettings' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetRelayOutputSettings(_tds__SetRelayOutputSettings *tds__SetRelayOutputSettings, _tds__SetRelayOutputSettingsResponse *tds__SetRelayOutputSettingsResponse) { return this->SetRelayOutputSettings(NULL, NULL, tds__SetRelayOutputSettings, tds__SetRelayOutputSettingsResponse); }
        /// Web service synchronous operation 'SetRelayOutputSettings' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetRelayOutputSettings(const char *soap_endpoint_url, const char *soap_action, _tds__SetRelayOutputSettings *tds__SetRelayOutputSettings, _tds__SetRelayOutputSettingsResponse *tds__SetRelayOutputSettingsResponse) { return this->send_SetRelayOutputSettings(soap_endpoint_url, soap_action, tds__SetRelayOutputSettings) || this->recv_SetRelayOutputSettings(tds__SetRelayOutputSettingsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetRelayOutputSettings' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetRelayOutputSettings(const char *soap_endpoint_url, const char *soap_action, _tds__SetRelayOutputSettings *tds__SetRelayOutputSettings);
        /// Web service asynchronous operation 'recv_SetRelayOutputSettings' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetRelayOutputSettings(_tds__SetRelayOutputSettingsResponse *tds__SetRelayOutputSettingsResponse);
        //
        /// Web service synchronous operation 'SetRelayOutputState' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetRelayOutputState(_tds__SetRelayOutputState *tds__SetRelayOutputState, _tds__SetRelayOutputStateResponse *tds__SetRelayOutputStateResponse) { return this->SetRelayOutputState(NULL, NULL, tds__SetRelayOutputState, tds__SetRelayOutputStateResponse); }
        /// Web service synchronous operation 'SetRelayOutputState' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetRelayOutputState(const char *soap_endpoint_url, const char *soap_action, _tds__SetRelayOutputState *tds__SetRelayOutputState, _tds__SetRelayOutputStateResponse *tds__SetRelayOutputStateResponse) { return this->send_SetRelayOutputState(soap_endpoint_url, soap_action, tds__SetRelayOutputState) || this->recv_SetRelayOutputState(tds__SetRelayOutputStateResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetRelayOutputState' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetRelayOutputState(const char *soap_endpoint_url, const char *soap_action, _tds__SetRelayOutputState *tds__SetRelayOutputState);
        /// Web service asynchronous operation 'recv_SetRelayOutputState' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetRelayOutputState(_tds__SetRelayOutputStateResponse *tds__SetRelayOutputStateResponse);
        //
        /// Web service synchronous operation 'SendAuxiliaryCommand' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SendAuxiliaryCommand(_tds__SendAuxiliaryCommand *tds__SendAuxiliaryCommand, _tds__SendAuxiliaryCommandResponse *tds__SendAuxiliaryCommandResponse) { return this->SendAuxiliaryCommand(NULL, NULL, tds__SendAuxiliaryCommand, tds__SendAuxiliaryCommandResponse); }
        /// Web service synchronous operation 'SendAuxiliaryCommand' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SendAuxiliaryCommand(const char *soap_endpoint_url, const char *soap_action, _tds__SendAuxiliaryCommand *tds__SendAuxiliaryCommand, _tds__SendAuxiliaryCommandResponse *tds__SendAuxiliaryCommandResponse) { return this->send_SendAuxiliaryCommand(soap_endpoint_url, soap_action, tds__SendAuxiliaryCommand) || this->recv_SendAuxiliaryCommand(tds__SendAuxiliaryCommandResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SendAuxiliaryCommand' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SendAuxiliaryCommand(const char *soap_endpoint_url, const char *soap_action, _tds__SendAuxiliaryCommand *tds__SendAuxiliaryCommand);
        /// Web service asynchronous operation 'recv_SendAuxiliaryCommand' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SendAuxiliaryCommand(_tds__SendAuxiliaryCommandResponse *tds__SendAuxiliaryCommandResponse);
        //
        /// Web service synchronous operation 'GetCACertificates' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCACertificates(_tds__GetCACertificates *tds__GetCACertificates, _tds__GetCACertificatesResponse *tds__GetCACertificatesResponse) { return this->GetCACertificates(NULL, NULL, tds__GetCACertificates, tds__GetCACertificatesResponse); }
        /// Web service synchronous operation 'GetCACertificates' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCACertificates(const char *soap_endpoint_url, const char *soap_action, _tds__GetCACertificates *tds__GetCACertificates, _tds__GetCACertificatesResponse *tds__GetCACertificatesResponse) { return this->send_GetCACertificates(soap_endpoint_url, soap_action, tds__GetCACertificates) || this->recv_GetCACertificates(tds__GetCACertificatesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCACertificates' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCACertificates(const char *soap_endpoint_url, const char *soap_action, _tds__GetCACertificates *tds__GetCACertificates);
        /// Web service asynchronous operation 'recv_GetCACertificates' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCACertificates(_tds__GetCACertificatesResponse *tds__GetCACertificatesResponse);
        //
        /// Web service synchronous operation 'LoadCertificateWithPrivateKey' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int LoadCertificateWithPrivateKey(_tds__LoadCertificateWithPrivateKey *tds__LoadCertificateWithPrivateKey, _tds__LoadCertificateWithPrivateKeyResponse *tds__LoadCertificateWithPrivateKeyResponse) { return this->LoadCertificateWithPrivateKey(NULL, NULL, tds__LoadCertificateWithPrivateKey, tds__LoadCertificateWithPrivateKeyResponse); }
        /// Web service synchronous operation 'LoadCertificateWithPrivateKey' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int LoadCertificateWithPrivateKey(const char *soap_endpoint_url, const char *soap_action, _tds__LoadCertificateWithPrivateKey *tds__LoadCertificateWithPrivateKey, _tds__LoadCertificateWithPrivateKeyResponse *tds__LoadCertificateWithPrivateKeyResponse) { return this->send_LoadCertificateWithPrivateKey(soap_endpoint_url, soap_action, tds__LoadCertificateWithPrivateKey) || this->recv_LoadCertificateWithPrivateKey(tds__LoadCertificateWithPrivateKeyResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_LoadCertificateWithPrivateKey' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_LoadCertificateWithPrivateKey(const char *soap_endpoint_url, const char *soap_action, _tds__LoadCertificateWithPrivateKey *tds__LoadCertificateWithPrivateKey);
        /// Web service asynchronous operation 'recv_LoadCertificateWithPrivateKey' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_LoadCertificateWithPrivateKey(_tds__LoadCertificateWithPrivateKeyResponse *tds__LoadCertificateWithPrivateKeyResponse);
        //
        /// Web service synchronous operation 'GetCertificateInformation' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCertificateInformation(_tds__GetCertificateInformation *tds__GetCertificateInformation, _tds__GetCertificateInformationResponse *tds__GetCertificateInformationResponse) { return this->GetCertificateInformation(NULL, NULL, tds__GetCertificateInformation, tds__GetCertificateInformationResponse); }
        /// Web service synchronous operation 'GetCertificateInformation' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCertificateInformation(const char *soap_endpoint_url, const char *soap_action, _tds__GetCertificateInformation *tds__GetCertificateInformation, _tds__GetCertificateInformationResponse *tds__GetCertificateInformationResponse) { return this->send_GetCertificateInformation(soap_endpoint_url, soap_action, tds__GetCertificateInformation) || this->recv_GetCertificateInformation(tds__GetCertificateInformationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCertificateInformation' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCertificateInformation(const char *soap_endpoint_url, const char *soap_action, _tds__GetCertificateInformation *tds__GetCertificateInformation);
        /// Web service asynchronous operation 'recv_GetCertificateInformation' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCertificateInformation(_tds__GetCertificateInformationResponse *tds__GetCertificateInformationResponse);
        //
        /// Web service synchronous operation 'LoadCACertificates' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int LoadCACertificates(_tds__LoadCACertificates *tds__LoadCACertificates, _tds__LoadCACertificatesResponse *tds__LoadCACertificatesResponse) { return this->LoadCACertificates(NULL, NULL, tds__LoadCACertificates, tds__LoadCACertificatesResponse); }
        /// Web service synchronous operation 'LoadCACertificates' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int LoadCACertificates(const char *soap_endpoint_url, const char *soap_action, _tds__LoadCACertificates *tds__LoadCACertificates, _tds__LoadCACertificatesResponse *tds__LoadCACertificatesResponse) { return this->send_LoadCACertificates(soap_endpoint_url, soap_action, tds__LoadCACertificates) || this->recv_LoadCACertificates(tds__LoadCACertificatesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_LoadCACertificates' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_LoadCACertificates(const char *soap_endpoint_url, const char *soap_action, _tds__LoadCACertificates *tds__LoadCACertificates);
        /// Web service asynchronous operation 'recv_LoadCACertificates' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_LoadCACertificates(_tds__LoadCACertificatesResponse *tds__LoadCACertificatesResponse);
        //
        /// Web service synchronous operation 'CreateDot1XConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int CreateDot1XConfiguration(_tds__CreateDot1XConfiguration *tds__CreateDot1XConfiguration, _tds__CreateDot1XConfigurationResponse *tds__CreateDot1XConfigurationResponse) { return this->CreateDot1XConfiguration(NULL, NULL, tds__CreateDot1XConfiguration, tds__CreateDot1XConfigurationResponse); }
        /// Web service synchronous operation 'CreateDot1XConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int CreateDot1XConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__CreateDot1XConfiguration *tds__CreateDot1XConfiguration, _tds__CreateDot1XConfigurationResponse *tds__CreateDot1XConfigurationResponse) { return this->send_CreateDot1XConfiguration(soap_endpoint_url, soap_action, tds__CreateDot1XConfiguration) || this->recv_CreateDot1XConfiguration(tds__CreateDot1XConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_CreateDot1XConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_CreateDot1XConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__CreateDot1XConfiguration *tds__CreateDot1XConfiguration);
        /// Web service asynchronous operation 'recv_CreateDot1XConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_CreateDot1XConfiguration(_tds__CreateDot1XConfigurationResponse *tds__CreateDot1XConfigurationResponse);
        //
        /// Web service synchronous operation 'SetDot1XConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetDot1XConfiguration(_tds__SetDot1XConfiguration *tds__SetDot1XConfiguration, _tds__SetDot1XConfigurationResponse *tds__SetDot1XConfigurationResponse) { return this->SetDot1XConfiguration(NULL, NULL, tds__SetDot1XConfiguration, tds__SetDot1XConfigurationResponse); }
        /// Web service synchronous operation 'SetDot1XConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetDot1XConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__SetDot1XConfiguration *tds__SetDot1XConfiguration, _tds__SetDot1XConfigurationResponse *tds__SetDot1XConfigurationResponse) { return this->send_SetDot1XConfiguration(soap_endpoint_url, soap_action, tds__SetDot1XConfiguration) || this->recv_SetDot1XConfiguration(tds__SetDot1XConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetDot1XConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetDot1XConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__SetDot1XConfiguration *tds__SetDot1XConfiguration);
        /// Web service asynchronous operation 'recv_SetDot1XConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetDot1XConfiguration(_tds__SetDot1XConfigurationResponse *tds__SetDot1XConfigurationResponse);
        //
        /// Web service synchronous operation 'GetDot1XConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetDot1XConfiguration(_tds__GetDot1XConfiguration *tds__GetDot1XConfiguration, _tds__GetDot1XConfigurationResponse *tds__GetDot1XConfigurationResponse) { return this->GetDot1XConfiguration(NULL, NULL, tds__GetDot1XConfiguration, tds__GetDot1XConfigurationResponse); }
        /// Web service synchronous operation 'GetDot1XConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetDot1XConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__GetDot1XConfiguration *tds__GetDot1XConfiguration, _tds__GetDot1XConfigurationResponse *tds__GetDot1XConfigurationResponse) { return this->send_GetDot1XConfiguration(soap_endpoint_url, soap_action, tds__GetDot1XConfiguration) || this->recv_GetDot1XConfiguration(tds__GetDot1XConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetDot1XConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetDot1XConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__GetDot1XConfiguration *tds__GetDot1XConfiguration);
        /// Web service asynchronous operation 'recv_GetDot1XConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetDot1XConfiguration(_tds__GetDot1XConfigurationResponse *tds__GetDot1XConfigurationResponse);
        //
        /// Web service synchronous operation 'GetDot1XConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetDot1XConfigurations(_tds__GetDot1XConfigurations *tds__GetDot1XConfigurations, _tds__GetDot1XConfigurationsResponse *tds__GetDot1XConfigurationsResponse) { return this->GetDot1XConfigurations(NULL, NULL, tds__GetDot1XConfigurations, tds__GetDot1XConfigurationsResponse); }
        /// Web service synchronous operation 'GetDot1XConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetDot1XConfigurations(const char *soap_endpoint_url, const char *soap_action, _tds__GetDot1XConfigurations *tds__GetDot1XConfigurations, _tds__GetDot1XConfigurationsResponse *tds__GetDot1XConfigurationsResponse) { return this->send_GetDot1XConfigurations(soap_endpoint_url, soap_action, tds__GetDot1XConfigurations) || this->recv_GetDot1XConfigurations(tds__GetDot1XConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetDot1XConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetDot1XConfigurations(const char *soap_endpoint_url, const char *soap_action, _tds__GetDot1XConfigurations *tds__GetDot1XConfigurations);
        /// Web service asynchronous operation 'recv_GetDot1XConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetDot1XConfigurations(_tds__GetDot1XConfigurationsResponse *tds__GetDot1XConfigurationsResponse);
        //
        /// Web service synchronous operation 'DeleteDot1XConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteDot1XConfiguration(_tds__DeleteDot1XConfiguration *tds__DeleteDot1XConfiguration, _tds__DeleteDot1XConfigurationResponse *tds__DeleteDot1XConfigurationResponse) { return this->DeleteDot1XConfiguration(NULL, NULL, tds__DeleteDot1XConfiguration, tds__DeleteDot1XConfigurationResponse); }
        /// Web service synchronous operation 'DeleteDot1XConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteDot1XConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__DeleteDot1XConfiguration *tds__DeleteDot1XConfiguration, _tds__DeleteDot1XConfigurationResponse *tds__DeleteDot1XConfigurationResponse) { return this->send_DeleteDot1XConfiguration(soap_endpoint_url, soap_action, tds__DeleteDot1XConfiguration) || this->recv_DeleteDot1XConfiguration(tds__DeleteDot1XConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_DeleteDot1XConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_DeleteDot1XConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__DeleteDot1XConfiguration *tds__DeleteDot1XConfiguration);
        /// Web service asynchronous operation 'recv_DeleteDot1XConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_DeleteDot1XConfiguration(_tds__DeleteDot1XConfigurationResponse *tds__DeleteDot1XConfigurationResponse);
        //
        /// Web service synchronous operation 'GetDot11Capabilities' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetDot11Capabilities(_tds__GetDot11Capabilities *tds__GetDot11Capabilities, _tds__GetDot11CapabilitiesResponse *tds__GetDot11CapabilitiesResponse) { return this->GetDot11Capabilities(NULL, NULL, tds__GetDot11Capabilities, tds__GetDot11CapabilitiesResponse); }
        /// Web service synchronous operation 'GetDot11Capabilities' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetDot11Capabilities(const char *soap_endpoint_url, const char *soap_action, _tds__GetDot11Capabilities *tds__GetDot11Capabilities, _tds__GetDot11CapabilitiesResponse *tds__GetDot11CapabilitiesResponse) { return this->send_GetDot11Capabilities(soap_endpoint_url, soap_action, tds__GetDot11Capabilities) || this->recv_GetDot11Capabilities(tds__GetDot11CapabilitiesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetDot11Capabilities' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetDot11Capabilities(const char *soap_endpoint_url, const char *soap_action, _tds__GetDot11Capabilities *tds__GetDot11Capabilities);
        /// Web service asynchronous operation 'recv_GetDot11Capabilities' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetDot11Capabilities(_tds__GetDot11CapabilitiesResponse *tds__GetDot11CapabilitiesResponse);
        //
        /// Web service synchronous operation 'GetDot11Status' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetDot11Status(_tds__GetDot11Status *tds__GetDot11Status, _tds__GetDot11StatusResponse *tds__GetDot11StatusResponse) { return this->GetDot11Status(NULL, NULL, tds__GetDot11Status, tds__GetDot11StatusResponse); }
        /// Web service synchronous operation 'GetDot11Status' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetDot11Status(const char *soap_endpoint_url, const char *soap_action, _tds__GetDot11Status *tds__GetDot11Status, _tds__GetDot11StatusResponse *tds__GetDot11StatusResponse) { return this->send_GetDot11Status(soap_endpoint_url, soap_action, tds__GetDot11Status) || this->recv_GetDot11Status(tds__GetDot11StatusResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetDot11Status' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetDot11Status(const char *soap_endpoint_url, const char *soap_action, _tds__GetDot11Status *tds__GetDot11Status);
        /// Web service asynchronous operation 'recv_GetDot11Status' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetDot11Status(_tds__GetDot11StatusResponse *tds__GetDot11StatusResponse);
        //
        /// Web service synchronous operation 'ScanAvailableDot11Networks' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int ScanAvailableDot11Networks(_tds__ScanAvailableDot11Networks *tds__ScanAvailableDot11Networks, _tds__ScanAvailableDot11NetworksResponse *tds__ScanAvailableDot11NetworksResponse) { return this->ScanAvailableDot11Networks(NULL, NULL, tds__ScanAvailableDot11Networks, tds__ScanAvailableDot11NetworksResponse); }
        /// Web service synchronous operation 'ScanAvailableDot11Networks' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int ScanAvailableDot11Networks(const char *soap_endpoint_url, const char *soap_action, _tds__ScanAvailableDot11Networks *tds__ScanAvailableDot11Networks, _tds__ScanAvailableDot11NetworksResponse *tds__ScanAvailableDot11NetworksResponse) { return this->send_ScanAvailableDot11Networks(soap_endpoint_url, soap_action, tds__ScanAvailableDot11Networks) || this->recv_ScanAvailableDot11Networks(tds__ScanAvailableDot11NetworksResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_ScanAvailableDot11Networks' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_ScanAvailableDot11Networks(const char *soap_endpoint_url, const char *soap_action, _tds__ScanAvailableDot11Networks *tds__ScanAvailableDot11Networks);
        /// Web service asynchronous operation 'recv_ScanAvailableDot11Networks' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_ScanAvailableDot11Networks(_tds__ScanAvailableDot11NetworksResponse *tds__ScanAvailableDot11NetworksResponse);
        //
        /// Web service synchronous operation 'GetSystemUris' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetSystemUris(_tds__GetSystemUris *tds__GetSystemUris, _tds__GetSystemUrisResponse *tds__GetSystemUrisResponse) { return this->GetSystemUris(NULL, NULL, tds__GetSystemUris, tds__GetSystemUrisResponse); }
        /// Web service synchronous operation 'GetSystemUris' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetSystemUris(const char *soap_endpoint_url, const char *soap_action, _tds__GetSystemUris *tds__GetSystemUris, _tds__GetSystemUrisResponse *tds__GetSystemUrisResponse) { return this->send_GetSystemUris(soap_endpoint_url, soap_action, tds__GetSystemUris) || this->recv_GetSystemUris(tds__GetSystemUrisResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetSystemUris' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetSystemUris(const char *soap_endpoint_url, const char *soap_action, _tds__GetSystemUris *tds__GetSystemUris);
        /// Web service asynchronous operation 'recv_GetSystemUris' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetSystemUris(_tds__GetSystemUrisResponse *tds__GetSystemUrisResponse);
        //
        /// Web service synchronous operation 'StartFirmwareUpgrade' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int StartFirmwareUpgrade(_tds__StartFirmwareUpgrade *tds__StartFirmwareUpgrade, _tds__StartFirmwareUpgradeResponse *tds__StartFirmwareUpgradeResponse) { return this->StartFirmwareUpgrade(NULL, NULL, tds__StartFirmwareUpgrade, tds__StartFirmwareUpgradeResponse); }
        /// Web service synchronous operation 'StartFirmwareUpgrade' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int StartFirmwareUpgrade(const char *soap_endpoint_url, const char *soap_action, _tds__StartFirmwareUpgrade *tds__StartFirmwareUpgrade, _tds__StartFirmwareUpgradeResponse *tds__StartFirmwareUpgradeResponse) { return this->send_StartFirmwareUpgrade(soap_endpoint_url, soap_action, tds__StartFirmwareUpgrade) || this->recv_StartFirmwareUpgrade(tds__StartFirmwareUpgradeResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_StartFirmwareUpgrade' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_StartFirmwareUpgrade(const char *soap_endpoint_url, const char *soap_action, _tds__StartFirmwareUpgrade *tds__StartFirmwareUpgrade);
        /// Web service asynchronous operation 'recv_StartFirmwareUpgrade' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_StartFirmwareUpgrade(_tds__StartFirmwareUpgradeResponse *tds__StartFirmwareUpgradeResponse);
        //
        /// Web service synchronous operation 'StartSystemRestore' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int StartSystemRestore(_tds__StartSystemRestore *tds__StartSystemRestore, _tds__StartSystemRestoreResponse *tds__StartSystemRestoreResponse) { return this->StartSystemRestore(NULL, NULL, tds__StartSystemRestore, tds__StartSystemRestoreResponse); }
        /// Web service synchronous operation 'StartSystemRestore' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int StartSystemRestore(const char *soap_endpoint_url, const char *soap_action, _tds__StartSystemRestore *tds__StartSystemRestore, _tds__StartSystemRestoreResponse *tds__StartSystemRestoreResponse) { return this->send_StartSystemRestore(soap_endpoint_url, soap_action, tds__StartSystemRestore) || this->recv_StartSystemRestore(tds__StartSystemRestoreResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_StartSystemRestore' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_StartSystemRestore(const char *soap_endpoint_url, const char *soap_action, _tds__StartSystemRestore *tds__StartSystemRestore);
        /// Web service asynchronous operation 'recv_StartSystemRestore' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_StartSystemRestore(_tds__StartSystemRestoreResponse *tds__StartSystemRestoreResponse);
        //
        /// Web service synchronous operation 'GetStorageConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetStorageConfigurations(_tds__GetStorageConfigurations *tds__GetStorageConfigurations, _tds__GetStorageConfigurationsResponse *tds__GetStorageConfigurationsResponse) { return this->GetStorageConfigurations(NULL, NULL, tds__GetStorageConfigurations, tds__GetStorageConfigurationsResponse); }
        /// Web service synchronous operation 'GetStorageConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetStorageConfigurations(const char *soap_endpoint_url, const char *soap_action, _tds__GetStorageConfigurations *tds__GetStorageConfigurations, _tds__GetStorageConfigurationsResponse *tds__GetStorageConfigurationsResponse) { return this->send_GetStorageConfigurations(soap_endpoint_url, soap_action, tds__GetStorageConfigurations) || this->recv_GetStorageConfigurations(tds__GetStorageConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetStorageConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetStorageConfigurations(const char *soap_endpoint_url, const char *soap_action, _tds__GetStorageConfigurations *tds__GetStorageConfigurations);
        /// Web service asynchronous operation 'recv_GetStorageConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetStorageConfigurations(_tds__GetStorageConfigurationsResponse *tds__GetStorageConfigurationsResponse);
        //
        /// Web service synchronous operation 'CreateStorageConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int CreateStorageConfiguration(_tds__CreateStorageConfiguration *tds__CreateStorageConfiguration, _tds__CreateStorageConfigurationResponse *tds__CreateStorageConfigurationResponse) { return this->CreateStorageConfiguration(NULL, NULL, tds__CreateStorageConfiguration, tds__CreateStorageConfigurationResponse); }
        /// Web service synchronous operation 'CreateStorageConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int CreateStorageConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__CreateStorageConfiguration *tds__CreateStorageConfiguration, _tds__CreateStorageConfigurationResponse *tds__CreateStorageConfigurationResponse) { return this->send_CreateStorageConfiguration(soap_endpoint_url, soap_action, tds__CreateStorageConfiguration) || this->recv_CreateStorageConfiguration(tds__CreateStorageConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_CreateStorageConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_CreateStorageConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__CreateStorageConfiguration *tds__CreateStorageConfiguration);
        /// Web service asynchronous operation 'recv_CreateStorageConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_CreateStorageConfiguration(_tds__CreateStorageConfigurationResponse *tds__CreateStorageConfigurationResponse);
        //
        /// Web service synchronous operation 'GetStorageConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetStorageConfiguration(_tds__GetStorageConfiguration *tds__GetStorageConfiguration, _tds__GetStorageConfigurationResponse *tds__GetStorageConfigurationResponse) { return this->GetStorageConfiguration(NULL, NULL, tds__GetStorageConfiguration, tds__GetStorageConfigurationResponse); }
        /// Web service synchronous operation 'GetStorageConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetStorageConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__GetStorageConfiguration *tds__GetStorageConfiguration, _tds__GetStorageConfigurationResponse *tds__GetStorageConfigurationResponse) { return this->send_GetStorageConfiguration(soap_endpoint_url, soap_action, tds__GetStorageConfiguration) || this->recv_GetStorageConfiguration(tds__GetStorageConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetStorageConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetStorageConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__GetStorageConfiguration *tds__GetStorageConfiguration);
        /// Web service asynchronous operation 'recv_GetStorageConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetStorageConfiguration(_tds__GetStorageConfigurationResponse *tds__GetStorageConfigurationResponse);
        //
        /// Web service synchronous operation 'SetStorageConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetStorageConfiguration(_tds__SetStorageConfiguration *tds__SetStorageConfiguration, _tds__SetStorageConfigurationResponse *tds__SetStorageConfigurationResponse) { return this->SetStorageConfiguration(NULL, NULL, tds__SetStorageConfiguration, tds__SetStorageConfigurationResponse); }
        /// Web service synchronous operation 'SetStorageConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetStorageConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__SetStorageConfiguration *tds__SetStorageConfiguration, _tds__SetStorageConfigurationResponse *tds__SetStorageConfigurationResponse) { return this->send_SetStorageConfiguration(soap_endpoint_url, soap_action, tds__SetStorageConfiguration) || this->recv_SetStorageConfiguration(tds__SetStorageConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetStorageConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetStorageConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__SetStorageConfiguration *tds__SetStorageConfiguration);
        /// Web service asynchronous operation 'recv_SetStorageConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetStorageConfiguration(_tds__SetStorageConfigurationResponse *tds__SetStorageConfigurationResponse);
        //
        /// Web service synchronous operation 'DeleteStorageConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteStorageConfiguration(_tds__DeleteStorageConfiguration *tds__DeleteStorageConfiguration, _tds__DeleteStorageConfigurationResponse *tds__DeleteStorageConfigurationResponse) { return this->DeleteStorageConfiguration(NULL, NULL, tds__DeleteStorageConfiguration, tds__DeleteStorageConfigurationResponse); }
        /// Web service synchronous operation 'DeleteStorageConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteStorageConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__DeleteStorageConfiguration *tds__DeleteStorageConfiguration, _tds__DeleteStorageConfigurationResponse *tds__DeleteStorageConfigurationResponse) { return this->send_DeleteStorageConfiguration(soap_endpoint_url, soap_action, tds__DeleteStorageConfiguration) || this->recv_DeleteStorageConfiguration(tds__DeleteStorageConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_DeleteStorageConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_DeleteStorageConfiguration(const char *soap_endpoint_url, const char *soap_action, _tds__DeleteStorageConfiguration *tds__DeleteStorageConfiguration);
        /// Web service asynchronous operation 'recv_DeleteStorageConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_DeleteStorageConfiguration(_tds__DeleteStorageConfigurationResponse *tds__DeleteStorageConfigurationResponse);
    };
#endif
