/* soapMediaBindingProxy.h
   Generated by gSOAP 2.8.102 for gen/onvif.h

gSOAP XML Web services tools
Copyright (C) 2000-2020, Robert van Engelen, Genivia Inc. All Rights Reserved.
The soapcpp2 tool and its generated software are released under the GPL.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
--------------------------------------------------------------------------------
A commercial use license is available from Genivia Inc., contact@genivia.com
--------------------------------------------------------------------------------
*/

#ifndef soapMediaBindingProxy_H
#define soapMediaBindingProxy_H
#include "soapH.h"

    class SOAP_CMAC MediaBindingProxy {
      public:
        /// Context to manage proxy IO and data
        struct soap *soap;
        /// flag indicating that this context is owned by this proxy and should be deleted by the destructor
        bool soap_own;
        /// Endpoint URL of service 'MediaBindingProxy' (change as needed)
        const char *soap_endpoint;
        /// Variables globally declared in gen/onvif.h, if any
        /// Construct a proxy with new managing context
        MediaBindingProxy();
        /// Copy constructor
        MediaBindingProxy(const MediaBindingProxy& rhs);
        /// Construct proxy given a shared managing context
        MediaBindingProxy(struct soap*);
        /// Construct proxy given a shared managing context and endpoint URL
        MediaBindingProxy(struct soap*, const char *soap_endpoint_url);
        /// Constructor taking an endpoint URL
        MediaBindingProxy(const char *soap_endpoint_url);
        /// Constructor taking input and output mode flags for the new managing context
        MediaBindingProxy(soap_mode iomode);
        /// Constructor taking endpoint URL and input and output mode flags for the new managing context
        MediaBindingProxy(const char *soap_endpoint_url, soap_mode iomode);
        /// Constructor taking input and output mode flags for the new managing context
        MediaBindingProxy(soap_mode imode, soap_mode omode);
        /// Destructor deletes deserialized data and its managing context, when the context was allocated by the constructor
        virtual ~MediaBindingProxy();
        /// Initializer used by constructors
        virtual void MediaBindingProxy_init(soap_mode imode, soap_mode omode);
        /// Return a copy that has a new managing context with the same engine state
        virtual MediaBindingProxy *copy();
        /// Copy assignment
        MediaBindingProxy& operator=(const MediaBindingProxy&);
        /// Delete all deserialized data (uses soap_destroy() and soap_end())
        virtual void destroy();
        /// Delete all deserialized data and reset to default
        virtual void reset();
        /// Disables and removes SOAP Header from message by setting soap->header = NULL
        virtual void soap_noheader();
        /// Add SOAP Header to message
        virtual void soap_header(char *wsa__MessageID, struct wsa__Relationship *wsa__RelatesTo, struct wsa__EndpointReferenceType *wsa__From, struct wsa__EndpointReferenceType *wsa__ReplyTo, struct wsa__EndpointReferenceType *wsa__FaultTo, char *wsa__To, char *wsa__Action, struct wsdd__AppSequenceType *wsdd__AppSequence, struct _wsse__Security *wsse__Security, char *wsa5__MessageID, struct wsa5__RelatesToType *wsa5__RelatesTo, struct wsa5__EndpointReferenceType *wsa5__From, struct wsa5__EndpointReferenceType *wsa5__ReplyTo, struct wsa5__EndpointReferenceType *wsa5__FaultTo, char *wsa5__To, char *wsa5__Action, struct chan__ChannelInstanceType *chan__ChannelInstance);
        /// Get SOAP Header structure (i.e. soap->header, which is NULL when absent)
        virtual ::SOAP_ENV__Header *soap_header();
        /// Get SOAP Fault structure (i.e. soap->fault, which is NULL when absent)
        virtual ::SOAP_ENV__Fault *soap_fault();
        /// Get SOAP Fault subcode QName string (NULL when absent)
        virtual const char *soap_fault_subcode();
        /// Get SOAP Fault string/reason (NULL when absent)
        virtual const char *soap_fault_string();
        /// Get SOAP Fault detail XML string (NULL when absent)
        virtual const char *soap_fault_detail();
        /// Close connection (normally automatic, except for send_X ops)
        virtual int soap_close_socket();
        /// Force close connection (can kill a thread blocked on IO)
        virtual int soap_force_close_socket();
        /// Print fault
        virtual void soap_print_fault(FILE*);
    #ifndef WITH_LEAN
    #ifndef WITH_COMPAT
        /// Print fault to stream
        virtual void soap_stream_fault(std::ostream&);
    #endif
        /// Write fault to buffer
        virtual char *soap_sprint_fault(char *buf, size_t len);
    #endif
        //
        /// Web service synchronous operation 'GetServiceCapabilities' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetServiceCapabilities(_trt__GetServiceCapabilities *trt__GetServiceCapabilities, _trt__GetServiceCapabilitiesResponse *trt__GetServiceCapabilitiesResponse) { return this->GetServiceCapabilities(NULL, NULL, trt__GetServiceCapabilities, trt__GetServiceCapabilitiesResponse); }
        /// Web service synchronous operation 'GetServiceCapabilities' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetServiceCapabilities(const char *soap_endpoint_url, const char *soap_action, _trt__GetServiceCapabilities *trt__GetServiceCapabilities, _trt__GetServiceCapabilitiesResponse *trt__GetServiceCapabilitiesResponse) { return this->send_GetServiceCapabilities(soap_endpoint_url, soap_action, trt__GetServiceCapabilities) || this->recv_GetServiceCapabilities(trt__GetServiceCapabilitiesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetServiceCapabilities' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetServiceCapabilities(const char *soap_endpoint_url, const char *soap_action, _trt__GetServiceCapabilities *trt__GetServiceCapabilities);
        /// Web service asynchronous operation 'recv_GetServiceCapabilities' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetServiceCapabilities(_trt__GetServiceCapabilitiesResponse *trt__GetServiceCapabilitiesResponse);
        //
        /// Web service synchronous operation 'GetVideoSources' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoSources(_trt__GetVideoSources *trt__GetVideoSources, _trt__GetVideoSourcesResponse *trt__GetVideoSourcesResponse) { return this->GetVideoSources(NULL, NULL, trt__GetVideoSources, trt__GetVideoSourcesResponse); }
        /// Web service synchronous operation 'GetVideoSources' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoSources(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoSources *trt__GetVideoSources, _trt__GetVideoSourcesResponse *trt__GetVideoSourcesResponse) { return this->send_GetVideoSources(soap_endpoint_url, soap_action, trt__GetVideoSources) || this->recv_GetVideoSources(trt__GetVideoSourcesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetVideoSources' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetVideoSources(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoSources *trt__GetVideoSources);
        /// Web service asynchronous operation 'recv_GetVideoSources' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetVideoSources(_trt__GetVideoSourcesResponse *trt__GetVideoSourcesResponse);
        //
        /// Web service synchronous operation 'GetAudioSources' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioSources(_trt__GetAudioSources *trt__GetAudioSources, _trt__GetAudioSourcesResponse *trt__GetAudioSourcesResponse) { return this->GetAudioSources(NULL, NULL, trt__GetAudioSources, trt__GetAudioSourcesResponse); }
        /// Web service synchronous operation 'GetAudioSources' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioSources(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioSources *trt__GetAudioSources, _trt__GetAudioSourcesResponse *trt__GetAudioSourcesResponse) { return this->send_GetAudioSources(soap_endpoint_url, soap_action, trt__GetAudioSources) || this->recv_GetAudioSources(trt__GetAudioSourcesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioSources' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioSources(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioSources *trt__GetAudioSources);
        /// Web service asynchronous operation 'recv_GetAudioSources' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioSources(_trt__GetAudioSourcesResponse *trt__GetAudioSourcesResponse);
        //
        /// Web service synchronous operation 'GetAudioOutputs' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioOutputs(_trt__GetAudioOutputs *trt__GetAudioOutputs, _trt__GetAudioOutputsResponse *trt__GetAudioOutputsResponse) { return this->GetAudioOutputs(NULL, NULL, trt__GetAudioOutputs, trt__GetAudioOutputsResponse); }
        /// Web service synchronous operation 'GetAudioOutputs' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioOutputs(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioOutputs *trt__GetAudioOutputs, _trt__GetAudioOutputsResponse *trt__GetAudioOutputsResponse) { return this->send_GetAudioOutputs(soap_endpoint_url, soap_action, trt__GetAudioOutputs) || this->recv_GetAudioOutputs(trt__GetAudioOutputsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioOutputs' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioOutputs(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioOutputs *trt__GetAudioOutputs);
        /// Web service asynchronous operation 'recv_GetAudioOutputs' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioOutputs(_trt__GetAudioOutputsResponse *trt__GetAudioOutputsResponse);
        //
        /// Web service synchronous operation 'CreateProfile' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int CreateProfile(_trt__CreateProfile *trt__CreateProfile, _trt__CreateProfileResponse *trt__CreateProfileResponse) { return this->CreateProfile(NULL, NULL, trt__CreateProfile, trt__CreateProfileResponse); }
        /// Web service synchronous operation 'CreateProfile' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int CreateProfile(const char *soap_endpoint_url, const char *soap_action, _trt__CreateProfile *trt__CreateProfile, _trt__CreateProfileResponse *trt__CreateProfileResponse) { return this->send_CreateProfile(soap_endpoint_url, soap_action, trt__CreateProfile) || this->recv_CreateProfile(trt__CreateProfileResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_CreateProfile' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_CreateProfile(const char *soap_endpoint_url, const char *soap_action, _trt__CreateProfile *trt__CreateProfile);
        /// Web service asynchronous operation 'recv_CreateProfile' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_CreateProfile(_trt__CreateProfileResponse *trt__CreateProfileResponse);
        //
        /// Web service synchronous operation 'GetProfile' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetProfile(_trt__GetProfile *trt__GetProfile, _trt__GetProfileResponse *trt__GetProfileResponse) { return this->GetProfile(NULL, NULL, trt__GetProfile, trt__GetProfileResponse); }
        /// Web service synchronous operation 'GetProfile' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetProfile(const char *soap_endpoint_url, const char *soap_action, _trt__GetProfile *trt__GetProfile, _trt__GetProfileResponse *trt__GetProfileResponse) { return this->send_GetProfile(soap_endpoint_url, soap_action, trt__GetProfile) || this->recv_GetProfile(trt__GetProfileResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetProfile' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetProfile(const char *soap_endpoint_url, const char *soap_action, _trt__GetProfile *trt__GetProfile);
        /// Web service asynchronous operation 'recv_GetProfile' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetProfile(_trt__GetProfileResponse *trt__GetProfileResponse);
        //
        /// Web service synchronous operation 'GetProfiles' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetProfiles(_trt__GetProfiles *trt__GetProfiles, _trt__GetProfilesResponse *trt__GetProfilesResponse) { return this->GetProfiles(NULL, NULL, trt__GetProfiles, trt__GetProfilesResponse); }
        /// Web service synchronous operation 'GetProfiles' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetProfiles(const char *soap_endpoint_url, const char *soap_action, _trt__GetProfiles *trt__GetProfiles, _trt__GetProfilesResponse *trt__GetProfilesResponse) { return this->send_GetProfiles(soap_endpoint_url, soap_action, trt__GetProfiles) || this->recv_GetProfiles(trt__GetProfilesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetProfiles' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetProfiles(const char *soap_endpoint_url, const char *soap_action, _trt__GetProfiles *trt__GetProfiles);
        /// Web service asynchronous operation 'recv_GetProfiles' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetProfiles(_trt__GetProfilesResponse *trt__GetProfilesResponse);
        //
        /// Web service synchronous operation 'AddVideoEncoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddVideoEncoderConfiguration(_trt__AddVideoEncoderConfiguration *trt__AddVideoEncoderConfiguration, _trt__AddVideoEncoderConfigurationResponse *trt__AddVideoEncoderConfigurationResponse) { return this->AddVideoEncoderConfiguration(NULL, NULL, trt__AddVideoEncoderConfiguration, trt__AddVideoEncoderConfigurationResponse); }
        /// Web service synchronous operation 'AddVideoEncoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddVideoEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddVideoEncoderConfiguration *trt__AddVideoEncoderConfiguration, _trt__AddVideoEncoderConfigurationResponse *trt__AddVideoEncoderConfigurationResponse) { return this->send_AddVideoEncoderConfiguration(soap_endpoint_url, soap_action, trt__AddVideoEncoderConfiguration) || this->recv_AddVideoEncoderConfiguration(trt__AddVideoEncoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddVideoEncoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddVideoEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddVideoEncoderConfiguration *trt__AddVideoEncoderConfiguration);
        /// Web service asynchronous operation 'recv_AddVideoEncoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddVideoEncoderConfiguration(_trt__AddVideoEncoderConfigurationResponse *trt__AddVideoEncoderConfigurationResponse);
        //
        /// Web service synchronous operation 'AddVideoSourceConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddVideoSourceConfiguration(_trt__AddVideoSourceConfiguration *trt__AddVideoSourceConfiguration, _trt__AddVideoSourceConfigurationResponse *trt__AddVideoSourceConfigurationResponse) { return this->AddVideoSourceConfiguration(NULL, NULL, trt__AddVideoSourceConfiguration, trt__AddVideoSourceConfigurationResponse); }
        /// Web service synchronous operation 'AddVideoSourceConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddVideoSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddVideoSourceConfiguration *trt__AddVideoSourceConfiguration, _trt__AddVideoSourceConfigurationResponse *trt__AddVideoSourceConfigurationResponse) { return this->send_AddVideoSourceConfiguration(soap_endpoint_url, soap_action, trt__AddVideoSourceConfiguration) || this->recv_AddVideoSourceConfiguration(trt__AddVideoSourceConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddVideoSourceConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddVideoSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddVideoSourceConfiguration *trt__AddVideoSourceConfiguration);
        /// Web service asynchronous operation 'recv_AddVideoSourceConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddVideoSourceConfiguration(_trt__AddVideoSourceConfigurationResponse *trt__AddVideoSourceConfigurationResponse);
        //
        /// Web service synchronous operation 'AddAudioEncoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddAudioEncoderConfiguration(_trt__AddAudioEncoderConfiguration *trt__AddAudioEncoderConfiguration, _trt__AddAudioEncoderConfigurationResponse *trt__AddAudioEncoderConfigurationResponse) { return this->AddAudioEncoderConfiguration(NULL, NULL, trt__AddAudioEncoderConfiguration, trt__AddAudioEncoderConfigurationResponse); }
        /// Web service synchronous operation 'AddAudioEncoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddAudioEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddAudioEncoderConfiguration *trt__AddAudioEncoderConfiguration, _trt__AddAudioEncoderConfigurationResponse *trt__AddAudioEncoderConfigurationResponse) { return this->send_AddAudioEncoderConfiguration(soap_endpoint_url, soap_action, trt__AddAudioEncoderConfiguration) || this->recv_AddAudioEncoderConfiguration(trt__AddAudioEncoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddAudioEncoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddAudioEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddAudioEncoderConfiguration *trt__AddAudioEncoderConfiguration);
        /// Web service asynchronous operation 'recv_AddAudioEncoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddAudioEncoderConfiguration(_trt__AddAudioEncoderConfigurationResponse *trt__AddAudioEncoderConfigurationResponse);
        //
        /// Web service synchronous operation 'AddAudioSourceConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddAudioSourceConfiguration(_trt__AddAudioSourceConfiguration *trt__AddAudioSourceConfiguration, _trt__AddAudioSourceConfigurationResponse *trt__AddAudioSourceConfigurationResponse) { return this->AddAudioSourceConfiguration(NULL, NULL, trt__AddAudioSourceConfiguration, trt__AddAudioSourceConfigurationResponse); }
        /// Web service synchronous operation 'AddAudioSourceConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddAudioSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddAudioSourceConfiguration *trt__AddAudioSourceConfiguration, _trt__AddAudioSourceConfigurationResponse *trt__AddAudioSourceConfigurationResponse) { return this->send_AddAudioSourceConfiguration(soap_endpoint_url, soap_action, trt__AddAudioSourceConfiguration) || this->recv_AddAudioSourceConfiguration(trt__AddAudioSourceConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddAudioSourceConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddAudioSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddAudioSourceConfiguration *trt__AddAudioSourceConfiguration);
        /// Web service asynchronous operation 'recv_AddAudioSourceConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddAudioSourceConfiguration(_trt__AddAudioSourceConfigurationResponse *trt__AddAudioSourceConfigurationResponse);
        //
        /// Web service synchronous operation 'AddPTZConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddPTZConfiguration(_trt__AddPTZConfiguration *trt__AddPTZConfiguration, _trt__AddPTZConfigurationResponse *trt__AddPTZConfigurationResponse) { return this->AddPTZConfiguration(NULL, NULL, trt__AddPTZConfiguration, trt__AddPTZConfigurationResponse); }
        /// Web service synchronous operation 'AddPTZConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddPTZConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddPTZConfiguration *trt__AddPTZConfiguration, _trt__AddPTZConfigurationResponse *trt__AddPTZConfigurationResponse) { return this->send_AddPTZConfiguration(soap_endpoint_url, soap_action, trt__AddPTZConfiguration) || this->recv_AddPTZConfiguration(trt__AddPTZConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddPTZConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddPTZConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddPTZConfiguration *trt__AddPTZConfiguration);
        /// Web service asynchronous operation 'recv_AddPTZConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddPTZConfiguration(_trt__AddPTZConfigurationResponse *trt__AddPTZConfigurationResponse);
        //
        /// Web service synchronous operation 'AddVideoAnalyticsConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddVideoAnalyticsConfiguration(_trt__AddVideoAnalyticsConfiguration *trt__AddVideoAnalyticsConfiguration, _trt__AddVideoAnalyticsConfigurationResponse *trt__AddVideoAnalyticsConfigurationResponse) { return this->AddVideoAnalyticsConfiguration(NULL, NULL, trt__AddVideoAnalyticsConfiguration, trt__AddVideoAnalyticsConfigurationResponse); }
        /// Web service synchronous operation 'AddVideoAnalyticsConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddVideoAnalyticsConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddVideoAnalyticsConfiguration *trt__AddVideoAnalyticsConfiguration, _trt__AddVideoAnalyticsConfigurationResponse *trt__AddVideoAnalyticsConfigurationResponse) { return this->send_AddVideoAnalyticsConfiguration(soap_endpoint_url, soap_action, trt__AddVideoAnalyticsConfiguration) || this->recv_AddVideoAnalyticsConfiguration(trt__AddVideoAnalyticsConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddVideoAnalyticsConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddVideoAnalyticsConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddVideoAnalyticsConfiguration *trt__AddVideoAnalyticsConfiguration);
        /// Web service asynchronous operation 'recv_AddVideoAnalyticsConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddVideoAnalyticsConfiguration(_trt__AddVideoAnalyticsConfigurationResponse *trt__AddVideoAnalyticsConfigurationResponse);
        //
        /// Web service synchronous operation 'AddMetadataConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddMetadataConfiguration(_trt__AddMetadataConfiguration *trt__AddMetadataConfiguration, _trt__AddMetadataConfigurationResponse *trt__AddMetadataConfigurationResponse) { return this->AddMetadataConfiguration(NULL, NULL, trt__AddMetadataConfiguration, trt__AddMetadataConfigurationResponse); }
        /// Web service synchronous operation 'AddMetadataConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddMetadataConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddMetadataConfiguration *trt__AddMetadataConfiguration, _trt__AddMetadataConfigurationResponse *trt__AddMetadataConfigurationResponse) { return this->send_AddMetadataConfiguration(soap_endpoint_url, soap_action, trt__AddMetadataConfiguration) || this->recv_AddMetadataConfiguration(trt__AddMetadataConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddMetadataConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddMetadataConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddMetadataConfiguration *trt__AddMetadataConfiguration);
        /// Web service asynchronous operation 'recv_AddMetadataConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddMetadataConfiguration(_trt__AddMetadataConfigurationResponse *trt__AddMetadataConfigurationResponse);
        //
        /// Web service synchronous operation 'AddAudioOutputConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddAudioOutputConfiguration(_trt__AddAudioOutputConfiguration *trt__AddAudioOutputConfiguration, _trt__AddAudioOutputConfigurationResponse *trt__AddAudioOutputConfigurationResponse) { return this->AddAudioOutputConfiguration(NULL, NULL, trt__AddAudioOutputConfiguration, trt__AddAudioOutputConfigurationResponse); }
        /// Web service synchronous operation 'AddAudioOutputConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddAudioOutputConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddAudioOutputConfiguration *trt__AddAudioOutputConfiguration, _trt__AddAudioOutputConfigurationResponse *trt__AddAudioOutputConfigurationResponse) { return this->send_AddAudioOutputConfiguration(soap_endpoint_url, soap_action, trt__AddAudioOutputConfiguration) || this->recv_AddAudioOutputConfiguration(trt__AddAudioOutputConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddAudioOutputConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddAudioOutputConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddAudioOutputConfiguration *trt__AddAudioOutputConfiguration);
        /// Web service asynchronous operation 'recv_AddAudioOutputConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddAudioOutputConfiguration(_trt__AddAudioOutputConfigurationResponse *trt__AddAudioOutputConfigurationResponse);
        //
        /// Web service synchronous operation 'AddAudioDecoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddAudioDecoderConfiguration(_trt__AddAudioDecoderConfiguration *trt__AddAudioDecoderConfiguration, _trt__AddAudioDecoderConfigurationResponse *trt__AddAudioDecoderConfigurationResponse) { return this->AddAudioDecoderConfiguration(NULL, NULL, trt__AddAudioDecoderConfiguration, trt__AddAudioDecoderConfigurationResponse); }
        /// Web service synchronous operation 'AddAudioDecoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddAudioDecoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddAudioDecoderConfiguration *trt__AddAudioDecoderConfiguration, _trt__AddAudioDecoderConfigurationResponse *trt__AddAudioDecoderConfigurationResponse) { return this->send_AddAudioDecoderConfiguration(soap_endpoint_url, soap_action, trt__AddAudioDecoderConfiguration) || this->recv_AddAudioDecoderConfiguration(trt__AddAudioDecoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddAudioDecoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddAudioDecoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__AddAudioDecoderConfiguration *trt__AddAudioDecoderConfiguration);
        /// Web service asynchronous operation 'recv_AddAudioDecoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddAudioDecoderConfiguration(_trt__AddAudioDecoderConfigurationResponse *trt__AddAudioDecoderConfigurationResponse);
        //
        /// Web service synchronous operation 'RemoveVideoEncoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveVideoEncoderConfiguration(_trt__RemoveVideoEncoderConfiguration *trt__RemoveVideoEncoderConfiguration, _trt__RemoveVideoEncoderConfigurationResponse *trt__RemoveVideoEncoderConfigurationResponse) { return this->RemoveVideoEncoderConfiguration(NULL, NULL, trt__RemoveVideoEncoderConfiguration, trt__RemoveVideoEncoderConfigurationResponse); }
        /// Web service synchronous operation 'RemoveVideoEncoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveVideoEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveVideoEncoderConfiguration *trt__RemoveVideoEncoderConfiguration, _trt__RemoveVideoEncoderConfigurationResponse *trt__RemoveVideoEncoderConfigurationResponse) { return this->send_RemoveVideoEncoderConfiguration(soap_endpoint_url, soap_action, trt__RemoveVideoEncoderConfiguration) || this->recv_RemoveVideoEncoderConfiguration(trt__RemoveVideoEncoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemoveVideoEncoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemoveVideoEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveVideoEncoderConfiguration *trt__RemoveVideoEncoderConfiguration);
        /// Web service asynchronous operation 'recv_RemoveVideoEncoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemoveVideoEncoderConfiguration(_trt__RemoveVideoEncoderConfigurationResponse *trt__RemoveVideoEncoderConfigurationResponse);
        //
        /// Web service synchronous operation 'RemoveVideoSourceConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveVideoSourceConfiguration(_trt__RemoveVideoSourceConfiguration *trt__RemoveVideoSourceConfiguration, _trt__RemoveVideoSourceConfigurationResponse *trt__RemoveVideoSourceConfigurationResponse) { return this->RemoveVideoSourceConfiguration(NULL, NULL, trt__RemoveVideoSourceConfiguration, trt__RemoveVideoSourceConfigurationResponse); }
        /// Web service synchronous operation 'RemoveVideoSourceConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveVideoSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveVideoSourceConfiguration *trt__RemoveVideoSourceConfiguration, _trt__RemoveVideoSourceConfigurationResponse *trt__RemoveVideoSourceConfigurationResponse) { return this->send_RemoveVideoSourceConfiguration(soap_endpoint_url, soap_action, trt__RemoveVideoSourceConfiguration) || this->recv_RemoveVideoSourceConfiguration(trt__RemoveVideoSourceConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemoveVideoSourceConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemoveVideoSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveVideoSourceConfiguration *trt__RemoveVideoSourceConfiguration);
        /// Web service asynchronous operation 'recv_RemoveVideoSourceConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemoveVideoSourceConfiguration(_trt__RemoveVideoSourceConfigurationResponse *trt__RemoveVideoSourceConfigurationResponse);
        //
        /// Web service synchronous operation 'RemoveAudioEncoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveAudioEncoderConfiguration(_trt__RemoveAudioEncoderConfiguration *trt__RemoveAudioEncoderConfiguration, _trt__RemoveAudioEncoderConfigurationResponse *trt__RemoveAudioEncoderConfigurationResponse) { return this->RemoveAudioEncoderConfiguration(NULL, NULL, trt__RemoveAudioEncoderConfiguration, trt__RemoveAudioEncoderConfigurationResponse); }
        /// Web service synchronous operation 'RemoveAudioEncoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveAudioEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveAudioEncoderConfiguration *trt__RemoveAudioEncoderConfiguration, _trt__RemoveAudioEncoderConfigurationResponse *trt__RemoveAudioEncoderConfigurationResponse) { return this->send_RemoveAudioEncoderConfiguration(soap_endpoint_url, soap_action, trt__RemoveAudioEncoderConfiguration) || this->recv_RemoveAudioEncoderConfiguration(trt__RemoveAudioEncoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemoveAudioEncoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemoveAudioEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveAudioEncoderConfiguration *trt__RemoveAudioEncoderConfiguration);
        /// Web service asynchronous operation 'recv_RemoveAudioEncoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemoveAudioEncoderConfiguration(_trt__RemoveAudioEncoderConfigurationResponse *trt__RemoveAudioEncoderConfigurationResponse);
        //
        /// Web service synchronous operation 'RemoveAudioSourceConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveAudioSourceConfiguration(_trt__RemoveAudioSourceConfiguration *trt__RemoveAudioSourceConfiguration, _trt__RemoveAudioSourceConfigurationResponse *trt__RemoveAudioSourceConfigurationResponse) { return this->RemoveAudioSourceConfiguration(NULL, NULL, trt__RemoveAudioSourceConfiguration, trt__RemoveAudioSourceConfigurationResponse); }
        /// Web service synchronous operation 'RemoveAudioSourceConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveAudioSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveAudioSourceConfiguration *trt__RemoveAudioSourceConfiguration, _trt__RemoveAudioSourceConfigurationResponse *trt__RemoveAudioSourceConfigurationResponse) { return this->send_RemoveAudioSourceConfiguration(soap_endpoint_url, soap_action, trt__RemoveAudioSourceConfiguration) || this->recv_RemoveAudioSourceConfiguration(trt__RemoveAudioSourceConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemoveAudioSourceConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemoveAudioSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveAudioSourceConfiguration *trt__RemoveAudioSourceConfiguration);
        /// Web service asynchronous operation 'recv_RemoveAudioSourceConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemoveAudioSourceConfiguration(_trt__RemoveAudioSourceConfigurationResponse *trt__RemoveAudioSourceConfigurationResponse);
        //
        /// Web service synchronous operation 'RemovePTZConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemovePTZConfiguration(_trt__RemovePTZConfiguration *trt__RemovePTZConfiguration, _trt__RemovePTZConfigurationResponse *trt__RemovePTZConfigurationResponse) { return this->RemovePTZConfiguration(NULL, NULL, trt__RemovePTZConfiguration, trt__RemovePTZConfigurationResponse); }
        /// Web service synchronous operation 'RemovePTZConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemovePTZConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemovePTZConfiguration *trt__RemovePTZConfiguration, _trt__RemovePTZConfigurationResponse *trt__RemovePTZConfigurationResponse) { return this->send_RemovePTZConfiguration(soap_endpoint_url, soap_action, trt__RemovePTZConfiguration) || this->recv_RemovePTZConfiguration(trt__RemovePTZConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemovePTZConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemovePTZConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemovePTZConfiguration *trt__RemovePTZConfiguration);
        /// Web service asynchronous operation 'recv_RemovePTZConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemovePTZConfiguration(_trt__RemovePTZConfigurationResponse *trt__RemovePTZConfigurationResponse);
        //
        /// Web service synchronous operation 'RemoveVideoAnalyticsConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveVideoAnalyticsConfiguration(_trt__RemoveVideoAnalyticsConfiguration *trt__RemoveVideoAnalyticsConfiguration, _trt__RemoveVideoAnalyticsConfigurationResponse *trt__RemoveVideoAnalyticsConfigurationResponse) { return this->RemoveVideoAnalyticsConfiguration(NULL, NULL, trt__RemoveVideoAnalyticsConfiguration, trt__RemoveVideoAnalyticsConfigurationResponse); }
        /// Web service synchronous operation 'RemoveVideoAnalyticsConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveVideoAnalyticsConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveVideoAnalyticsConfiguration *trt__RemoveVideoAnalyticsConfiguration, _trt__RemoveVideoAnalyticsConfigurationResponse *trt__RemoveVideoAnalyticsConfigurationResponse) { return this->send_RemoveVideoAnalyticsConfiguration(soap_endpoint_url, soap_action, trt__RemoveVideoAnalyticsConfiguration) || this->recv_RemoveVideoAnalyticsConfiguration(trt__RemoveVideoAnalyticsConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemoveVideoAnalyticsConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemoveVideoAnalyticsConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveVideoAnalyticsConfiguration *trt__RemoveVideoAnalyticsConfiguration);
        /// Web service asynchronous operation 'recv_RemoveVideoAnalyticsConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemoveVideoAnalyticsConfiguration(_trt__RemoveVideoAnalyticsConfigurationResponse *trt__RemoveVideoAnalyticsConfigurationResponse);
        //
        /// Web service synchronous operation 'RemoveMetadataConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveMetadataConfiguration(_trt__RemoveMetadataConfiguration *trt__RemoveMetadataConfiguration, _trt__RemoveMetadataConfigurationResponse *trt__RemoveMetadataConfigurationResponse) { return this->RemoveMetadataConfiguration(NULL, NULL, trt__RemoveMetadataConfiguration, trt__RemoveMetadataConfigurationResponse); }
        /// Web service synchronous operation 'RemoveMetadataConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveMetadataConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveMetadataConfiguration *trt__RemoveMetadataConfiguration, _trt__RemoveMetadataConfigurationResponse *trt__RemoveMetadataConfigurationResponse) { return this->send_RemoveMetadataConfiguration(soap_endpoint_url, soap_action, trt__RemoveMetadataConfiguration) || this->recv_RemoveMetadataConfiguration(trt__RemoveMetadataConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemoveMetadataConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemoveMetadataConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveMetadataConfiguration *trt__RemoveMetadataConfiguration);
        /// Web service asynchronous operation 'recv_RemoveMetadataConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemoveMetadataConfiguration(_trt__RemoveMetadataConfigurationResponse *trt__RemoveMetadataConfigurationResponse);
        //
        /// Web service synchronous operation 'RemoveAudioOutputConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveAudioOutputConfiguration(_trt__RemoveAudioOutputConfiguration *trt__RemoveAudioOutputConfiguration, _trt__RemoveAudioOutputConfigurationResponse *trt__RemoveAudioOutputConfigurationResponse) { return this->RemoveAudioOutputConfiguration(NULL, NULL, trt__RemoveAudioOutputConfiguration, trt__RemoveAudioOutputConfigurationResponse); }
        /// Web service synchronous operation 'RemoveAudioOutputConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveAudioOutputConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveAudioOutputConfiguration *trt__RemoveAudioOutputConfiguration, _trt__RemoveAudioOutputConfigurationResponse *trt__RemoveAudioOutputConfigurationResponse) { return this->send_RemoveAudioOutputConfiguration(soap_endpoint_url, soap_action, trt__RemoveAudioOutputConfiguration) || this->recv_RemoveAudioOutputConfiguration(trt__RemoveAudioOutputConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemoveAudioOutputConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemoveAudioOutputConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveAudioOutputConfiguration *trt__RemoveAudioOutputConfiguration);
        /// Web service asynchronous operation 'recv_RemoveAudioOutputConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemoveAudioOutputConfiguration(_trt__RemoveAudioOutputConfigurationResponse *trt__RemoveAudioOutputConfigurationResponse);
        //
        /// Web service synchronous operation 'RemoveAudioDecoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveAudioDecoderConfiguration(_trt__RemoveAudioDecoderConfiguration *trt__RemoveAudioDecoderConfiguration, _trt__RemoveAudioDecoderConfigurationResponse *trt__RemoveAudioDecoderConfigurationResponse) { return this->RemoveAudioDecoderConfiguration(NULL, NULL, trt__RemoveAudioDecoderConfiguration, trt__RemoveAudioDecoderConfigurationResponse); }
        /// Web service synchronous operation 'RemoveAudioDecoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int RemoveAudioDecoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveAudioDecoderConfiguration *trt__RemoveAudioDecoderConfiguration, _trt__RemoveAudioDecoderConfigurationResponse *trt__RemoveAudioDecoderConfigurationResponse) { return this->send_RemoveAudioDecoderConfiguration(soap_endpoint_url, soap_action, trt__RemoveAudioDecoderConfiguration) || this->recv_RemoveAudioDecoderConfiguration(trt__RemoveAudioDecoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_RemoveAudioDecoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_RemoveAudioDecoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__RemoveAudioDecoderConfiguration *trt__RemoveAudioDecoderConfiguration);
        /// Web service asynchronous operation 'recv_RemoveAudioDecoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_RemoveAudioDecoderConfiguration(_trt__RemoveAudioDecoderConfigurationResponse *trt__RemoveAudioDecoderConfigurationResponse);
        //
        /// Web service synchronous operation 'DeleteProfile' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteProfile(_trt__DeleteProfile *trt__DeleteProfile, _trt__DeleteProfileResponse *trt__DeleteProfileResponse) { return this->DeleteProfile(NULL, NULL, trt__DeleteProfile, trt__DeleteProfileResponse); }
        /// Web service synchronous operation 'DeleteProfile' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteProfile(const char *soap_endpoint_url, const char *soap_action, _trt__DeleteProfile *trt__DeleteProfile, _trt__DeleteProfileResponse *trt__DeleteProfileResponse) { return this->send_DeleteProfile(soap_endpoint_url, soap_action, trt__DeleteProfile) || this->recv_DeleteProfile(trt__DeleteProfileResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_DeleteProfile' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_DeleteProfile(const char *soap_endpoint_url, const char *soap_action, _trt__DeleteProfile *trt__DeleteProfile);
        /// Web service asynchronous operation 'recv_DeleteProfile' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_DeleteProfile(_trt__DeleteProfileResponse *trt__DeleteProfileResponse);
        //
        /// Web service synchronous operation 'GetVideoSourceConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoSourceConfigurations(_trt__GetVideoSourceConfigurations *trt__GetVideoSourceConfigurations, _trt__GetVideoSourceConfigurationsResponse *trt__GetVideoSourceConfigurationsResponse) { return this->GetVideoSourceConfigurations(NULL, NULL, trt__GetVideoSourceConfigurations, trt__GetVideoSourceConfigurationsResponse); }
        /// Web service synchronous operation 'GetVideoSourceConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoSourceConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoSourceConfigurations *trt__GetVideoSourceConfigurations, _trt__GetVideoSourceConfigurationsResponse *trt__GetVideoSourceConfigurationsResponse) { return this->send_GetVideoSourceConfigurations(soap_endpoint_url, soap_action, trt__GetVideoSourceConfigurations) || this->recv_GetVideoSourceConfigurations(trt__GetVideoSourceConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetVideoSourceConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetVideoSourceConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoSourceConfigurations *trt__GetVideoSourceConfigurations);
        /// Web service asynchronous operation 'recv_GetVideoSourceConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetVideoSourceConfigurations(_trt__GetVideoSourceConfigurationsResponse *trt__GetVideoSourceConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetVideoEncoderConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoEncoderConfigurations(_trt__GetVideoEncoderConfigurations *trt__GetVideoEncoderConfigurations, _trt__GetVideoEncoderConfigurationsResponse *trt__GetVideoEncoderConfigurationsResponse) { return this->GetVideoEncoderConfigurations(NULL, NULL, trt__GetVideoEncoderConfigurations, trt__GetVideoEncoderConfigurationsResponse); }
        /// Web service synchronous operation 'GetVideoEncoderConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoEncoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoEncoderConfigurations *trt__GetVideoEncoderConfigurations, _trt__GetVideoEncoderConfigurationsResponse *trt__GetVideoEncoderConfigurationsResponse) { return this->send_GetVideoEncoderConfigurations(soap_endpoint_url, soap_action, trt__GetVideoEncoderConfigurations) || this->recv_GetVideoEncoderConfigurations(trt__GetVideoEncoderConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetVideoEncoderConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetVideoEncoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoEncoderConfigurations *trt__GetVideoEncoderConfigurations);
        /// Web service asynchronous operation 'recv_GetVideoEncoderConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetVideoEncoderConfigurations(_trt__GetVideoEncoderConfigurationsResponse *trt__GetVideoEncoderConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetAudioSourceConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioSourceConfigurations(_trt__GetAudioSourceConfigurations *trt__GetAudioSourceConfigurations, _trt__GetAudioSourceConfigurationsResponse *trt__GetAudioSourceConfigurationsResponse) { return this->GetAudioSourceConfigurations(NULL, NULL, trt__GetAudioSourceConfigurations, trt__GetAudioSourceConfigurationsResponse); }
        /// Web service synchronous operation 'GetAudioSourceConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioSourceConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioSourceConfigurations *trt__GetAudioSourceConfigurations, _trt__GetAudioSourceConfigurationsResponse *trt__GetAudioSourceConfigurationsResponse) { return this->send_GetAudioSourceConfigurations(soap_endpoint_url, soap_action, trt__GetAudioSourceConfigurations) || this->recv_GetAudioSourceConfigurations(trt__GetAudioSourceConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioSourceConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioSourceConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioSourceConfigurations *trt__GetAudioSourceConfigurations);
        /// Web service asynchronous operation 'recv_GetAudioSourceConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioSourceConfigurations(_trt__GetAudioSourceConfigurationsResponse *trt__GetAudioSourceConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetAudioEncoderConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioEncoderConfigurations(_trt__GetAudioEncoderConfigurations *trt__GetAudioEncoderConfigurations, _trt__GetAudioEncoderConfigurationsResponse *trt__GetAudioEncoderConfigurationsResponse) { return this->GetAudioEncoderConfigurations(NULL, NULL, trt__GetAudioEncoderConfigurations, trt__GetAudioEncoderConfigurationsResponse); }
        /// Web service synchronous operation 'GetAudioEncoderConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioEncoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioEncoderConfigurations *trt__GetAudioEncoderConfigurations, _trt__GetAudioEncoderConfigurationsResponse *trt__GetAudioEncoderConfigurationsResponse) { return this->send_GetAudioEncoderConfigurations(soap_endpoint_url, soap_action, trt__GetAudioEncoderConfigurations) || this->recv_GetAudioEncoderConfigurations(trt__GetAudioEncoderConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioEncoderConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioEncoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioEncoderConfigurations *trt__GetAudioEncoderConfigurations);
        /// Web service asynchronous operation 'recv_GetAudioEncoderConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioEncoderConfigurations(_trt__GetAudioEncoderConfigurationsResponse *trt__GetAudioEncoderConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetVideoAnalyticsConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoAnalyticsConfigurations(_trt__GetVideoAnalyticsConfigurations *trt__GetVideoAnalyticsConfigurations, _trt__GetVideoAnalyticsConfigurationsResponse *trt__GetVideoAnalyticsConfigurationsResponse) { return this->GetVideoAnalyticsConfigurations(NULL, NULL, trt__GetVideoAnalyticsConfigurations, trt__GetVideoAnalyticsConfigurationsResponse); }
        /// Web service synchronous operation 'GetVideoAnalyticsConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoAnalyticsConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoAnalyticsConfigurations *trt__GetVideoAnalyticsConfigurations, _trt__GetVideoAnalyticsConfigurationsResponse *trt__GetVideoAnalyticsConfigurationsResponse) { return this->send_GetVideoAnalyticsConfigurations(soap_endpoint_url, soap_action, trt__GetVideoAnalyticsConfigurations) || this->recv_GetVideoAnalyticsConfigurations(trt__GetVideoAnalyticsConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetVideoAnalyticsConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetVideoAnalyticsConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoAnalyticsConfigurations *trt__GetVideoAnalyticsConfigurations);
        /// Web service asynchronous operation 'recv_GetVideoAnalyticsConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetVideoAnalyticsConfigurations(_trt__GetVideoAnalyticsConfigurationsResponse *trt__GetVideoAnalyticsConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetMetadataConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetMetadataConfigurations(_trt__GetMetadataConfigurations *trt__GetMetadataConfigurations, _trt__GetMetadataConfigurationsResponse *trt__GetMetadataConfigurationsResponse) { return this->GetMetadataConfigurations(NULL, NULL, trt__GetMetadataConfigurations, trt__GetMetadataConfigurationsResponse); }
        /// Web service synchronous operation 'GetMetadataConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetMetadataConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetMetadataConfigurations *trt__GetMetadataConfigurations, _trt__GetMetadataConfigurationsResponse *trt__GetMetadataConfigurationsResponse) { return this->send_GetMetadataConfigurations(soap_endpoint_url, soap_action, trt__GetMetadataConfigurations) || this->recv_GetMetadataConfigurations(trt__GetMetadataConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetMetadataConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetMetadataConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetMetadataConfigurations *trt__GetMetadataConfigurations);
        /// Web service asynchronous operation 'recv_GetMetadataConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetMetadataConfigurations(_trt__GetMetadataConfigurationsResponse *trt__GetMetadataConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetAudioOutputConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioOutputConfigurations(_trt__GetAudioOutputConfigurations *trt__GetAudioOutputConfigurations, _trt__GetAudioOutputConfigurationsResponse *trt__GetAudioOutputConfigurationsResponse) { return this->GetAudioOutputConfigurations(NULL, NULL, trt__GetAudioOutputConfigurations, trt__GetAudioOutputConfigurationsResponse); }
        /// Web service synchronous operation 'GetAudioOutputConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioOutputConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioOutputConfigurations *trt__GetAudioOutputConfigurations, _trt__GetAudioOutputConfigurationsResponse *trt__GetAudioOutputConfigurationsResponse) { return this->send_GetAudioOutputConfigurations(soap_endpoint_url, soap_action, trt__GetAudioOutputConfigurations) || this->recv_GetAudioOutputConfigurations(trt__GetAudioOutputConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioOutputConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioOutputConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioOutputConfigurations *trt__GetAudioOutputConfigurations);
        /// Web service asynchronous operation 'recv_GetAudioOutputConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioOutputConfigurations(_trt__GetAudioOutputConfigurationsResponse *trt__GetAudioOutputConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetAudioDecoderConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioDecoderConfigurations(_trt__GetAudioDecoderConfigurations *trt__GetAudioDecoderConfigurations, _trt__GetAudioDecoderConfigurationsResponse *trt__GetAudioDecoderConfigurationsResponse) { return this->GetAudioDecoderConfigurations(NULL, NULL, trt__GetAudioDecoderConfigurations, trt__GetAudioDecoderConfigurationsResponse); }
        /// Web service synchronous operation 'GetAudioDecoderConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioDecoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioDecoderConfigurations *trt__GetAudioDecoderConfigurations, _trt__GetAudioDecoderConfigurationsResponse *trt__GetAudioDecoderConfigurationsResponse) { return this->send_GetAudioDecoderConfigurations(soap_endpoint_url, soap_action, trt__GetAudioDecoderConfigurations) || this->recv_GetAudioDecoderConfigurations(trt__GetAudioDecoderConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioDecoderConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioDecoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioDecoderConfigurations *trt__GetAudioDecoderConfigurations);
        /// Web service asynchronous operation 'recv_GetAudioDecoderConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioDecoderConfigurations(_trt__GetAudioDecoderConfigurationsResponse *trt__GetAudioDecoderConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetVideoSourceConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoSourceConfiguration(_trt__GetVideoSourceConfiguration *trt__GetVideoSourceConfiguration, _trt__GetVideoSourceConfigurationResponse *trt__GetVideoSourceConfigurationResponse) { return this->GetVideoSourceConfiguration(NULL, NULL, trt__GetVideoSourceConfiguration, trt__GetVideoSourceConfigurationResponse); }
        /// Web service synchronous operation 'GetVideoSourceConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoSourceConfiguration *trt__GetVideoSourceConfiguration, _trt__GetVideoSourceConfigurationResponse *trt__GetVideoSourceConfigurationResponse) { return this->send_GetVideoSourceConfiguration(soap_endpoint_url, soap_action, trt__GetVideoSourceConfiguration) || this->recv_GetVideoSourceConfiguration(trt__GetVideoSourceConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetVideoSourceConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetVideoSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoSourceConfiguration *trt__GetVideoSourceConfiguration);
        /// Web service asynchronous operation 'recv_GetVideoSourceConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetVideoSourceConfiguration(_trt__GetVideoSourceConfigurationResponse *trt__GetVideoSourceConfigurationResponse);
        //
        /// Web service synchronous operation 'GetVideoEncoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoEncoderConfiguration(_trt__GetVideoEncoderConfiguration *trt__GetVideoEncoderConfiguration, _trt__GetVideoEncoderConfigurationResponse *trt__GetVideoEncoderConfigurationResponse) { return this->GetVideoEncoderConfiguration(NULL, NULL, trt__GetVideoEncoderConfiguration, trt__GetVideoEncoderConfigurationResponse); }
        /// Web service synchronous operation 'GetVideoEncoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoEncoderConfiguration *trt__GetVideoEncoderConfiguration, _trt__GetVideoEncoderConfigurationResponse *trt__GetVideoEncoderConfigurationResponse) { return this->send_GetVideoEncoderConfiguration(soap_endpoint_url, soap_action, trt__GetVideoEncoderConfiguration) || this->recv_GetVideoEncoderConfiguration(trt__GetVideoEncoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetVideoEncoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetVideoEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoEncoderConfiguration *trt__GetVideoEncoderConfiguration);
        /// Web service asynchronous operation 'recv_GetVideoEncoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetVideoEncoderConfiguration(_trt__GetVideoEncoderConfigurationResponse *trt__GetVideoEncoderConfigurationResponse);
        //
        /// Web service synchronous operation 'GetAudioSourceConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioSourceConfiguration(_trt__GetAudioSourceConfiguration *trt__GetAudioSourceConfiguration, _trt__GetAudioSourceConfigurationResponse *trt__GetAudioSourceConfigurationResponse) { return this->GetAudioSourceConfiguration(NULL, NULL, trt__GetAudioSourceConfiguration, trt__GetAudioSourceConfigurationResponse); }
        /// Web service synchronous operation 'GetAudioSourceConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioSourceConfiguration *trt__GetAudioSourceConfiguration, _trt__GetAudioSourceConfigurationResponse *trt__GetAudioSourceConfigurationResponse) { return this->send_GetAudioSourceConfiguration(soap_endpoint_url, soap_action, trt__GetAudioSourceConfiguration) || this->recv_GetAudioSourceConfiguration(trt__GetAudioSourceConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioSourceConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioSourceConfiguration *trt__GetAudioSourceConfiguration);
        /// Web service asynchronous operation 'recv_GetAudioSourceConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioSourceConfiguration(_trt__GetAudioSourceConfigurationResponse *trt__GetAudioSourceConfigurationResponse);
        //
        /// Web service synchronous operation 'GetAudioEncoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioEncoderConfiguration(_trt__GetAudioEncoderConfiguration *trt__GetAudioEncoderConfiguration, _trt__GetAudioEncoderConfigurationResponse *trt__GetAudioEncoderConfigurationResponse) { return this->GetAudioEncoderConfiguration(NULL, NULL, trt__GetAudioEncoderConfiguration, trt__GetAudioEncoderConfigurationResponse); }
        /// Web service synchronous operation 'GetAudioEncoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioEncoderConfiguration *trt__GetAudioEncoderConfiguration, _trt__GetAudioEncoderConfigurationResponse *trt__GetAudioEncoderConfigurationResponse) { return this->send_GetAudioEncoderConfiguration(soap_endpoint_url, soap_action, trt__GetAudioEncoderConfiguration) || this->recv_GetAudioEncoderConfiguration(trt__GetAudioEncoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioEncoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioEncoderConfiguration *trt__GetAudioEncoderConfiguration);
        /// Web service asynchronous operation 'recv_GetAudioEncoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioEncoderConfiguration(_trt__GetAudioEncoderConfigurationResponse *trt__GetAudioEncoderConfigurationResponse);
        //
        /// Web service synchronous operation 'GetVideoAnalyticsConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoAnalyticsConfiguration(_trt__GetVideoAnalyticsConfiguration *trt__GetVideoAnalyticsConfiguration, _trt__GetVideoAnalyticsConfigurationResponse *trt__GetVideoAnalyticsConfigurationResponse) { return this->GetVideoAnalyticsConfiguration(NULL, NULL, trt__GetVideoAnalyticsConfiguration, trt__GetVideoAnalyticsConfigurationResponse); }
        /// Web service synchronous operation 'GetVideoAnalyticsConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoAnalyticsConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoAnalyticsConfiguration *trt__GetVideoAnalyticsConfiguration, _trt__GetVideoAnalyticsConfigurationResponse *trt__GetVideoAnalyticsConfigurationResponse) { return this->send_GetVideoAnalyticsConfiguration(soap_endpoint_url, soap_action, trt__GetVideoAnalyticsConfiguration) || this->recv_GetVideoAnalyticsConfiguration(trt__GetVideoAnalyticsConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetVideoAnalyticsConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetVideoAnalyticsConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoAnalyticsConfiguration *trt__GetVideoAnalyticsConfiguration);
        /// Web service asynchronous operation 'recv_GetVideoAnalyticsConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetVideoAnalyticsConfiguration(_trt__GetVideoAnalyticsConfigurationResponse *trt__GetVideoAnalyticsConfigurationResponse);
        //
        /// Web service synchronous operation 'GetMetadataConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetMetadataConfiguration(_trt__GetMetadataConfiguration *trt__GetMetadataConfiguration, _trt__GetMetadataConfigurationResponse *trt__GetMetadataConfigurationResponse) { return this->GetMetadataConfiguration(NULL, NULL, trt__GetMetadataConfiguration, trt__GetMetadataConfigurationResponse); }
        /// Web service synchronous operation 'GetMetadataConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetMetadataConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetMetadataConfiguration *trt__GetMetadataConfiguration, _trt__GetMetadataConfigurationResponse *trt__GetMetadataConfigurationResponse) { return this->send_GetMetadataConfiguration(soap_endpoint_url, soap_action, trt__GetMetadataConfiguration) || this->recv_GetMetadataConfiguration(trt__GetMetadataConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetMetadataConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetMetadataConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetMetadataConfiguration *trt__GetMetadataConfiguration);
        /// Web service asynchronous operation 'recv_GetMetadataConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetMetadataConfiguration(_trt__GetMetadataConfigurationResponse *trt__GetMetadataConfigurationResponse);
        //
        /// Web service synchronous operation 'GetAudioOutputConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioOutputConfiguration(_trt__GetAudioOutputConfiguration *trt__GetAudioOutputConfiguration, _trt__GetAudioOutputConfigurationResponse *trt__GetAudioOutputConfigurationResponse) { return this->GetAudioOutputConfiguration(NULL, NULL, trt__GetAudioOutputConfiguration, trt__GetAudioOutputConfigurationResponse); }
        /// Web service synchronous operation 'GetAudioOutputConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioOutputConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioOutputConfiguration *trt__GetAudioOutputConfiguration, _trt__GetAudioOutputConfigurationResponse *trt__GetAudioOutputConfigurationResponse) { return this->send_GetAudioOutputConfiguration(soap_endpoint_url, soap_action, trt__GetAudioOutputConfiguration) || this->recv_GetAudioOutputConfiguration(trt__GetAudioOutputConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioOutputConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioOutputConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioOutputConfiguration *trt__GetAudioOutputConfiguration);
        /// Web service asynchronous operation 'recv_GetAudioOutputConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioOutputConfiguration(_trt__GetAudioOutputConfigurationResponse *trt__GetAudioOutputConfigurationResponse);
        //
        /// Web service synchronous operation 'GetAudioDecoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioDecoderConfiguration(_trt__GetAudioDecoderConfiguration *trt__GetAudioDecoderConfiguration, _trt__GetAudioDecoderConfigurationResponse *trt__GetAudioDecoderConfigurationResponse) { return this->GetAudioDecoderConfiguration(NULL, NULL, trt__GetAudioDecoderConfiguration, trt__GetAudioDecoderConfigurationResponse); }
        /// Web service synchronous operation 'GetAudioDecoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioDecoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioDecoderConfiguration *trt__GetAudioDecoderConfiguration, _trt__GetAudioDecoderConfigurationResponse *trt__GetAudioDecoderConfigurationResponse) { return this->send_GetAudioDecoderConfiguration(soap_endpoint_url, soap_action, trt__GetAudioDecoderConfiguration) || this->recv_GetAudioDecoderConfiguration(trt__GetAudioDecoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioDecoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioDecoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioDecoderConfiguration *trt__GetAudioDecoderConfiguration);
        /// Web service asynchronous operation 'recv_GetAudioDecoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioDecoderConfiguration(_trt__GetAudioDecoderConfigurationResponse *trt__GetAudioDecoderConfigurationResponse);
        //
        /// Web service synchronous operation 'GetCompatibleVideoEncoderConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleVideoEncoderConfigurations(_trt__GetCompatibleVideoEncoderConfigurations *trt__GetCompatibleVideoEncoderConfigurations, _trt__GetCompatibleVideoEncoderConfigurationsResponse *trt__GetCompatibleVideoEncoderConfigurationsResponse) { return this->GetCompatibleVideoEncoderConfigurations(NULL, NULL, trt__GetCompatibleVideoEncoderConfigurations, trt__GetCompatibleVideoEncoderConfigurationsResponse); }
        /// Web service synchronous operation 'GetCompatibleVideoEncoderConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleVideoEncoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleVideoEncoderConfigurations *trt__GetCompatibleVideoEncoderConfigurations, _trt__GetCompatibleVideoEncoderConfigurationsResponse *trt__GetCompatibleVideoEncoderConfigurationsResponse) { return this->send_GetCompatibleVideoEncoderConfigurations(soap_endpoint_url, soap_action, trt__GetCompatibleVideoEncoderConfigurations) || this->recv_GetCompatibleVideoEncoderConfigurations(trt__GetCompatibleVideoEncoderConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCompatibleVideoEncoderConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCompatibleVideoEncoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleVideoEncoderConfigurations *trt__GetCompatibleVideoEncoderConfigurations);
        /// Web service asynchronous operation 'recv_GetCompatibleVideoEncoderConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCompatibleVideoEncoderConfigurations(_trt__GetCompatibleVideoEncoderConfigurationsResponse *trt__GetCompatibleVideoEncoderConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetCompatibleVideoSourceConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleVideoSourceConfigurations(_trt__GetCompatibleVideoSourceConfigurations *trt__GetCompatibleVideoSourceConfigurations, _trt__GetCompatibleVideoSourceConfigurationsResponse *trt__GetCompatibleVideoSourceConfigurationsResponse) { return this->GetCompatibleVideoSourceConfigurations(NULL, NULL, trt__GetCompatibleVideoSourceConfigurations, trt__GetCompatibleVideoSourceConfigurationsResponse); }
        /// Web service synchronous operation 'GetCompatibleVideoSourceConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleVideoSourceConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleVideoSourceConfigurations *trt__GetCompatibleVideoSourceConfigurations, _trt__GetCompatibleVideoSourceConfigurationsResponse *trt__GetCompatibleVideoSourceConfigurationsResponse) { return this->send_GetCompatibleVideoSourceConfigurations(soap_endpoint_url, soap_action, trt__GetCompatibleVideoSourceConfigurations) || this->recv_GetCompatibleVideoSourceConfigurations(trt__GetCompatibleVideoSourceConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCompatibleVideoSourceConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCompatibleVideoSourceConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleVideoSourceConfigurations *trt__GetCompatibleVideoSourceConfigurations);
        /// Web service asynchronous operation 'recv_GetCompatibleVideoSourceConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCompatibleVideoSourceConfigurations(_trt__GetCompatibleVideoSourceConfigurationsResponse *trt__GetCompatibleVideoSourceConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetCompatibleAudioEncoderConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleAudioEncoderConfigurations(_trt__GetCompatibleAudioEncoderConfigurations *trt__GetCompatibleAudioEncoderConfigurations, _trt__GetCompatibleAudioEncoderConfigurationsResponse *trt__GetCompatibleAudioEncoderConfigurationsResponse) { return this->GetCompatibleAudioEncoderConfigurations(NULL, NULL, trt__GetCompatibleAudioEncoderConfigurations, trt__GetCompatibleAudioEncoderConfigurationsResponse); }
        /// Web service synchronous operation 'GetCompatibleAudioEncoderConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleAudioEncoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleAudioEncoderConfigurations *trt__GetCompatibleAudioEncoderConfigurations, _trt__GetCompatibleAudioEncoderConfigurationsResponse *trt__GetCompatibleAudioEncoderConfigurationsResponse) { return this->send_GetCompatibleAudioEncoderConfigurations(soap_endpoint_url, soap_action, trt__GetCompatibleAudioEncoderConfigurations) || this->recv_GetCompatibleAudioEncoderConfigurations(trt__GetCompatibleAudioEncoderConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCompatibleAudioEncoderConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCompatibleAudioEncoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleAudioEncoderConfigurations *trt__GetCompatibleAudioEncoderConfigurations);
        /// Web service asynchronous operation 'recv_GetCompatibleAudioEncoderConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCompatibleAudioEncoderConfigurations(_trt__GetCompatibleAudioEncoderConfigurationsResponse *trt__GetCompatibleAudioEncoderConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetCompatibleAudioSourceConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleAudioSourceConfigurations(_trt__GetCompatibleAudioSourceConfigurations *trt__GetCompatibleAudioSourceConfigurations, _trt__GetCompatibleAudioSourceConfigurationsResponse *trt__GetCompatibleAudioSourceConfigurationsResponse) { return this->GetCompatibleAudioSourceConfigurations(NULL, NULL, trt__GetCompatibleAudioSourceConfigurations, trt__GetCompatibleAudioSourceConfigurationsResponse); }
        /// Web service synchronous operation 'GetCompatibleAudioSourceConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleAudioSourceConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleAudioSourceConfigurations *trt__GetCompatibleAudioSourceConfigurations, _trt__GetCompatibleAudioSourceConfigurationsResponse *trt__GetCompatibleAudioSourceConfigurationsResponse) { return this->send_GetCompatibleAudioSourceConfigurations(soap_endpoint_url, soap_action, trt__GetCompatibleAudioSourceConfigurations) || this->recv_GetCompatibleAudioSourceConfigurations(trt__GetCompatibleAudioSourceConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCompatibleAudioSourceConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCompatibleAudioSourceConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleAudioSourceConfigurations *trt__GetCompatibleAudioSourceConfigurations);
        /// Web service asynchronous operation 'recv_GetCompatibleAudioSourceConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCompatibleAudioSourceConfigurations(_trt__GetCompatibleAudioSourceConfigurationsResponse *trt__GetCompatibleAudioSourceConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetCompatibleVideoAnalyticsConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleVideoAnalyticsConfigurations(_trt__GetCompatibleVideoAnalyticsConfigurations *trt__GetCompatibleVideoAnalyticsConfigurations, _trt__GetCompatibleVideoAnalyticsConfigurationsResponse *trt__GetCompatibleVideoAnalyticsConfigurationsResponse) { return this->GetCompatibleVideoAnalyticsConfigurations(NULL, NULL, trt__GetCompatibleVideoAnalyticsConfigurations, trt__GetCompatibleVideoAnalyticsConfigurationsResponse); }
        /// Web service synchronous operation 'GetCompatibleVideoAnalyticsConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleVideoAnalyticsConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleVideoAnalyticsConfigurations *trt__GetCompatibleVideoAnalyticsConfigurations, _trt__GetCompatibleVideoAnalyticsConfigurationsResponse *trt__GetCompatibleVideoAnalyticsConfigurationsResponse) { return this->send_GetCompatibleVideoAnalyticsConfigurations(soap_endpoint_url, soap_action, trt__GetCompatibleVideoAnalyticsConfigurations) || this->recv_GetCompatibleVideoAnalyticsConfigurations(trt__GetCompatibleVideoAnalyticsConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCompatibleVideoAnalyticsConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCompatibleVideoAnalyticsConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleVideoAnalyticsConfigurations *trt__GetCompatibleVideoAnalyticsConfigurations);
        /// Web service asynchronous operation 'recv_GetCompatibleVideoAnalyticsConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCompatibleVideoAnalyticsConfigurations(_trt__GetCompatibleVideoAnalyticsConfigurationsResponse *trt__GetCompatibleVideoAnalyticsConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetCompatibleMetadataConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleMetadataConfigurations(_trt__GetCompatibleMetadataConfigurations *trt__GetCompatibleMetadataConfigurations, _trt__GetCompatibleMetadataConfigurationsResponse *trt__GetCompatibleMetadataConfigurationsResponse) { return this->GetCompatibleMetadataConfigurations(NULL, NULL, trt__GetCompatibleMetadataConfigurations, trt__GetCompatibleMetadataConfigurationsResponse); }
        /// Web service synchronous operation 'GetCompatibleMetadataConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleMetadataConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleMetadataConfigurations *trt__GetCompatibleMetadataConfigurations, _trt__GetCompatibleMetadataConfigurationsResponse *trt__GetCompatibleMetadataConfigurationsResponse) { return this->send_GetCompatibleMetadataConfigurations(soap_endpoint_url, soap_action, trt__GetCompatibleMetadataConfigurations) || this->recv_GetCompatibleMetadataConfigurations(trt__GetCompatibleMetadataConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCompatibleMetadataConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCompatibleMetadataConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleMetadataConfigurations *trt__GetCompatibleMetadataConfigurations);
        /// Web service asynchronous operation 'recv_GetCompatibleMetadataConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCompatibleMetadataConfigurations(_trt__GetCompatibleMetadataConfigurationsResponse *trt__GetCompatibleMetadataConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetCompatibleAudioOutputConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleAudioOutputConfigurations(_trt__GetCompatibleAudioOutputConfigurations *trt__GetCompatibleAudioOutputConfigurations, _trt__GetCompatibleAudioOutputConfigurationsResponse *trt__GetCompatibleAudioOutputConfigurationsResponse) { return this->GetCompatibleAudioOutputConfigurations(NULL, NULL, trt__GetCompatibleAudioOutputConfigurations, trt__GetCompatibleAudioOutputConfigurationsResponse); }
        /// Web service synchronous operation 'GetCompatibleAudioOutputConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleAudioOutputConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleAudioOutputConfigurations *trt__GetCompatibleAudioOutputConfigurations, _trt__GetCompatibleAudioOutputConfigurationsResponse *trt__GetCompatibleAudioOutputConfigurationsResponse) { return this->send_GetCompatibleAudioOutputConfigurations(soap_endpoint_url, soap_action, trt__GetCompatibleAudioOutputConfigurations) || this->recv_GetCompatibleAudioOutputConfigurations(trt__GetCompatibleAudioOutputConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCompatibleAudioOutputConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCompatibleAudioOutputConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleAudioOutputConfigurations *trt__GetCompatibleAudioOutputConfigurations);
        /// Web service asynchronous operation 'recv_GetCompatibleAudioOutputConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCompatibleAudioOutputConfigurations(_trt__GetCompatibleAudioOutputConfigurationsResponse *trt__GetCompatibleAudioOutputConfigurationsResponse);
        //
        /// Web service synchronous operation 'GetCompatibleAudioDecoderConfigurations' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleAudioDecoderConfigurations(_trt__GetCompatibleAudioDecoderConfigurations *trt__GetCompatibleAudioDecoderConfigurations, _trt__GetCompatibleAudioDecoderConfigurationsResponse *trt__GetCompatibleAudioDecoderConfigurationsResponse) { return this->GetCompatibleAudioDecoderConfigurations(NULL, NULL, trt__GetCompatibleAudioDecoderConfigurations, trt__GetCompatibleAudioDecoderConfigurationsResponse); }
        /// Web service synchronous operation 'GetCompatibleAudioDecoderConfigurations' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetCompatibleAudioDecoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleAudioDecoderConfigurations *trt__GetCompatibleAudioDecoderConfigurations, _trt__GetCompatibleAudioDecoderConfigurationsResponse *trt__GetCompatibleAudioDecoderConfigurationsResponse) { return this->send_GetCompatibleAudioDecoderConfigurations(soap_endpoint_url, soap_action, trt__GetCompatibleAudioDecoderConfigurations) || this->recv_GetCompatibleAudioDecoderConfigurations(trt__GetCompatibleAudioDecoderConfigurationsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetCompatibleAudioDecoderConfigurations' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetCompatibleAudioDecoderConfigurations(const char *soap_endpoint_url, const char *soap_action, _trt__GetCompatibleAudioDecoderConfigurations *trt__GetCompatibleAudioDecoderConfigurations);
        /// Web service asynchronous operation 'recv_GetCompatibleAudioDecoderConfigurations' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetCompatibleAudioDecoderConfigurations(_trt__GetCompatibleAudioDecoderConfigurationsResponse *trt__GetCompatibleAudioDecoderConfigurationsResponse);
        //
        /// Web service synchronous operation 'SetVideoSourceConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetVideoSourceConfiguration(_trt__SetVideoSourceConfiguration *trt__SetVideoSourceConfiguration, _trt__SetVideoSourceConfigurationResponse *trt__SetVideoSourceConfigurationResponse) { return this->SetVideoSourceConfiguration(NULL, NULL, trt__SetVideoSourceConfiguration, trt__SetVideoSourceConfigurationResponse); }
        /// Web service synchronous operation 'SetVideoSourceConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetVideoSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetVideoSourceConfiguration *trt__SetVideoSourceConfiguration, _trt__SetVideoSourceConfigurationResponse *trt__SetVideoSourceConfigurationResponse) { return this->send_SetVideoSourceConfiguration(soap_endpoint_url, soap_action, trt__SetVideoSourceConfiguration) || this->recv_SetVideoSourceConfiguration(trt__SetVideoSourceConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetVideoSourceConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetVideoSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetVideoSourceConfiguration *trt__SetVideoSourceConfiguration);
        /// Web service asynchronous operation 'recv_SetVideoSourceConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetVideoSourceConfiguration(_trt__SetVideoSourceConfigurationResponse *trt__SetVideoSourceConfigurationResponse);
        //
        /// Web service synchronous operation 'SetVideoEncoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetVideoEncoderConfiguration(_trt__SetVideoEncoderConfiguration *trt__SetVideoEncoderConfiguration, _trt__SetVideoEncoderConfigurationResponse *trt__SetVideoEncoderConfigurationResponse) { return this->SetVideoEncoderConfiguration(NULL, NULL, trt__SetVideoEncoderConfiguration, trt__SetVideoEncoderConfigurationResponse); }
        /// Web service synchronous operation 'SetVideoEncoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetVideoEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetVideoEncoderConfiguration *trt__SetVideoEncoderConfiguration, _trt__SetVideoEncoderConfigurationResponse *trt__SetVideoEncoderConfigurationResponse) { return this->send_SetVideoEncoderConfiguration(soap_endpoint_url, soap_action, trt__SetVideoEncoderConfiguration) || this->recv_SetVideoEncoderConfiguration(trt__SetVideoEncoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetVideoEncoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetVideoEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetVideoEncoderConfiguration *trt__SetVideoEncoderConfiguration);
        /// Web service asynchronous operation 'recv_SetVideoEncoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetVideoEncoderConfiguration(_trt__SetVideoEncoderConfigurationResponse *trt__SetVideoEncoderConfigurationResponse);
        //
        /// Web service synchronous operation 'SetAudioSourceConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetAudioSourceConfiguration(_trt__SetAudioSourceConfiguration *trt__SetAudioSourceConfiguration, _trt__SetAudioSourceConfigurationResponse *trt__SetAudioSourceConfigurationResponse) { return this->SetAudioSourceConfiguration(NULL, NULL, trt__SetAudioSourceConfiguration, trt__SetAudioSourceConfigurationResponse); }
        /// Web service synchronous operation 'SetAudioSourceConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetAudioSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetAudioSourceConfiguration *trt__SetAudioSourceConfiguration, _trt__SetAudioSourceConfigurationResponse *trt__SetAudioSourceConfigurationResponse) { return this->send_SetAudioSourceConfiguration(soap_endpoint_url, soap_action, trt__SetAudioSourceConfiguration) || this->recv_SetAudioSourceConfiguration(trt__SetAudioSourceConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetAudioSourceConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetAudioSourceConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetAudioSourceConfiguration *trt__SetAudioSourceConfiguration);
        /// Web service asynchronous operation 'recv_SetAudioSourceConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetAudioSourceConfiguration(_trt__SetAudioSourceConfigurationResponse *trt__SetAudioSourceConfigurationResponse);
        //
        /// Web service synchronous operation 'SetAudioEncoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetAudioEncoderConfiguration(_trt__SetAudioEncoderConfiguration *trt__SetAudioEncoderConfiguration, _trt__SetAudioEncoderConfigurationResponse *trt__SetAudioEncoderConfigurationResponse) { return this->SetAudioEncoderConfiguration(NULL, NULL, trt__SetAudioEncoderConfiguration, trt__SetAudioEncoderConfigurationResponse); }
        /// Web service synchronous operation 'SetAudioEncoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetAudioEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetAudioEncoderConfiguration *trt__SetAudioEncoderConfiguration, _trt__SetAudioEncoderConfigurationResponse *trt__SetAudioEncoderConfigurationResponse) { return this->send_SetAudioEncoderConfiguration(soap_endpoint_url, soap_action, trt__SetAudioEncoderConfiguration) || this->recv_SetAudioEncoderConfiguration(trt__SetAudioEncoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetAudioEncoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetAudioEncoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetAudioEncoderConfiguration *trt__SetAudioEncoderConfiguration);
        /// Web service asynchronous operation 'recv_SetAudioEncoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetAudioEncoderConfiguration(_trt__SetAudioEncoderConfigurationResponse *trt__SetAudioEncoderConfigurationResponse);
        //
        /// Web service synchronous operation 'SetVideoAnalyticsConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetVideoAnalyticsConfiguration(_trt__SetVideoAnalyticsConfiguration *trt__SetVideoAnalyticsConfiguration, _trt__SetVideoAnalyticsConfigurationResponse *trt__SetVideoAnalyticsConfigurationResponse) { return this->SetVideoAnalyticsConfiguration(NULL, NULL, trt__SetVideoAnalyticsConfiguration, trt__SetVideoAnalyticsConfigurationResponse); }
        /// Web service synchronous operation 'SetVideoAnalyticsConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetVideoAnalyticsConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetVideoAnalyticsConfiguration *trt__SetVideoAnalyticsConfiguration, _trt__SetVideoAnalyticsConfigurationResponse *trt__SetVideoAnalyticsConfigurationResponse) { return this->send_SetVideoAnalyticsConfiguration(soap_endpoint_url, soap_action, trt__SetVideoAnalyticsConfiguration) || this->recv_SetVideoAnalyticsConfiguration(trt__SetVideoAnalyticsConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetVideoAnalyticsConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetVideoAnalyticsConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetVideoAnalyticsConfiguration *trt__SetVideoAnalyticsConfiguration);
        /// Web service asynchronous operation 'recv_SetVideoAnalyticsConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetVideoAnalyticsConfiguration(_trt__SetVideoAnalyticsConfigurationResponse *trt__SetVideoAnalyticsConfigurationResponse);
        //
        /// Web service synchronous operation 'SetMetadataConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetMetadataConfiguration(_trt__SetMetadataConfiguration *trt__SetMetadataConfiguration, _trt__SetMetadataConfigurationResponse *trt__SetMetadataConfigurationResponse) { return this->SetMetadataConfiguration(NULL, NULL, trt__SetMetadataConfiguration, trt__SetMetadataConfigurationResponse); }
        /// Web service synchronous operation 'SetMetadataConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetMetadataConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetMetadataConfiguration *trt__SetMetadataConfiguration, _trt__SetMetadataConfigurationResponse *trt__SetMetadataConfigurationResponse) { return this->send_SetMetadataConfiguration(soap_endpoint_url, soap_action, trt__SetMetadataConfiguration) || this->recv_SetMetadataConfiguration(trt__SetMetadataConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetMetadataConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetMetadataConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetMetadataConfiguration *trt__SetMetadataConfiguration);
        /// Web service asynchronous operation 'recv_SetMetadataConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetMetadataConfiguration(_trt__SetMetadataConfigurationResponse *trt__SetMetadataConfigurationResponse);
        //
        /// Web service synchronous operation 'SetAudioOutputConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetAudioOutputConfiguration(_trt__SetAudioOutputConfiguration *trt__SetAudioOutputConfiguration, _trt__SetAudioOutputConfigurationResponse *trt__SetAudioOutputConfigurationResponse) { return this->SetAudioOutputConfiguration(NULL, NULL, trt__SetAudioOutputConfiguration, trt__SetAudioOutputConfigurationResponse); }
        /// Web service synchronous operation 'SetAudioOutputConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetAudioOutputConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetAudioOutputConfiguration *trt__SetAudioOutputConfiguration, _trt__SetAudioOutputConfigurationResponse *trt__SetAudioOutputConfigurationResponse) { return this->send_SetAudioOutputConfiguration(soap_endpoint_url, soap_action, trt__SetAudioOutputConfiguration) || this->recv_SetAudioOutputConfiguration(trt__SetAudioOutputConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetAudioOutputConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetAudioOutputConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetAudioOutputConfiguration *trt__SetAudioOutputConfiguration);
        /// Web service asynchronous operation 'recv_SetAudioOutputConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetAudioOutputConfiguration(_trt__SetAudioOutputConfigurationResponse *trt__SetAudioOutputConfigurationResponse);
        //
        /// Web service synchronous operation 'SetAudioDecoderConfiguration' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetAudioDecoderConfiguration(_trt__SetAudioDecoderConfiguration *trt__SetAudioDecoderConfiguration, _trt__SetAudioDecoderConfigurationResponse *trt__SetAudioDecoderConfigurationResponse) { return this->SetAudioDecoderConfiguration(NULL, NULL, trt__SetAudioDecoderConfiguration, trt__SetAudioDecoderConfigurationResponse); }
        /// Web service synchronous operation 'SetAudioDecoderConfiguration' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetAudioDecoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetAudioDecoderConfiguration *trt__SetAudioDecoderConfiguration, _trt__SetAudioDecoderConfigurationResponse *trt__SetAudioDecoderConfigurationResponse) { return this->send_SetAudioDecoderConfiguration(soap_endpoint_url, soap_action, trt__SetAudioDecoderConfiguration) || this->recv_SetAudioDecoderConfiguration(trt__SetAudioDecoderConfigurationResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetAudioDecoderConfiguration' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetAudioDecoderConfiguration(const char *soap_endpoint_url, const char *soap_action, _trt__SetAudioDecoderConfiguration *trt__SetAudioDecoderConfiguration);
        /// Web service asynchronous operation 'recv_SetAudioDecoderConfiguration' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetAudioDecoderConfiguration(_trt__SetAudioDecoderConfigurationResponse *trt__SetAudioDecoderConfigurationResponse);
        //
        /// Web service synchronous operation 'GetVideoSourceConfigurationOptions' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoSourceConfigurationOptions(_trt__GetVideoSourceConfigurationOptions *trt__GetVideoSourceConfigurationOptions, _trt__GetVideoSourceConfigurationOptionsResponse *trt__GetVideoSourceConfigurationOptionsResponse) { return this->GetVideoSourceConfigurationOptions(NULL, NULL, trt__GetVideoSourceConfigurationOptions, trt__GetVideoSourceConfigurationOptionsResponse); }
        /// Web service synchronous operation 'GetVideoSourceConfigurationOptions' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoSourceConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoSourceConfigurationOptions *trt__GetVideoSourceConfigurationOptions, _trt__GetVideoSourceConfigurationOptionsResponse *trt__GetVideoSourceConfigurationOptionsResponse) { return this->send_GetVideoSourceConfigurationOptions(soap_endpoint_url, soap_action, trt__GetVideoSourceConfigurationOptions) || this->recv_GetVideoSourceConfigurationOptions(trt__GetVideoSourceConfigurationOptionsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetVideoSourceConfigurationOptions' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetVideoSourceConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoSourceConfigurationOptions *trt__GetVideoSourceConfigurationOptions);
        /// Web service asynchronous operation 'recv_GetVideoSourceConfigurationOptions' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetVideoSourceConfigurationOptions(_trt__GetVideoSourceConfigurationOptionsResponse *trt__GetVideoSourceConfigurationOptionsResponse);
        //
        /// Web service synchronous operation 'GetVideoEncoderConfigurationOptions' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoEncoderConfigurationOptions(_trt__GetVideoEncoderConfigurationOptions *trt__GetVideoEncoderConfigurationOptions, _trt__GetVideoEncoderConfigurationOptionsResponse *trt__GetVideoEncoderConfigurationOptionsResponse) { return this->GetVideoEncoderConfigurationOptions(NULL, NULL, trt__GetVideoEncoderConfigurationOptions, trt__GetVideoEncoderConfigurationOptionsResponse); }
        /// Web service synchronous operation 'GetVideoEncoderConfigurationOptions' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoEncoderConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoEncoderConfigurationOptions *trt__GetVideoEncoderConfigurationOptions, _trt__GetVideoEncoderConfigurationOptionsResponse *trt__GetVideoEncoderConfigurationOptionsResponse) { return this->send_GetVideoEncoderConfigurationOptions(soap_endpoint_url, soap_action, trt__GetVideoEncoderConfigurationOptions) || this->recv_GetVideoEncoderConfigurationOptions(trt__GetVideoEncoderConfigurationOptionsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetVideoEncoderConfigurationOptions' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetVideoEncoderConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoEncoderConfigurationOptions *trt__GetVideoEncoderConfigurationOptions);
        /// Web service asynchronous operation 'recv_GetVideoEncoderConfigurationOptions' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetVideoEncoderConfigurationOptions(_trt__GetVideoEncoderConfigurationOptionsResponse *trt__GetVideoEncoderConfigurationOptionsResponse);
        //
        /// Web service synchronous operation 'GetAudioSourceConfigurationOptions' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioSourceConfigurationOptions(_trt__GetAudioSourceConfigurationOptions *trt__GetAudioSourceConfigurationOptions, _trt__GetAudioSourceConfigurationOptionsResponse *trt__GetAudioSourceConfigurationOptionsResponse) { return this->GetAudioSourceConfigurationOptions(NULL, NULL, trt__GetAudioSourceConfigurationOptions, trt__GetAudioSourceConfigurationOptionsResponse); }
        /// Web service synchronous operation 'GetAudioSourceConfigurationOptions' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioSourceConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioSourceConfigurationOptions *trt__GetAudioSourceConfigurationOptions, _trt__GetAudioSourceConfigurationOptionsResponse *trt__GetAudioSourceConfigurationOptionsResponse) { return this->send_GetAudioSourceConfigurationOptions(soap_endpoint_url, soap_action, trt__GetAudioSourceConfigurationOptions) || this->recv_GetAudioSourceConfigurationOptions(trt__GetAudioSourceConfigurationOptionsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioSourceConfigurationOptions' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioSourceConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioSourceConfigurationOptions *trt__GetAudioSourceConfigurationOptions);
        /// Web service asynchronous operation 'recv_GetAudioSourceConfigurationOptions' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioSourceConfigurationOptions(_trt__GetAudioSourceConfigurationOptionsResponse *trt__GetAudioSourceConfigurationOptionsResponse);
        //
        /// Web service synchronous operation 'GetAudioEncoderConfigurationOptions' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioEncoderConfigurationOptions(_trt__GetAudioEncoderConfigurationOptions *trt__GetAudioEncoderConfigurationOptions, _trt__GetAudioEncoderConfigurationOptionsResponse *trt__GetAudioEncoderConfigurationOptionsResponse) { return this->GetAudioEncoderConfigurationOptions(NULL, NULL, trt__GetAudioEncoderConfigurationOptions, trt__GetAudioEncoderConfigurationOptionsResponse); }
        /// Web service synchronous operation 'GetAudioEncoderConfigurationOptions' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioEncoderConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioEncoderConfigurationOptions *trt__GetAudioEncoderConfigurationOptions, _trt__GetAudioEncoderConfigurationOptionsResponse *trt__GetAudioEncoderConfigurationOptionsResponse) { return this->send_GetAudioEncoderConfigurationOptions(soap_endpoint_url, soap_action, trt__GetAudioEncoderConfigurationOptions) || this->recv_GetAudioEncoderConfigurationOptions(trt__GetAudioEncoderConfigurationOptionsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioEncoderConfigurationOptions' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioEncoderConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioEncoderConfigurationOptions *trt__GetAudioEncoderConfigurationOptions);
        /// Web service asynchronous operation 'recv_GetAudioEncoderConfigurationOptions' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioEncoderConfigurationOptions(_trt__GetAudioEncoderConfigurationOptionsResponse *trt__GetAudioEncoderConfigurationOptionsResponse);
        //
        /// Web service synchronous operation 'GetMetadataConfigurationOptions' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetMetadataConfigurationOptions(_trt__GetMetadataConfigurationOptions *trt__GetMetadataConfigurationOptions, _trt__GetMetadataConfigurationOptionsResponse *trt__GetMetadataConfigurationOptionsResponse) { return this->GetMetadataConfigurationOptions(NULL, NULL, trt__GetMetadataConfigurationOptions, trt__GetMetadataConfigurationOptionsResponse); }
        /// Web service synchronous operation 'GetMetadataConfigurationOptions' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetMetadataConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetMetadataConfigurationOptions *trt__GetMetadataConfigurationOptions, _trt__GetMetadataConfigurationOptionsResponse *trt__GetMetadataConfigurationOptionsResponse) { return this->send_GetMetadataConfigurationOptions(soap_endpoint_url, soap_action, trt__GetMetadataConfigurationOptions) || this->recv_GetMetadataConfigurationOptions(trt__GetMetadataConfigurationOptionsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetMetadataConfigurationOptions' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetMetadataConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetMetadataConfigurationOptions *trt__GetMetadataConfigurationOptions);
        /// Web service asynchronous operation 'recv_GetMetadataConfigurationOptions' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetMetadataConfigurationOptions(_trt__GetMetadataConfigurationOptionsResponse *trt__GetMetadataConfigurationOptionsResponse);
        //
        /// Web service synchronous operation 'GetAudioOutputConfigurationOptions' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioOutputConfigurationOptions(_trt__GetAudioOutputConfigurationOptions *trt__GetAudioOutputConfigurationOptions, _trt__GetAudioOutputConfigurationOptionsResponse *trt__GetAudioOutputConfigurationOptionsResponse) { return this->GetAudioOutputConfigurationOptions(NULL, NULL, trt__GetAudioOutputConfigurationOptions, trt__GetAudioOutputConfigurationOptionsResponse); }
        /// Web service synchronous operation 'GetAudioOutputConfigurationOptions' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioOutputConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioOutputConfigurationOptions *trt__GetAudioOutputConfigurationOptions, _trt__GetAudioOutputConfigurationOptionsResponse *trt__GetAudioOutputConfigurationOptionsResponse) { return this->send_GetAudioOutputConfigurationOptions(soap_endpoint_url, soap_action, trt__GetAudioOutputConfigurationOptions) || this->recv_GetAudioOutputConfigurationOptions(trt__GetAudioOutputConfigurationOptionsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioOutputConfigurationOptions' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioOutputConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioOutputConfigurationOptions *trt__GetAudioOutputConfigurationOptions);
        /// Web service asynchronous operation 'recv_GetAudioOutputConfigurationOptions' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioOutputConfigurationOptions(_trt__GetAudioOutputConfigurationOptionsResponse *trt__GetAudioOutputConfigurationOptionsResponse);
        //
        /// Web service synchronous operation 'GetAudioDecoderConfigurationOptions' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioDecoderConfigurationOptions(_trt__GetAudioDecoderConfigurationOptions *trt__GetAudioDecoderConfigurationOptions, _trt__GetAudioDecoderConfigurationOptionsResponse *trt__GetAudioDecoderConfigurationOptionsResponse) { return this->GetAudioDecoderConfigurationOptions(NULL, NULL, trt__GetAudioDecoderConfigurationOptions, trt__GetAudioDecoderConfigurationOptionsResponse); }
        /// Web service synchronous operation 'GetAudioDecoderConfigurationOptions' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetAudioDecoderConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioDecoderConfigurationOptions *trt__GetAudioDecoderConfigurationOptions, _trt__GetAudioDecoderConfigurationOptionsResponse *trt__GetAudioDecoderConfigurationOptionsResponse) { return this->send_GetAudioDecoderConfigurationOptions(soap_endpoint_url, soap_action, trt__GetAudioDecoderConfigurationOptions) || this->recv_GetAudioDecoderConfigurationOptions(trt__GetAudioDecoderConfigurationOptionsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetAudioDecoderConfigurationOptions' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetAudioDecoderConfigurationOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetAudioDecoderConfigurationOptions *trt__GetAudioDecoderConfigurationOptions);
        /// Web service asynchronous operation 'recv_GetAudioDecoderConfigurationOptions' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetAudioDecoderConfigurationOptions(_trt__GetAudioDecoderConfigurationOptionsResponse *trt__GetAudioDecoderConfigurationOptionsResponse);
        //
        /// Web service synchronous operation 'GetGuaranteedNumberOfVideoEncoderInstances' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetGuaranteedNumberOfVideoEncoderInstances(_trt__GetGuaranteedNumberOfVideoEncoderInstances *trt__GetGuaranteedNumberOfVideoEncoderInstances, _trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse *trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse) { return this->GetGuaranteedNumberOfVideoEncoderInstances(NULL, NULL, trt__GetGuaranteedNumberOfVideoEncoderInstances, trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse); }
        /// Web service synchronous operation 'GetGuaranteedNumberOfVideoEncoderInstances' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetGuaranteedNumberOfVideoEncoderInstances(const char *soap_endpoint_url, const char *soap_action, _trt__GetGuaranteedNumberOfVideoEncoderInstances *trt__GetGuaranteedNumberOfVideoEncoderInstances, _trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse *trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse) { return this->send_GetGuaranteedNumberOfVideoEncoderInstances(soap_endpoint_url, soap_action, trt__GetGuaranteedNumberOfVideoEncoderInstances) || this->recv_GetGuaranteedNumberOfVideoEncoderInstances(trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetGuaranteedNumberOfVideoEncoderInstances' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetGuaranteedNumberOfVideoEncoderInstances(const char *soap_endpoint_url, const char *soap_action, _trt__GetGuaranteedNumberOfVideoEncoderInstances *trt__GetGuaranteedNumberOfVideoEncoderInstances);
        /// Web service asynchronous operation 'recv_GetGuaranteedNumberOfVideoEncoderInstances' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetGuaranteedNumberOfVideoEncoderInstances(_trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse *trt__GetGuaranteedNumberOfVideoEncoderInstancesResponse);
        //
        /// Web service synchronous operation 'GetStreamUri' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetStreamUri(_trt__GetStreamUri *trt__GetStreamUri, _trt__GetStreamUriResponse *trt__GetStreamUriResponse) { return this->GetStreamUri(NULL, NULL, trt__GetStreamUri, trt__GetStreamUriResponse); }
        /// Web service synchronous operation 'GetStreamUri' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetStreamUri(const char *soap_endpoint_url, const char *soap_action, _trt__GetStreamUri *trt__GetStreamUri, _trt__GetStreamUriResponse *trt__GetStreamUriResponse) { return this->send_GetStreamUri(soap_endpoint_url, soap_action, trt__GetStreamUri) || this->recv_GetStreamUri(trt__GetStreamUriResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetStreamUri' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetStreamUri(const char *soap_endpoint_url, const char *soap_action, _trt__GetStreamUri *trt__GetStreamUri);
        /// Web service asynchronous operation 'recv_GetStreamUri' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetStreamUri(_trt__GetStreamUriResponse *trt__GetStreamUriResponse);
        //
        /// Web service synchronous operation 'StartMulticastStreaming' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int StartMulticastStreaming(_trt__StartMulticastStreaming *trt__StartMulticastStreaming, _trt__StartMulticastStreamingResponse *trt__StartMulticastStreamingResponse) { return this->StartMulticastStreaming(NULL, NULL, trt__StartMulticastStreaming, trt__StartMulticastStreamingResponse); }
        /// Web service synchronous operation 'StartMulticastStreaming' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int StartMulticastStreaming(const char *soap_endpoint_url, const char *soap_action, _trt__StartMulticastStreaming *trt__StartMulticastStreaming, _trt__StartMulticastStreamingResponse *trt__StartMulticastStreamingResponse) { return this->send_StartMulticastStreaming(soap_endpoint_url, soap_action, trt__StartMulticastStreaming) || this->recv_StartMulticastStreaming(trt__StartMulticastStreamingResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_StartMulticastStreaming' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_StartMulticastStreaming(const char *soap_endpoint_url, const char *soap_action, _trt__StartMulticastStreaming *trt__StartMulticastStreaming);
        /// Web service asynchronous operation 'recv_StartMulticastStreaming' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_StartMulticastStreaming(_trt__StartMulticastStreamingResponse *trt__StartMulticastStreamingResponse);
        //
        /// Web service synchronous operation 'StopMulticastStreaming' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int StopMulticastStreaming(_trt__StopMulticastStreaming *trt__StopMulticastStreaming, _trt__StopMulticastStreamingResponse *trt__StopMulticastStreamingResponse) { return this->StopMulticastStreaming(NULL, NULL, trt__StopMulticastStreaming, trt__StopMulticastStreamingResponse); }
        /// Web service synchronous operation 'StopMulticastStreaming' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int StopMulticastStreaming(const char *soap_endpoint_url, const char *soap_action, _trt__StopMulticastStreaming *trt__StopMulticastStreaming, _trt__StopMulticastStreamingResponse *trt__StopMulticastStreamingResponse) { return this->send_StopMulticastStreaming(soap_endpoint_url, soap_action, trt__StopMulticastStreaming) || this->recv_StopMulticastStreaming(trt__StopMulticastStreamingResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_StopMulticastStreaming' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_StopMulticastStreaming(const char *soap_endpoint_url, const char *soap_action, _trt__StopMulticastStreaming *trt__StopMulticastStreaming);
        /// Web service asynchronous operation 'recv_StopMulticastStreaming' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_StopMulticastStreaming(_trt__StopMulticastStreamingResponse *trt__StopMulticastStreamingResponse);
        //
        /// Web service synchronous operation 'SetSynchronizationPoint' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetSynchronizationPoint(_trt__SetSynchronizationPoint *trt__SetSynchronizationPoint, _trt__SetSynchronizationPointResponse *trt__SetSynchronizationPointResponse) { return this->SetSynchronizationPoint(NULL, NULL, trt__SetSynchronizationPoint, trt__SetSynchronizationPointResponse); }
        /// Web service synchronous operation 'SetSynchronizationPoint' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetSynchronizationPoint(const char *soap_endpoint_url, const char *soap_action, _trt__SetSynchronizationPoint *trt__SetSynchronizationPoint, _trt__SetSynchronizationPointResponse *trt__SetSynchronizationPointResponse) { return this->send_SetSynchronizationPoint(soap_endpoint_url, soap_action, trt__SetSynchronizationPoint) || this->recv_SetSynchronizationPoint(trt__SetSynchronizationPointResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetSynchronizationPoint' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetSynchronizationPoint(const char *soap_endpoint_url, const char *soap_action, _trt__SetSynchronizationPoint *trt__SetSynchronizationPoint);
        /// Web service asynchronous operation 'recv_SetSynchronizationPoint' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetSynchronizationPoint(_trt__SetSynchronizationPointResponse *trt__SetSynchronizationPointResponse);
        //
        /// Web service synchronous operation 'GetSnapshotUri' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetSnapshotUri(_trt__GetSnapshotUri *trt__GetSnapshotUri, _trt__GetSnapshotUriResponse *trt__GetSnapshotUriResponse) { return this->GetSnapshotUri(NULL, NULL, trt__GetSnapshotUri, trt__GetSnapshotUriResponse); }
        /// Web service synchronous operation 'GetSnapshotUri' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetSnapshotUri(const char *soap_endpoint_url, const char *soap_action, _trt__GetSnapshotUri *trt__GetSnapshotUri, _trt__GetSnapshotUriResponse *trt__GetSnapshotUriResponse) { return this->send_GetSnapshotUri(soap_endpoint_url, soap_action, trt__GetSnapshotUri) || this->recv_GetSnapshotUri(trt__GetSnapshotUriResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetSnapshotUri' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetSnapshotUri(const char *soap_endpoint_url, const char *soap_action, _trt__GetSnapshotUri *trt__GetSnapshotUri);
        /// Web service asynchronous operation 'recv_GetSnapshotUri' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetSnapshotUri(_trt__GetSnapshotUriResponse *trt__GetSnapshotUriResponse);
        //
        /// Web service synchronous operation 'GetVideoSourceModes' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoSourceModes(_trt__GetVideoSourceModes *trt__GetVideoSourceModes, _trt__GetVideoSourceModesResponse *trt__GetVideoSourceModesResponse) { return this->GetVideoSourceModes(NULL, NULL, trt__GetVideoSourceModes, trt__GetVideoSourceModesResponse); }
        /// Web service synchronous operation 'GetVideoSourceModes' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetVideoSourceModes(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoSourceModes *trt__GetVideoSourceModes, _trt__GetVideoSourceModesResponse *trt__GetVideoSourceModesResponse) { return this->send_GetVideoSourceModes(soap_endpoint_url, soap_action, trt__GetVideoSourceModes) || this->recv_GetVideoSourceModes(trt__GetVideoSourceModesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetVideoSourceModes' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetVideoSourceModes(const char *soap_endpoint_url, const char *soap_action, _trt__GetVideoSourceModes *trt__GetVideoSourceModes);
        /// Web service asynchronous operation 'recv_GetVideoSourceModes' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetVideoSourceModes(_trt__GetVideoSourceModesResponse *trt__GetVideoSourceModesResponse);
        //
        /// Web service synchronous operation 'SetVideoSourceMode' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetVideoSourceMode(_trt__SetVideoSourceMode *trt__SetVideoSourceMode, _trt__SetVideoSourceModeResponse *trt__SetVideoSourceModeResponse) { return this->SetVideoSourceMode(NULL, NULL, trt__SetVideoSourceMode, trt__SetVideoSourceModeResponse); }
        /// Web service synchronous operation 'SetVideoSourceMode' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetVideoSourceMode(const char *soap_endpoint_url, const char *soap_action, _trt__SetVideoSourceMode *trt__SetVideoSourceMode, _trt__SetVideoSourceModeResponse *trt__SetVideoSourceModeResponse) { return this->send_SetVideoSourceMode(soap_endpoint_url, soap_action, trt__SetVideoSourceMode) || this->recv_SetVideoSourceMode(trt__SetVideoSourceModeResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetVideoSourceMode' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetVideoSourceMode(const char *soap_endpoint_url, const char *soap_action, _trt__SetVideoSourceMode *trt__SetVideoSourceMode);
        /// Web service asynchronous operation 'recv_SetVideoSourceMode' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetVideoSourceMode(_trt__SetVideoSourceModeResponse *trt__SetVideoSourceModeResponse);
        //
        /// Web service synchronous operation 'GetOSDs' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetOSDs(_trt__GetOSDs *trt__GetOSDs, _trt__GetOSDsResponse *trt__GetOSDsResponse) { return this->GetOSDs(NULL, NULL, trt__GetOSDs, trt__GetOSDsResponse); }
        /// Web service synchronous operation 'GetOSDs' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetOSDs(const char *soap_endpoint_url, const char *soap_action, _trt__GetOSDs *trt__GetOSDs, _trt__GetOSDsResponse *trt__GetOSDsResponse) { return this->send_GetOSDs(soap_endpoint_url, soap_action, trt__GetOSDs) || this->recv_GetOSDs(trt__GetOSDsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetOSDs' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetOSDs(const char *soap_endpoint_url, const char *soap_action, _trt__GetOSDs *trt__GetOSDs);
        /// Web service asynchronous operation 'recv_GetOSDs' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetOSDs(_trt__GetOSDsResponse *trt__GetOSDsResponse);
        //
        /// Web service synchronous operation 'GetOSD' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetOSD(_trt__GetOSD *trt__GetOSD, _trt__GetOSDResponse *trt__GetOSDResponse) { return this->GetOSD(NULL, NULL, trt__GetOSD, trt__GetOSDResponse); }
        /// Web service synchronous operation 'GetOSD' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetOSD(const char *soap_endpoint_url, const char *soap_action, _trt__GetOSD *trt__GetOSD, _trt__GetOSDResponse *trt__GetOSDResponse) { return this->send_GetOSD(soap_endpoint_url, soap_action, trt__GetOSD) || this->recv_GetOSD(trt__GetOSDResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetOSD' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetOSD(const char *soap_endpoint_url, const char *soap_action, _trt__GetOSD *trt__GetOSD);
        /// Web service asynchronous operation 'recv_GetOSD' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetOSD(_trt__GetOSDResponse *trt__GetOSDResponse);
        //
        /// Web service synchronous operation 'GetOSDOptions' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetOSDOptions(_trt__GetOSDOptions *trt__GetOSDOptions, _trt__GetOSDOptionsResponse *trt__GetOSDOptionsResponse) { return this->GetOSDOptions(NULL, NULL, trt__GetOSDOptions, trt__GetOSDOptionsResponse); }
        /// Web service synchronous operation 'GetOSDOptions' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetOSDOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetOSDOptions *trt__GetOSDOptions, _trt__GetOSDOptionsResponse *trt__GetOSDOptionsResponse) { return this->send_GetOSDOptions(soap_endpoint_url, soap_action, trt__GetOSDOptions) || this->recv_GetOSDOptions(trt__GetOSDOptionsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetOSDOptions' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetOSDOptions(const char *soap_endpoint_url, const char *soap_action, _trt__GetOSDOptions *trt__GetOSDOptions);
        /// Web service asynchronous operation 'recv_GetOSDOptions' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetOSDOptions(_trt__GetOSDOptionsResponse *trt__GetOSDOptionsResponse);
        //
        /// Web service synchronous operation 'SetOSD' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetOSD(_trt__SetOSD *trt__SetOSD, _trt__SetOSDResponse *trt__SetOSDResponse) { return this->SetOSD(NULL, NULL, trt__SetOSD, trt__SetOSDResponse); }
        /// Web service synchronous operation 'SetOSD' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetOSD(const char *soap_endpoint_url, const char *soap_action, _trt__SetOSD *trt__SetOSD, _trt__SetOSDResponse *trt__SetOSDResponse) { return this->send_SetOSD(soap_endpoint_url, soap_action, trt__SetOSD) || this->recv_SetOSD(trt__SetOSDResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetOSD' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetOSD(const char *soap_endpoint_url, const char *soap_action, _trt__SetOSD *trt__SetOSD);
        /// Web service asynchronous operation 'recv_SetOSD' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetOSD(_trt__SetOSDResponse *trt__SetOSDResponse);
        //
        /// Web service synchronous operation 'CreateOSD' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int CreateOSD(_trt__CreateOSD *trt__CreateOSD, _trt__CreateOSDResponse *trt__CreateOSDResponse) { return this->CreateOSD(NULL, NULL, trt__CreateOSD, trt__CreateOSDResponse); }
        /// Web service synchronous operation 'CreateOSD' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int CreateOSD(const char *soap_endpoint_url, const char *soap_action, _trt__CreateOSD *trt__CreateOSD, _trt__CreateOSDResponse *trt__CreateOSDResponse) { return this->send_CreateOSD(soap_endpoint_url, soap_action, trt__CreateOSD) || this->recv_CreateOSD(trt__CreateOSDResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_CreateOSD' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_CreateOSD(const char *soap_endpoint_url, const char *soap_action, _trt__CreateOSD *trt__CreateOSD);
        /// Web service asynchronous operation 'recv_CreateOSD' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_CreateOSD(_trt__CreateOSDResponse *trt__CreateOSDResponse);
        //
        /// Web service synchronous operation 'DeleteOSD' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteOSD(_trt__DeleteOSD *trt__DeleteOSD, _trt__DeleteOSDResponse *trt__DeleteOSDResponse) { return this->DeleteOSD(NULL, NULL, trt__DeleteOSD, trt__DeleteOSDResponse); }
        /// Web service synchronous operation 'DeleteOSD' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteOSD(const char *soap_endpoint_url, const char *soap_action, _trt__DeleteOSD *trt__DeleteOSD, _trt__DeleteOSDResponse *trt__DeleteOSDResponse) { return this->send_DeleteOSD(soap_endpoint_url, soap_action, trt__DeleteOSD) || this->recv_DeleteOSD(trt__DeleteOSDResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_DeleteOSD' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_DeleteOSD(const char *soap_endpoint_url, const char *soap_action, _trt__DeleteOSD *trt__DeleteOSD);
        /// Web service asynchronous operation 'recv_DeleteOSD' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_DeleteOSD(_trt__DeleteOSDResponse *trt__DeleteOSDResponse);
    };
#endif
