/* soapPullPointSubscriptionBindingProxy.h
   Generated by gSOAP 2.8.102 for gen/onvif.h

gSOAP XML Web services tools
Copyright (C) 2000-2020, Robert van Engelen, Genivia Inc. All Rights Reserved.
The soapcpp2 tool and its generated software are released under the GPL.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
--------------------------------------------------------------------------------
A commercial use license is available from Genivia Inc., contact@genivia.com
--------------------------------------------------------------------------------
*/

#ifndef soapPullPointSubscriptionBindingProxy_H
#define soapPullPointSubscriptionBindingProxy_H
#include "soapH.h"

    class SOAP_CMAC PullPointSubscriptionBindingProxy {
      public:
        /// Context to manage proxy IO and data
        struct soap *soap;
        /// flag indicating that this context is owned by this proxy and should be deleted by the destructor
        bool soap_own;
        /// Endpoint URL of service 'PullPointSubscriptionBindingProxy' (change as needed)
        const char *soap_endpoint;
        /// Variables globally declared in gen/onvif.h, if any
        /// Construct a proxy with new managing context
        PullPointSubscriptionBindingProxy();
        /// Copy constructor
        PullPointSubscriptionBindingProxy(const PullPointSubscriptionBindingProxy& rhs);
        /// Construct proxy given a shared managing context
        PullPointSubscriptionBindingProxy(struct soap*);
        /// Construct proxy given a shared managing context and endpoint URL
        PullPointSubscriptionBindingProxy(struct soap*, const char *soap_endpoint_url);
        /// Constructor taking an endpoint URL
        PullPointSubscriptionBindingProxy(const char *soap_endpoint_url);
        /// Constructor taking input and output mode flags for the new managing context
        PullPointSubscriptionBindingProxy(soap_mode iomode);
        /// Constructor taking endpoint URL and input and output mode flags for the new managing context
        PullPointSubscriptionBindingProxy(const char *soap_endpoint_url, soap_mode iomode);
        /// Constructor taking input and output mode flags for the new managing context
        PullPointSubscriptionBindingProxy(soap_mode imode, soap_mode omode);
        /// Destructor deletes deserialized data and its managing context, when the context was allocated by the constructor
        virtual ~PullPointSubscriptionBindingProxy();
        /// Initializer used by constructors
        virtual void PullPointSubscriptionBindingProxy_init(soap_mode imode, soap_mode omode);
        /// Return a copy that has a new managing context with the same engine state
        virtual PullPointSubscriptionBindingProxy *copy();
        /// Copy assignment
        PullPointSubscriptionBindingProxy& operator=(const PullPointSubscriptionBindingProxy&);
        /// Delete all deserialized data (uses soap_destroy() and soap_end())
        virtual void destroy();
        /// Delete all deserialized data and reset to default
        virtual void reset();
        /// Disables and removes SOAP Header from message by setting soap->header = NULL
        virtual void soap_noheader();
        /// Add SOAP Header to message
        virtual void soap_header(char *wsa__MessageID, struct wsa__Relationship *wsa__RelatesTo, struct wsa__EndpointReferenceType *wsa__From, struct wsa__EndpointReferenceType *wsa__ReplyTo, struct wsa__EndpointReferenceType *wsa__FaultTo, char *wsa__To, char *wsa__Action, struct wsdd__AppSequenceType *wsdd__AppSequence, struct _wsse__Security *wsse__Security, char *wsa5__MessageID, struct wsa5__RelatesToType *wsa5__RelatesTo, struct wsa5__EndpointReferenceType *wsa5__From, struct wsa5__EndpointReferenceType *wsa5__ReplyTo, struct wsa5__EndpointReferenceType *wsa5__FaultTo, char *wsa5__To, char *wsa5__Action, struct chan__ChannelInstanceType *chan__ChannelInstance);
        /// Get SOAP Header structure (i.e. soap->header, which is NULL when absent)
        virtual ::SOAP_ENV__Header *soap_header();
        /// Get SOAP Fault structure (i.e. soap->fault, which is NULL when absent)
        virtual ::SOAP_ENV__Fault *soap_fault();
        /// Get SOAP Fault subcode QName string (NULL when absent)
        virtual const char *soap_fault_subcode();
        /// Get SOAP Fault string/reason (NULL when absent)
        virtual const char *soap_fault_string();
        /// Get SOAP Fault detail XML string (NULL when absent)
        virtual const char *soap_fault_detail();
        /// Close connection (normally automatic, except for send_X ops)
        virtual int soap_close_socket();
        /// Force close connection (can kill a thread blocked on IO)
        virtual int soap_force_close_socket();
        /// Print fault
        virtual void soap_print_fault(FILE*);
    #ifndef WITH_LEAN
    #ifndef WITH_COMPAT
        /// Print fault to stream
        virtual void soap_stream_fault(std::ostream&);
    #endif
        /// Write fault to buffer
        virtual char *soap_sprint_fault(char *buf, size_t len);
    #endif
        //
        /// Web service synchronous operation 'PullMessages' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int PullMessages(_tev__PullMessages *tev__PullMessages, _tev__PullMessagesResponse *tev__PullMessagesResponse) { return this->PullMessages(NULL, NULL, tev__PullMessages, tev__PullMessagesResponse); }
        /// Web service synchronous operation 'PullMessages' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int PullMessages(const char *soap_endpoint_url, const char *soap_action, _tev__PullMessages *tev__PullMessages, _tev__PullMessagesResponse *tev__PullMessagesResponse) { return this->send_PullMessages(soap_endpoint_url, soap_action, tev__PullMessages) || this->recv_PullMessages(tev__PullMessagesResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_PullMessages' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_PullMessages(const char *soap_endpoint_url, const char *soap_action, _tev__PullMessages *tev__PullMessages);
        /// Web service asynchronous operation 'recv_PullMessages' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_PullMessages(_tev__PullMessagesResponse *tev__PullMessagesResponse);
        //
        /// Web service synchronous operation 'Seek' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int Seek(_tev__Seek *tev__Seek, _tev__SeekResponse *tev__SeekResponse) { return this->Seek(NULL, NULL, tev__Seek, tev__SeekResponse); }
        /// Web service synchronous operation 'Seek' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int Seek(const char *soap_endpoint_url, const char *soap_action, _tev__Seek *tev__Seek, _tev__SeekResponse *tev__SeekResponse) { return this->send_Seek(soap_endpoint_url, soap_action, tev__Seek) || this->recv_Seek(tev__SeekResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_Seek' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_Seek(const char *soap_endpoint_url, const char *soap_action, _tev__Seek *tev__Seek);
        /// Web service asynchronous operation 'recv_Seek' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_Seek(_tev__SeekResponse *tev__SeekResponse);
        //
        /// Web service synchronous operation 'SetSynchronizationPoint' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetSynchronizationPoint(_tev__SetSynchronizationPoint *tev__SetSynchronizationPoint, _tev__SetSynchronizationPointResponse *tev__SetSynchronizationPointResponse) { return this->SetSynchronizationPoint(NULL, NULL, tev__SetSynchronizationPoint, tev__SetSynchronizationPointResponse); }
        /// Web service synchronous operation 'SetSynchronizationPoint' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetSynchronizationPoint(const char *soap_endpoint_url, const char *soap_action, _tev__SetSynchronizationPoint *tev__SetSynchronizationPoint, _tev__SetSynchronizationPointResponse *tev__SetSynchronizationPointResponse) { return this->send_SetSynchronizationPoint(soap_endpoint_url, soap_action, tev__SetSynchronizationPoint) || this->recv_SetSynchronizationPoint(tev__SetSynchronizationPointResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetSynchronizationPoint' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetSynchronizationPoint(const char *soap_endpoint_url, const char *soap_action, _tev__SetSynchronizationPoint *tev__SetSynchronizationPoint);
        /// Web service asynchronous operation 'recv_SetSynchronizationPoint' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetSynchronizationPoint(_tev__SetSynchronizationPointResponse *tev__SetSynchronizationPointResponse);
    };
#endif
